use num_derive::FromPrimitive;

#[allow(non_camel_case_types)]
#[derive(Default, strum_macros::Display, FromPrimitive, PartialEq, Eq, Clone)]
pub enum CommonActions {
    #[default]
    Common_INVALID_ID = -1,
    Common_BACKSTAGE = 0,
    Common_FOOTWORK = 1,
    Common_FOOTWORK_IDLE = 2,
    Common_CROUCH = 4,
    Common_SIT_DOWN = 5,
    Common_STAND_UP = 6,
    Common_TURN_STAND = 7,
    Common_TURN_CROUCH = 8,
    Common_WALK_F_BGN = 9,
    Common_WALK_FORWARD = 10,
    Common_WALK_F_END = 11,
    Common_SLIDE_FEET_F = 12,
    Common_WALK_B_BGN = 13,
    Common_WALK_BACK = 14,
    Common_WALK_B_END = 15,
    Common_SLIDE_FEET_B = 16,
    Common_DASH_F = 17,
    Common_DASH_B = 18,
    Common_DASH_F_END = 19,
    Common_DASH_B_END = 20,
    Common_RUN_F_BGN = 21,
    Common_RUN_F = 22,
    Common_RUN_F_END = 23,
    Common_RUN_B_BGN = 24,
    Common_RUN_B = 25,
    Common_RUN_B_END = 26,
    Common_DUCK_WALK_F_BGN = 27,
    Common_DUCK_WALK_F = 28,
    Common_DUCK_WALK_F_END = 29,
    Common_DUCK_WALK_B_BGN = 30,
    Common_DUCK_WALK_B = 31,
    Common_DUCK_WALK_B_END = 32,
    Common_JUMP_V_BGN = 33,
    Common_JUMP_F_BGN = 34,
    Common_JUMP_B_BGN = 35,
    Common_JUMP_V = 36,
    Common_JUMP_F = 37,
    Common_JUMP_B = 38,
    Common_JUMP_V_END = 39,
    Common_JUMP_F_END = 40,
    Common_JUMP_B_END = 41,
    Common_JUMP_ATK_END = 42,
    Common_W_JUMP_V = 44,
    Common_W_JUMP_F = 45,
    Common_W_JUMP_B = 46,
    Common_T_JUMP_WALL = 47,
    Common_T_JUMP = 48,
    Common_L_JUMP_V_BGN = 54,
    Common_L_JUMP_F_BGN = 55,
    Common_L_JUMP_B_BGN = 56,
    Common_L_JUMP_V = 57,
    Common_L_JUMP_F = 58,
    Common_L_JUMP_B = 59,
    Common_H_JUMP_V_BGN = 60,
    Common_H_JUMP_F_BGN = 61,
    Common_H_JUMP_B_BGN = 62,
    Common_H_JUMP_V = 63,
    Common_H_JUMP_F = 64,
    Common_H_JUMP_B = 65,
    Common_FLY_BGN = 66,
    Common_FLY_END = 67,
    Common_FLY_BASE = 68,
    Common_FLY_UU = 69,
    Common_FLY_BU = 70,
    Common_FLY_BB = 71,
    Common_FLY_BD = 72,
    Common_FLY_DD = 73,
    Common_FLY_FD = 74,
    Common_FLY_FF = 75,
    Common_FLY_FU = 76,
    Common_FLY_UU_END = 77,
    Common_FLY_BU_END = 78,
    Common_FLY_BB_END = 79,
    Common_FLY_BD_END = 80,
    Common_FLY_DD_END = 81,
    Common_FLY_FD_END = 82,
    Common_FLY_FF_END = 83,
    Common_FLY_FU_END = 84,
    Common_AIR_DASH_U = 85,
    Common_AIR_DASH_BU = 86,
    Common_AIR_DASH_B = 87,
    Common_AIR_DASH_BD = 88,
    Common_AIR_DASH_D = 89,
    Common_AIR_DASH_FD = 90,
    Common_AIR_DASH_F = 91,
    Common_AIR_DASH_FU = 92,
    Common_FALL_V = 93,
    Common_GRD_STAND_H_BGN = 100,
    Common_GRD_STAND_H = 101,
    Common_GRD_STAND_H_END = 102,
    Common_GRD_STAND_H_DM_L = 103,
    Common_GRD_STAND_H_DM_M = 104,
    Common_GRD_STAND_H_DM_H = 105,
    Common_GRD_STAND_H_DM_S = 106,
    Common_GRD_STAND_M_BGN = 107,
    Common_GRD_STAND_M = 108,
    Common_GRD_STAND_M_END = 109,
    Common_GRD_STAND_M_DM_L = 110,
    Common_GRD_STAND_M_DM_M = 111,
    Common_GRD_STAND_M_DM_H = 112,
    Common_GRD_STAND_M_DM_S = 113,
    Common_GRD_STAND_L_BGN = 114,
    Common_GRD_STAND_L = 115,
    Common_GRD_STAND_L_END = 116,
    Common_GRD_STAND_L_DM_L = 117,
    Common_GRD_STAND_L_DM_M = 118,
    Common_GRD_STAND_L_DM_H = 119,
    Common_GRD_STAND_L_DM_S = 120,
    Common_GRD_CROUCH_H_BGN = 121,
    Common_GRD_CROUCH_H = 122,
    Common_GRD_CROUCH_H_END = 123,
    Common_GRD_CROUCH_H_DM_L = 124,
    Common_GRD_CROUCH_H_DM_M = 125,
    Common_GRD_CROUCH_H_DM_H = 126,
    Common_GRD_CROUCH_H_DM_S = 127,
    Common_GRD_CROUCH_L_BGN = 128,
    Common_GRD_CROUCH_L = 129,
    Common_GRD_CROUCH_L_END = 130,
    Common_GRD_CROUCH_L_DM_L = 131,
    Common_GRD_CROUCH_L_DM_M = 132,
    Common_GRD_CROUCH_L_DM_H = 133,
    Common_GRD_CROUCH_L_DM_S = 134,
    Common_GRD_AIR_BGN = 135,
    Common_GRD_AIR = 136,
    Common_GRD_AIR_END = 137,
    Common_GRD_AIR_DM_L = 138,
    Common_GRD_AIR_DM_M = 139,
    Common_GRD_AIR_DM_H = 140,
    Common_GRD_AIR_DM_S = 141,
    Common_GRD_ZUSA_STAND = 143,
    Common_GRD_ZUSA_CROUCH = 144,
    Common_GRD_ZUSA_WALL = 145,
    Common_DGD_STAND_H_BGN = 150,
    Common_DGD_STAND_H = 151,
    Common_DGD_STAND_H_END = 152,
    Common_DGD_STAND_H_DM_L = 153,
    Common_DGD_STAND_H_DM_M = 154,
    Common_DGD_STAND_H_DM_H = 155,
    Common_DGD_STAND_H_DM_S = 156,
    Common_DGD_STAND_M_BGN = 157,
    Common_DGD_STAND_M = 158,
    Common_DGD_STAND_M_END = 159,
    Common_DGD_STAND_M_DM_L = 160,
    Common_DGD_STAND_M_DM_M = 161,
    Common_DGD_STAND_M_DM_H = 162,
    Common_DGD_STAND_M_DM_S = 163,
    Common_DGD_STAND_L_BGN = 164,
    Common_DGD_STAND_L = 165,
    Common_DGD_STAND_L_END = 166,
    Common_DGD_STAND_L_DM_L = 167,
    Common_DGD_STAND_L_DM_M = 168,
    Common_DGD_STAND_L_DM_H = 169,
    Common_DGD_STAND_L_DM_S = 170,
    Common_DGD_CROUCH_H_BGN = 171,
    Common_DGD_CROUCH_H = 172,
    Common_DGD_CROUCH_H_END = 173,
    Common_DGD_CROUCH_H_DM_L = 174,
    Common_DGD_CROUCH_H_DM_M = 175,
    Common_DGD_CROUCH_H_DM_H = 176,
    Common_DGD_CROUCH_H_DM_S = 177,
    Common_DGD_CROUCH_L_BGN = 178,
    Common_DGD_CROUCH_L = 179,
    Common_DGD_CROUCH_L_END = 180,
    Common_DGD_CROUCH_L_DM_L = 181,
    Common_DGD_CROUCH_L_DM_M = 182,
    Common_DGD_CROUCH_L_DM_H = 183,
    Common_DGD_CROUCH_L_DM_S = 184,
    Common_DGD_AIR_BGN = 185,
    Common_DGD_AIR = 186,
    Common_DGD_AIR_END = 187,
    Common_DGD_AIR_DM_L = 188,
    Common_DGD_AIR_DM_M = 189,
    Common_DGD_AIR_DM_H = 190,
    Common_DGD_AIR_DM_S = 191,
    Common_DMG_STD_H_FR_L = 200,
    Common_DMG_STD_H_FR_M = 201,
    Common_DMG_STD_H_FR_H = 202,
    Common_DMG_CRT_STD_H_FR = 203,
    Common_DMG_STD_M_FR_L = 204,
    Common_DMG_STD_M_FR_M = 205,
    Common_DMG_STD_M_FR_H = 206,
    Common_DMG_CRT_STD_M_FR = 207,
    Common_DMG_STD_L_FR_L = 208,
    Common_DMG_STD_L_FR_M = 209,
    Common_DMG_STD_L_FR_H = 210,
    Common_DMG_CRT_STD_L_FR = 211,
    Common_DMG_CRO_H_FR_L = 212,
    Common_DMG_CRO_H_FR_M = 213,
    Common_DMG_CRO_H_FR_H = 214,
    Common_DMG_CRT_CRO_H_FR = 215,
    Common_DMG_CRO_L_FR_L = 216,
    Common_DMG_CRO_L_FR_M = 217,
    Common_DMG_CRO_L_FR_H = 218,
    Common_DMG_CRT_CRO_L_FR = 219,
    Common_DMG_AIR_FR_L = 220,
    Common_DMG_AIR_FR_M = 221,
    Common_DMG_AIR_FR_H = 222,
    Common_DMG_STD_BK = 224,
    Common_BUTT_RISE_90 = 230,
    Common_BUTT_RISE_45 = 231,
    Common_BUTT_RISE_00 = 232,
    Common_BUTT_RISE_45m = 233,
    Common_BUTT_RISE_90m = 234,
    Common_BUTT_RISE_BK = 235,
    Common_BUTT_RISE_BK_90m = 236,
    Common_BUTT_FALL_90 = 237,
    Common_BUTT_FALL_45 = 238,
    Common_BUTT_FALL_00 = 239,
    Common_BUTT_FALL_45m = 240,
    Common_BUTT_FALL_90m = 241,
    Common_BUTT_FALL_BK = 242,
    Common_BUTT_FALL_BK_90m = 243,
    Common_BUTT_H_START_90 = 244,
    Common_BUTT_H_START_45 = 245,
    Common_BUTT_H_START_00 = 246,
    Common_BUTT_H_START_45m = 247,
    Common_BUTT_H_START_90m = 248,
    Common_BUTT_H_START_BK = 249,
    Common_BUTT_H_START_BK_90m = 250,
    Common_BUTT_B_START_90 = 251,
    Common_BUTT_B_START_45 = 252,
    Common_BUTT_B_START_00 = 253,
    Common_BUTT_B_START_45m = 254,
    Common_BUTT_B_START_90m = 255,
    Common_BUTT_START_BK = 256,
    Common_BUTT_START_BK_90m = 257,
    Common_KNOCK_DOWN_BK = 258,
    Common_DMG_HL_DOWN = 260,
    Common_DMG_HM_DOWN = 261,
    Common_DMG_HH_DOWN = 262,
    Common_DMG_CL_DOWN = 263,
    Common_DMG_CM_DOWN = 264,
    Common_DMG_CH_DOWN = 265,
    Common_DMG_HL_UPPER = 266,
    Common_DMG_HM_UPPER = 267,
    Common_DMG_HH_UPPER = 268,
    Common_DMG_BL_UPPER = 269,
    Common_DMG_BM_UPPER = 270,
    Common_DMG_BH_UPPER = 271,
    Common_ASHIBARAI = 273,
    Common_ASHIBARAI_BACK = 274,
    Common_KUZURE = 276,
    Common_FLOP_DOWN = 277,
    Common_DMG_H_SPIN_GROUND = 279,
    Common_DMG_H_SPIN_AIR = 280,
    Common_DMG_V_SPIN_GROUND = 281,
    Common_DMG_V_SPIN_AIR = 282,
    Common_WALL_HIT_FR = 284,
    Common_WALL_HIT_BK = 285,
    Common_WALL_DOWN_FR = 286,
    Common_WALL_DOWN_BK = 287,
    Common_DMG_GORO_FR = 289,
    Common_DMG_GORO_DOWN_FR = 290,
    Common_WALL_GROUND_FR = 291,
    Common_WALL_PIYO_STOP = 293,
    Common_WALL_PIYO_DOWN = 294,
    Common_THROWBREAK_TO = 320,
    Common_THROWBREAK_DONE = 321,
    Common_GUARD_BREAK_STAND = 322,
    Common_GUARD_BREAK_CROUCH = 323,
    Common_HARDDOWN_FU = 330,
    Common_HARDDOWN_FD = 331,
    Common_SLIDEDOWN_FU = 332,
    Common_SLIDEDOWN_FU_CMN = 333,
    Common_SLIDEDOWN_FD = 334,
    Common_SLIDEDOWN_FD_CMN = 335,
    Common_LIE_DOWN_FU = 336,
    Common_LIE_DOWN_FD = 337,
    Common_DOWN_DMG_FU = 338,
    Common_DOWN_DMG_FD = 339,
    Common_WAKEUP_FU = 340,
    Common_WAKEUP_FD = 341,
    Common_WAKEUP_F_FU = 342,
    Common_WAKEUP_F_FD = 343,
    Common_WAKEUP_B_FU = 344,
    Common_WAKEUP_B_FD = 345,
    Common_BUTT_TAOREN = 346,
    Common_AIR_RECOVERY_BK = 347,
    Common_BOUND_FU = 350,
    Common_BOUND_FD = 351,
    Common_STUN = 353,
    Common_STUN_END = 354,
    Common_KUZURE_DIE = 356,
    Common_APPEAR = 400,
    Common_APPEAR_END = 401,
    Common_APPEAR_ARCADE = 402,
    Common_APPEAR_STORY = 403,
    Common_LOSE = 405,
    Common_MID_LOSE_FU = 407,
    Common_MID_LOSE_FD = 408,
    Common_DRAW = 410,
    Common_RESULT = 412,
    Common_WIN = 414,
    Common_WIN_STORY = 415,
    Common_WIN_PERFECT = 416,
    Common_WIN_HI = 417,
    Common_WIN_MID = 418,
    Common_WIN_LOW = 419,
    Common_MINION_ENTRY = 470,
    Common_V_TOUCH_ENTRY = 471,
    Common_V_TOUCH_STOP = 472,
    Common_V_TOUCH_EXIT = 473,
    Common_TOUCH_POSE = 474,
    Common_TOUCH_JUMP = 475,
    Common_TOUCH_SUKI = 476,
    Common_TOUCH_NOKI = 477,
    Common_ASSIST_SUKI = 478,
    Common_PARRY_BGN = 480,
    Common_PARRY_LOOP = 481,
    Common_PARRY_END = 482,
    Common_PARRY_HIT_H = 483,
    Common_PARRY_HIT_M = 484,
    Common_PARRY_HIT_L = 485,
    Common_PARRY_JUST_H = 486,
    Common_PARRY_JUST_M = 487,
    Common_PARRY_JUST_L = 488,
    Common_PARRY_CRO_BGN = 489,
    Common_T_FOOTWORK = 510,
    Common_T_CROUCH = 511,
    Common_T_SIT_DOWN = 512,
    Common_T_STAND_UP = 513,
    Common_T_TURN_STAND = 514,
    Common_T_TURN_CROUCH = 515,
    Common_T_WALK_F_BGN = 516,
    Common_T_WALK_FORWARD = 517,
    Common_T_WALK_F_END = 518,
    Common_T_WALK_B_BGN = 519,
    Common_T_WALK_BACK = 520,
    Common_T_WALK_B_END = 521,
    Common_CONTINUE_FU = 530,
    Common_CONTINUE_FD = 531,
    Common_CONTINUE_SUCCESS = 532,
    Common_CONTINUE_FAILURE = 533,
    Common_ADV_STAND = 570,
    Common_ADV_SIT = 571,
    Common_ADV_AIR = 572,
    Common_IMM_STAGE_INIT = 580,
    Common_IMM_ROUND_INIT = 581,
    Common_IMM_DAMAGE_INIT = 582,
    Common_IMM_DAMAGE_EXIT = 583,
    Common_IMM_TO_NORMAL = 584,
    Common_IMM_TOUCH_EXIT = 585,
    Common_IMM_TOUCH_ENTRY = 586,
    Common_IMM_LANDING = 587,
    Common_IMM_HOLD_EXIT = 588,
    Common_IMM_FRAME_OUT = 589,
    Common_IMM_APPEAR_END = 590,
    Common_IMM_RESULT_INIT = 591,
    Common_COMMON_END = 599,
}

#[allow(non_camel_case_types)]
#[derive(Default, strum_macros::Display, FromPrimitive, PartialEq, Eq, Clone)]
pub enum RyuActions {
    #[default]
    Ryu_INVALID_ID = -1,
    Ryu_BACKSTAGE = 0,
    Ryu_FOOTWORK = 1,
    Ryu_FOOTWORK_IDLE = 2,
    Ryu_CROUCH = 4,
    Ryu_SIT_DOWN = 5,
    Ryu_STAND_UP = 6,
    Ryu_TURN_STAND = 7,
    Ryu_TURN_CROUCH = 8,
    Ryu_WALK_F_BGN = 9,
    Ryu_WALK_FORWARD = 10,
    Ryu_WALK_F_END = 11,
    Ryu_SLIDE_FEET_F = 12,
    Ryu_WALK_B_BGN = 13,
    Ryu_WALK_BACK = 14,
    Ryu_WALK_B_END = 15,
    Ryu_SLIDE_FEET_B = 16,
    Ryu_DASH_F = 17,
    Ryu_DASH_B = 18,
    Ryu_DASH_F_END = 19,
    Ryu_DASH_B_END = 20,
    Ryu_RUN_F_BGN = 21,
    Ryu_RUN_F = 22,
    Ryu_RUN_F_END = 23,
    Ryu_RUN_B_BGN = 24,
    Ryu_RUN_B = 25,
    Ryu_RUN_B_END = 26,
    Ryu_DUCK_WALK_F_BGN = 27,
    Ryu_DUCK_WALK_F = 28,
    Ryu_DUCK_WALK_F_END = 29,
    Ryu_DUCK_WALK_B_BGN = 30,
    Ryu_DUCK_WALK_B = 31,
    Ryu_DUCK_WALK_B_END = 32,
    Ryu_JUMP_V_BGN = 33,
    Ryu_JUMP_F_BGN = 34,
    Ryu_JUMP_B_BGN = 35,
    Ryu_JUMP_V = 36,
    Ryu_JUMP_F = 37,
    Ryu_JUMP_B = 38,
    Ryu_JUMP_V_END = 39,
    Ryu_JUMP_F_END = 40,
    Ryu_JUMP_B_END = 41,
    Ryu_JUMP_ATK_END = 42,
    Ryu_W_JUMP_V = 44,
    Ryu_W_JUMP_F = 45,
    Ryu_W_JUMP_B = 46,
    Ryu_T_JUMP_WALL = 47,
    Ryu_T_JUMP = 48,
    Ryu_L_JUMP_V_BGN = 54,
    Ryu_L_JUMP_F_BGN = 55,
    Ryu_L_JUMP_B_BGN = 56,
    Ryu_L_JUMP_V = 57,
    Ryu_L_JUMP_F = 58,
    Ryu_L_JUMP_B = 59,
    Ryu_H_JUMP_V_BGN = 60,
    Ryu_H_JUMP_F_BGN = 61,
    Ryu_H_JUMP_B_BGN = 62,
    Ryu_H_JUMP_V = 63,
    Ryu_H_JUMP_F = 64,
    Ryu_H_JUMP_B = 65,
    Ryu_FLY_BGN = 66,
    Ryu_FLY_END = 67,
    Ryu_FLY_BASE = 68,
    Ryu_FLY_UU = 69,
    Ryu_FLY_BU = 70,
    Ryu_FLY_BB = 71,
    Ryu_FLY_BD = 72,
    Ryu_FLY_DD = 73,
    Ryu_FLY_FD = 74,
    Ryu_FLY_FF = 75,
    Ryu_FLY_FU = 76,
    Ryu_FLY_UU_END = 77,
    Ryu_FLY_BU_END = 78,
    Ryu_FLY_BB_END = 79,
    Ryu_FLY_BD_END = 80,
    Ryu_FLY_DD_END = 81,
    Ryu_FLY_FD_END = 82,
    Ryu_FLY_FF_END = 83,
    Ryu_FLY_FU_END = 84,
    Ryu_AIR_DASH_U = 85,
    Ryu_AIR_DASH_BU = 86,
    Ryu_AIR_DASH_B = 87,
    Ryu_AIR_DASH_BD = 88,
    Ryu_AIR_DASH_D = 89,
    Ryu_AIR_DASH_FD = 90,
    Ryu_AIR_DASH_F = 91,
    Ryu_AIR_DASH_FU = 92,
    Ryu_FALL_V = 93,
    Ryu_GRD_STAND_H_BGN = 100,
    Ryu_GRD_STAND_H = 101,
    Ryu_GRD_STAND_H_END = 102,
    Ryu_GRD_STAND_H_DM_L = 103,
    Ryu_GRD_STAND_H_DM_M = 104,
    Ryu_GRD_STAND_H_DM_H = 105,
    Ryu_GRD_STAND_H_DM_S = 106,
    Ryu_GRD_STAND_M_BGN = 107,
    Ryu_GRD_STAND_M = 108,
    Ryu_GRD_STAND_M_END = 109,
    Ryu_GRD_STAND_M_DM_L = 110,
    Ryu_GRD_STAND_M_DM_M = 111,
    Ryu_GRD_STAND_M_DM_H = 112,
    Ryu_GRD_STAND_M_DM_S = 113,
    Ryu_GRD_STAND_L_BGN = 114,
    Ryu_GRD_STAND_L = 115,
    Ryu_GRD_STAND_L_END = 116,
    Ryu_GRD_STAND_L_DM_L = 117,
    Ryu_GRD_STAND_L_DM_M = 118,
    Ryu_GRD_STAND_L_DM_H = 119,
    Ryu_GRD_STAND_L_DM_S = 120,
    Ryu_GRD_CROUCH_H_BGN = 121,
    Ryu_GRD_CROUCH_H = 122,
    Ryu_GRD_CROUCH_H_END = 123,
    Ryu_GRD_CROUCH_H_DM_L = 124,
    Ryu_GRD_CROUCH_H_DM_M = 125,
    Ryu_GRD_CROUCH_H_DM_H = 126,
    Ryu_GRD_CROUCH_H_DM_S = 127,
    Ryu_GRD_CROUCH_L_BGN = 128,
    Ryu_GRD_CROUCH_L = 129,
    Ryu_GRD_CROUCH_L_END = 130,
    Ryu_GRD_CROUCH_L_DM_L = 131,
    Ryu_GRD_CROUCH_L_DM_M = 132,
    Ryu_GRD_CROUCH_L_DM_H = 133,
    Ryu_GRD_CROUCH_L_DM_S = 134,
    Ryu_GRD_AIR_BGN = 135,
    Ryu_GRD_AIR = 136,
    Ryu_GRD_AIR_END = 137,
    Ryu_GRD_AIR_DM_L = 138,
    Ryu_GRD_AIR_DM_M = 139,
    Ryu_GRD_AIR_DM_H = 140,
    Ryu_GRD_AIR_DM_S = 141,
    Ryu_GRD_ZUSA_STAND = 143,
    Ryu_GRD_ZUSA_CROUCH = 144,
    Ryu_GRD_ZUSA_WALL = 145,
    Ryu_DGD_STAND_H_BGN = 150,
    Ryu_DGD_STAND_H = 151,
    Ryu_DGD_STAND_H_END = 152,
    Ryu_DGD_STAND_H_DM_L = 153,
    Ryu_DGD_STAND_H_DM_M = 154,
    Ryu_DGD_STAND_H_DM_H = 155,
    Ryu_DGD_STAND_H_DM_S = 156,
    Ryu_DGD_STAND_M_BGN = 157,
    Ryu_DGD_STAND_M = 158,
    Ryu_DGD_STAND_M_END = 159,
    Ryu_DGD_STAND_M_DM_L = 160,
    Ryu_DGD_STAND_M_DM_M = 161,
    Ryu_DGD_STAND_M_DM_H = 162,
    Ryu_DGD_STAND_M_DM_S = 163,
    Ryu_DGD_STAND_L_BGN = 164,
    Ryu_DGD_STAND_L = 165,
    Ryu_DGD_STAND_L_END = 166,
    Ryu_DGD_STAND_L_DM_L = 167,
    Ryu_DGD_STAND_L_DM_M = 168,
    Ryu_DGD_STAND_L_DM_H = 169,
    Ryu_DGD_STAND_L_DM_S = 170,
    Ryu_DGD_CROUCH_H_BGN = 171,
    Ryu_DGD_CROUCH_H = 172,
    Ryu_DGD_CROUCH_H_END = 173,
    Ryu_DGD_CROUCH_H_DM_L = 174,
    Ryu_DGD_CROUCH_H_DM_M = 175,
    Ryu_DGD_CROUCH_H_DM_H = 176,
    Ryu_DGD_CROUCH_H_DM_S = 177,
    Ryu_DGD_CROUCH_L_BGN = 178,
    Ryu_DGD_CROUCH_L = 179,
    Ryu_DGD_CROUCH_L_END = 180,
    Ryu_DGD_CROUCH_L_DM_L = 181,
    Ryu_DGD_CROUCH_L_DM_M = 182,
    Ryu_DGD_CROUCH_L_DM_H = 183,
    Ryu_DGD_CROUCH_L_DM_S = 184,
    Ryu_DGD_AIR_BGN = 185,
    Ryu_DGD_AIR = 186,
    Ryu_DGD_AIR_END = 187,
    Ryu_DGD_AIR_DM_L = 188,
    Ryu_DGD_AIR_DM_M = 189,
    Ryu_DGD_AIR_DM_H = 190,
    Ryu_DGD_AIR_DM_S = 191,
    Ryu_DMG_STD_H_FR_L = 200,
    Ryu_DMG_STD_H_FR_M = 201,
    Ryu_DMG_STD_H_FR_H = 202,
    Ryu_DMG_CRT_STD_H_FR = 203,
    Ryu_DMG_STD_M_FR_L = 204,
    Ryu_DMG_STD_M_FR_M = 205,
    Ryu_DMG_STD_M_FR_H = 206,
    Ryu_DMG_CRT_STD_M_FR = 207,
    Ryu_DMG_STD_L_FR_L = 208,
    Ryu_DMG_STD_L_FR_M = 209,
    Ryu_DMG_STD_L_FR_H = 210,
    Ryu_DMG_CRT_STD_L_FR = 211,
    Ryu_DMG_CRO_H_FR_L = 212,
    Ryu_DMG_CRO_H_FR_M = 213,
    Ryu_DMG_CRO_H_FR_H = 214,
    Ryu_DMG_CRT_CRO_H_FR = 215,
    Ryu_DMG_CRO_L_FR_L = 216,
    Ryu_DMG_CRO_L_FR_M = 217,
    Ryu_DMG_CRO_L_FR_H = 218,
    Ryu_DMG_CRT_CRO_L_FR = 219,
    Ryu_DMG_AIR_FR_L = 220,
    Ryu_DMG_AIR_FR_M = 221,
    Ryu_DMG_AIR_FR_H = 222,
    Ryu_DMG_STD_BK = 224,
    Ryu_BUTT_RISE_90 = 230,
    Ryu_BUTT_RISE_45 = 231,
    Ryu_BUTT_RISE_00 = 232,
    Ryu_BUTT_RISE_45m = 233,
    Ryu_BUTT_RISE_90m = 234,
    Ryu_BUTT_RISE_BK = 235,
    Ryu_BUTT_RISE_BK_90m = 236,
    Ryu_BUTT_FALL_90 = 237,
    Ryu_BUTT_FALL_45 = 238,
    Ryu_BUTT_FALL_00 = 239,
    Ryu_BUTT_FALL_45m = 240,
    Ryu_BUTT_FALL_90m = 241,
    Ryu_BUTT_FALL_BK = 242,
    Ryu_BUTT_FALL_BK_90m = 243,
    Ryu_BUTT_H_START_90 = 244,
    Ryu_BUTT_H_START_45 = 245,
    Ryu_BUTT_H_START_00 = 246,
    Ryu_BUTT_H_START_45m = 247,
    Ryu_BUTT_H_START_90m = 248,
    Ryu_BUTT_H_START_BK = 249,
    Ryu_BUTT_H_START_BK_90m = 250,
    Ryu_BUTT_B_START_90 = 251,
    Ryu_BUTT_B_START_45 = 252,
    Ryu_BUTT_B_START_00 = 253,
    Ryu_BUTT_B_START_45m = 254,
    Ryu_BUTT_B_START_90m = 255,
    Ryu_BUTT_START_BK = 256,
    Ryu_BUTT_START_BK_90m = 257,
    Ryu_KNOCK_DOWN_BK = 258,
    Ryu_DMG_HL_DOWN = 260,
    Ryu_DMG_HM_DOWN = 261,
    Ryu_DMG_HH_DOWN = 262,
    Ryu_DMG_CL_DOWN = 263,
    Ryu_DMG_CM_DOWN = 264,
    Ryu_DMG_CH_DOWN = 265,
    Ryu_DMG_HL_UPPER = 266,
    Ryu_DMG_HM_UPPER = 267,
    Ryu_DMG_HH_UPPER = 268,
    Ryu_DMG_BL_UPPER = 269,
    Ryu_DMG_BM_UPPER = 270,
    Ryu_DMG_BH_UPPER = 271,
    Ryu_ASHIBARAI = 273,
    Ryu_ASHIBARAI_BACK = 274,
    Ryu_KUZURE = 276,
    Ryu_FLOP_DOWN = 277,
    Ryu_DMG_H_SPIN_GROUND = 279,
    Ryu_DMG_H_SPIN_AIR = 280,
    Ryu_DMG_V_SPIN_GROUND = 281,
    Ryu_DMG_V_SPIN_AIR = 282,
    Ryu_WALL_HIT_FR = 284,
    Ryu_WALL_HIT_BK = 285,
    Ryu_WALL_DOWN_FR = 286,
    Ryu_WALL_DOWN_BK = 287,
    Ryu_DMG_GORO_FR = 289,
    Ryu_DMG_GORO_DOWN_FR = 290,
    Ryu_WALL_GROUND_FR = 291,
    Ryu_WALL_PIYO_STOP = 293,
    Ryu_WALL_PIYO_DOWN = 294,
    Ryu_THROWBREAK_TO = 320,
    Ryu_THROWBREAK_DONE = 321,
    Ryu_GUARD_BREAK_STAND = 322,
    Ryu_GUARD_BREAK_CROUCH = 323,
    Ryu_HARDDOWN_FU = 330,
    Ryu_HARDDOWN_FD = 331,
    Ryu_SLIDEDOWN_FU = 332,
    Ryu_SLIDEDOWN_FU_CMN = 333,
    Ryu_SLIDEDOWN_FD = 334,
    Ryu_SLIDEDOWN_FD_CMN = 335,
    Ryu_LIE_DOWN_FU = 336,
    Ryu_LIE_DOWN_FD = 337,
    Ryu_DOWN_DMG_FU = 338,
    Ryu_DOWN_DMG_FD = 339,
    Ryu_WAKEUP_FU = 340,
    Ryu_WAKEUP_FD = 341,
    Ryu_WAKEUP_F_FU = 342,
    Ryu_WAKEUP_F_FD = 343,
    Ryu_WAKEUP_B_FU = 344,
    Ryu_WAKEUP_B_FD = 345,
    Ryu_BUTT_TAOREN = 346,
    Ryu_AIR_RECOVERY_BK = 347,
    Ryu_BOUND_FU = 350,
    Ryu_BOUND_FD = 351,
    Ryu_STUN = 353,
    Ryu_STUN_END = 354,
    Ryu_KUZURE_DIE = 356,
    Ryu_APPEAR = 400,
    Ryu_APPEAR_END = 401,
    Ryu_APPEAR_ARCADE = 402,
    Ryu_APPEAR_STORY = 403,
    Ryu_LOSE = 405,
    Ryu_MID_LOSE_FU = 407,
    Ryu_MID_LOSE_FD = 408,
    Ryu_DRAW = 410,
    Ryu_RESULT = 412,
    Ryu_WIN = 414,
    Ryu_WIN_STORY = 415,
    Ryu_WIN_PERFECT = 416,
    Ryu_WIN_HI = 417,
    Ryu_WIN_MID = 418,
    Ryu_WIN_LOW = 419,
    Ryu_MINION_ENTRY = 470,
    Ryu_V_TOUCH_ENTRY = 471,
    Ryu_V_TOUCH_STOP = 472,
    Ryu_V_TOUCH_EXIT = 473,
    Ryu_TOUCH_POSE = 474,
    Ryu_TOUCH_JUMP = 475,
    Ryu_TOUCH_SUKI = 476,
    Ryu_TOUCH_NOKI = 477,
    Ryu_ASSIST_SUKI = 478,
    Ryu_PARRY_BGN = 480,
    Ryu_PARRY_LOOP = 481,
    Ryu_PARRY_END = 482,
    Ryu_PARRY_HIT_H = 483,
    Ryu_PARRY_HIT_M = 484,
    Ryu_PARRY_HIT_L = 485,
    Ryu_PARRY_JUST_H = 486,
    Ryu_PARRY_JUST_M = 487,
    Ryu_PARRY_JUST_L = 488,
    Ryu_PARRY_CRO_BGN = 489,
    Ryu_T_FOOTWORK = 510,
    Ryu_T_CROUCH = 511,
    Ryu_T_SIT_DOWN = 512,
    Ryu_T_STAND_UP = 513,
    Ryu_T_TURN_STAND = 514,
    Ryu_T_TURN_CROUCH = 515,
    Ryu_T_WALK_F_BGN = 516,
    Ryu_T_WALK_FORWARD = 517,
    Ryu_T_WALK_F_END = 518,
    Ryu_T_WALK_B_BGN = 519,
    Ryu_T_WALK_BACK = 520,
    Ryu_T_WALK_B_END = 521,
    Ryu_CONTINUE_FU = 530,
    Ryu_CONTINUE_FD = 531,
    Ryu_CONTINUE_SUCCESS = 532,
    Ryu_CONTINUE_FAILURE = 533,
    Ryu_ADV_STAND = 570,
    Ryu_ADV_SIT = 571,
    Ryu_ADV_AIR = 572,
    Ryu_IMM_STAGE_INIT = 580,
    Ryu_IMM_ROUND_INIT = 581,
    Ryu_IMM_DAMAGE_INIT = 582,
    Ryu_IMM_DAMAGE_EXIT = 583,
    Ryu_IMM_TO_NORMAL = 584,
    Ryu_IMM_TOUCH_EXIT = 585,
    Ryu_IMM_TOUCH_ENTRY = 586,
    Ryu_IMM_LANDING = 587,
    Ryu_IMM_HOLD_EXIT = 588,
    Ryu_IMM_FRAME_OUT = 589,
    Ryu_IMM_APPEAR_END = 590,
    Ryu_IMM_RESULT_INIT = 591,
    Ryu_COMMON_END = 599,
    Ryu_5LP = 600,
    Ryu_RC_5LP = 601,
    Ryu_RC_5LP_2 = 602,
    Ryu_5MP = 605,
    Ryu_5HP = 608,
    Ryu_5LK = 611,
    Ryu_5MK = 614,
    Ryu_5HK = 617,
    Ryu_2LP = 622,
    Ryu_RC_2LP = 623,
    Ryu_RC_2LP_2 = 624,
    Ryu_2MP = 627,
    Ryu_2HP = 630,
    Ryu_2LK = 635,
    Ryu_RC_2LK = 636,
    Ryu_RC_2LK_2 = 637,
    Ryu_2MK = 640,
    Ryu_2HK = 643,
    Ryu_8LP = 651,
    Ryu_8MP = 652,
    Ryu_8HP = 653,
    Ryu_8LK = 654,
    Ryu_8MK = 655,
    Ryu_8HK = 656,
    Ryu_6MP = 660,
    Ryu_4HP = 663,
    Ryu_6HP = 666,
    Ryu_4HK = 668,
    Ryu_6HK = 670,
    Ryu_TC_5LK = 687,
    Ryu_TC_5HK = 689,
    Ryu_THROW_F = 715,
    Ryu_THROW_B = 717,
    Ryu_DRIVE_RUSH_From_Normals = 739,
    Ryu_drive_rush = 740,
    Ryu_DRIVE_IMPACT = 854,
    Ryu_HADO_L = 900,
    Ryu_HADO_M = 902,
    Ryu_HADO_H = 904,
    Ryu_HADO_EX_OD = 906,
    Ryu_SHORYU_L = 930,
    Ryu_SHORYU_M = 932,
    Ryu_SHORYU_H = 934,
    Ryu_SHORYU_EX_OD = 936,
    Ryu_GND_TATSUMAKI_L = 1000,
    Ryu_GND_TATSUMAKI_M = 1002,
    Ryu_GND_TATSUMAKI_H = 1005,
    Ryu_GND_TATSUMAKI_EX_OD = 1009,
    Ryu_AIR_TATSUMAKI = 1011,
    Ryu_AIR_TATSUMAKI_EX_OD = 1013,
    Ryu_SOKUTOU_L = 1025,
    Ryu_SOKUTOU_M = 1027,
    Ryu_SOKUTOU_H = 1029,
    Ryu_SOKUTOU_EX_OD = 1031,
    Ryu_HASHOGEKI_L = 1036,
    Ryu_HASHOGEKI_M = 1037,
    Ryu_HASHOGEKI_H = 1039,
    Ryu_HASHOGEKI_EX_OD__1 = 1040,
    Ryu_DENJIN_CHARGE = 1051,
    Ryu_CHARGE_HADO = 1052,
    Ryu_CHARGE_HADO_EX_OD = 1053,
    Ryu_HASHOGEKI_EX_OD = 1066,
    Ryu_SHINKU_HADOKEN = 1200,
    Ryu_DENJIN_HADOKEN = 1201,
    Ryu_SHIN_HASHOGEKI = 1213,
    Ryu_DENJIN_SHIN_HASHOGEKI = 1214,
    Ryu_SHIN_SHORYUKEN = 1234,
}

#[allow(non_camel_case_types)]
#[derive(Default, strum_macros::Display, FromPrimitive, PartialEq, Eq, Clone)]
pub enum LukeActions {
    #[default]
    Luke_INVALID_ID = -1,
    Luke_BACKSTAGE = 0,
    Luke_FOOTWORK = 1,
    Luke_FOOTWORK_IDLE = 2,
    Luke_CROUCH = 4,
    Luke_SIT_DOWN = 5,
    Luke_STAND_UP = 6,
    Luke_TURN_STAND = 7,
    Luke_TURN_CROUCH = 8,
    Luke_WALK_F_BGN = 9,
    Luke_WALK_FORWARD = 10,
    Luke_WALK_F_END = 11,
    Luke_SLIDE_FEET_F = 12,
    Luke_WALK_B_BGN = 13,
    Luke_WALK_BACK = 14,
    Luke_WALK_B_END = 15,
    Luke_SLIDE_FEET_B = 16,
    Luke_DASH_F = 17,
    Luke_DASH_B = 18,
    Luke_DASH_F_END = 19,
    Luke_DASH_B_END = 20,
    Luke_RUN_F_BGN = 21,
    Luke_RUN_F = 22,
    Luke_RUN_F_END = 23,
    Luke_RUN_B_BGN = 24,
    Luke_RUN_B = 25,
    Luke_RUN_B_END = 26,
    Luke_DUCK_WALK_F_BGN = 27,
    Luke_DUCK_WALK_F = 28,
    Luke_DUCK_WALK_F_END = 29,
    Luke_DUCK_WALK_B_BGN = 30,
    Luke_DUCK_WALK_B = 31,
    Luke_DUCK_WALK_B_END = 32,
    Luke_JUMP_V_BGN = 33,
    Luke_JUMP_F_BGN = 34,
    Luke_JUMP_B_BGN = 35,
    Luke_JUMP_V = 36,
    Luke_JUMP_F = 37,
    Luke_JUMP_B = 38,
    Luke_JUMP_V_END = 39,
    Luke_JUMP_F_END = 40,
    Luke_JUMP_B_END = 41,
    Luke_JUMP_ATK_END = 42,
    Luke_W_JUMP_V = 44,
    Luke_W_JUMP_F = 45,
    Luke_W_JUMP_B = 46,
    Luke_T_JUMP_WALL = 47,
    Luke_T_JUMP = 48,
    Luke_L_JUMP_V_BGN = 54,
    Luke_L_JUMP_F_BGN = 55,
    Luke_L_JUMP_B_BGN = 56,
    Luke_L_JUMP_V = 57,
    Luke_L_JUMP_F = 58,
    Luke_L_JUMP_B = 59,
    Luke_H_JUMP_V_BGN = 60,
    Luke_H_JUMP_F_BGN = 61,
    Luke_H_JUMP_B_BGN = 62,
    Luke_H_JUMP_V = 63,
    Luke_H_JUMP_F = 64,
    Luke_H_JUMP_B = 65,
    Luke_FLY_BGN = 66,
    Luke_FLY_END = 67,
    Luke_FLY_BASE = 68,
    Luke_FLY_UU = 69,
    Luke_FLY_BU = 70,
    Luke_FLY_BB = 71,
    Luke_FLY_BD = 72,
    Luke_FLY_DD = 73,
    Luke_FLY_FD = 74,
    Luke_FLY_FF = 75,
    Luke_FLY_FU = 76,
    Luke_FLY_UU_END = 77,
    Luke_FLY_BU_END = 78,
    Luke_FLY_BB_END = 79,
    Luke_FLY_BD_END = 80,
    Luke_FLY_DD_END = 81,
    Luke_FLY_FD_END = 82,
    Luke_FLY_FF_END = 83,
    Luke_FLY_FU_END = 84,
    Luke_AIR_DASH_U = 85,
    Luke_AIR_DASH_BU = 86,
    Luke_AIR_DASH_B = 87,
    Luke_AIR_DASH_BD = 88,
    Luke_AIR_DASH_D = 89,
    Luke_AIR_DASH_FD = 90,
    Luke_AIR_DASH_F = 91,
    Luke_AIR_DASH_FU = 92,
    Luke_FALL_V = 93,
    Luke_GRD_STAND_H_BGN = 100,
    Luke_GRD_STAND_H = 101,
    Luke_GRD_STAND_H_END = 102,
    Luke_GRD_STAND_H_DM_L = 103,
    Luke_GRD_STAND_H_DM_M = 104,
    Luke_GRD_STAND_H_DM_H = 105,
    Luke_GRD_STAND_H_DM_S = 106,
    Luke_GRD_STAND_M_BGN = 107,
    Luke_GRD_STAND_M = 108,
    Luke_GRD_STAND_M_END = 109,
    Luke_GRD_STAND_M_DM_L = 110,
    Luke_GRD_STAND_M_DM_M = 111,
    Luke_GRD_STAND_M_DM_H = 112,
    Luke_GRD_STAND_M_DM_S = 113,
    Luke_GRD_STAND_L_BGN = 114,
    Luke_GRD_STAND_L = 115,
    Luke_GRD_STAND_L_END = 116,
    Luke_GRD_STAND_L_DM_L = 117,
    Luke_GRD_STAND_L_DM_M = 118,
    Luke_GRD_STAND_L_DM_H = 119,
    Luke_GRD_STAND_L_DM_S = 120,
    Luke_GRD_CROUCH_H_BGN = 121,
    Luke_GRD_CROUCH_H = 122,
    Luke_GRD_CROUCH_H_END = 123,
    Luke_GRD_CROUCH_H_DM_L = 124,
    Luke_GRD_CROUCH_H_DM_M = 125,
    Luke_GRD_CROUCH_H_DM_H = 126,
    Luke_GRD_CROUCH_H_DM_S = 127,
    Luke_GRD_CROUCH_L_BGN = 128,
    Luke_GRD_CROUCH_L = 129,
    Luke_GRD_CROUCH_L_END = 130,
    Luke_GRD_CROUCH_L_DM_L = 131,
    Luke_GRD_CROUCH_L_DM_M = 132,
    Luke_GRD_CROUCH_L_DM_H = 133,
    Luke_GRD_CROUCH_L_DM_S = 134,
    Luke_GRD_AIR_BGN = 135,
    Luke_GRD_AIR = 136,
    Luke_GRD_AIR_END = 137,
    Luke_GRD_AIR_DM_L = 138,
    Luke_GRD_AIR_DM_M = 139,
    Luke_GRD_AIR_DM_H = 140,
    Luke_GRD_AIR_DM_S = 141,
    Luke_GRD_ZUSA_STAND = 143,
    Luke_GRD_ZUSA_CROUCH = 144,
    Luke_GRD_ZUSA_WALL = 145,
    Luke_DGD_STAND_H_BGN = 150,
    Luke_DGD_STAND_H = 151,
    Luke_DGD_STAND_H_END = 152,
    Luke_DGD_STAND_H_DM_L = 153,
    Luke_DGD_STAND_H_DM_M = 154,
    Luke_DGD_STAND_H_DM_H = 155,
    Luke_DGD_STAND_H_DM_S = 156,
    Luke_DGD_STAND_M_BGN = 157,
    Luke_DGD_STAND_M = 158,
    Luke_DGD_STAND_M_END = 159,
    Luke_DGD_STAND_M_DM_L = 160,
    Luke_DGD_STAND_M_DM_M = 161,
    Luke_DGD_STAND_M_DM_H = 162,
    Luke_DGD_STAND_M_DM_S = 163,
    Luke_DGD_STAND_L_BGN = 164,
    Luke_DGD_STAND_L = 165,
    Luke_DGD_STAND_L_END = 166,
    Luke_DGD_STAND_L_DM_L = 167,
    Luke_DGD_STAND_L_DM_M = 168,
    Luke_DGD_STAND_L_DM_H = 169,
    Luke_DGD_STAND_L_DM_S = 170,
    Luke_DGD_CROUCH_H_BGN = 171,
    Luke_DGD_CROUCH_H = 172,
    Luke_DGD_CROUCH_H_END = 173,
    Luke_DGD_CROUCH_H_DM_L = 174,
    Luke_DGD_CROUCH_H_DM_M = 175,
    Luke_DGD_CROUCH_H_DM_H = 176,
    Luke_DGD_CROUCH_H_DM_S = 177,
    Luke_DGD_CROUCH_L_BGN = 178,
    Luke_DGD_CROUCH_L = 179,
    Luke_DGD_CROUCH_L_END = 180,
    Luke_DGD_CROUCH_L_DM_L = 181,
    Luke_DGD_CROUCH_L_DM_M = 182,
    Luke_DGD_CROUCH_L_DM_H = 183,
    Luke_DGD_CROUCH_L_DM_S = 184,
    Luke_DGD_AIR_BGN = 185,
    Luke_DGD_AIR = 186,
    Luke_DGD_AIR_END = 187,
    Luke_DGD_AIR_DM_L = 188,
    Luke_DGD_AIR_DM_M = 189,
    Luke_DGD_AIR_DM_H = 190,
    Luke_DGD_AIR_DM_S = 191,
    Luke_DMG_STD_H_FR_L = 200,
    Luke_DMG_STD_H_FR_M = 201,
    Luke_DMG_STD_H_FR_H = 202,
    Luke_DMG_CRT_STD_H_FR = 203,
    Luke_DMG_STD_M_FR_L = 204,
    Luke_DMG_STD_M_FR_M = 205,
    Luke_DMG_STD_M_FR_H = 206,
    Luke_DMG_CRT_STD_M_FR = 207,
    Luke_DMG_STD_L_FR_L = 208,
    Luke_DMG_STD_L_FR_M = 209,
    Luke_DMG_STD_L_FR_H = 210,
    Luke_DMG_CRT_STD_L_FR = 211,
    Luke_DMG_CRO_H_FR_L = 212,
    Luke_DMG_CRO_H_FR_M = 213,
    Luke_DMG_CRO_H_FR_H = 214,
    Luke_DMG_CRT_CRO_H_FR = 215,
    Luke_DMG_CRO_L_FR_L = 216,
    Luke_DMG_CRO_L_FR_M = 217,
    Luke_DMG_CRO_L_FR_H = 218,
    Luke_DMG_CRT_CRO_L_FR = 219,
    Luke_DMG_AIR_FR_L = 220,
    Luke_DMG_AIR_FR_M = 221,
    Luke_DMG_AIR_FR_H = 222,
    Luke_DMG_STD_BK = 224,
    Luke_BUTT_RISE_90 = 230,
    Luke_BUTT_RISE_45 = 231,
    Luke_BUTT_RISE_00 = 232,
    Luke_BUTT_RISE_45m = 233,
    Luke_BUTT_RISE_90m = 234,
    Luke_BUTT_RISE_BK = 235,
    Luke_BUTT_RISE_BK_90m = 236,
    Luke_BUTT_FALL_90 = 237,
    Luke_BUTT_FALL_45 = 238,
    Luke_BUTT_FALL_00 = 239,
    Luke_BUTT_FALL_45m = 240,
    Luke_BUTT_FALL_90m = 241,
    Luke_BUTT_FALL_BK = 242,
    Luke_BUTT_FALL_BK_90m = 243,
    Luke_BUTT_H_START_90 = 244,
    Luke_BUTT_H_START_45 = 245,
    Luke_BUTT_H_START_00 = 246,
    Luke_BUTT_H_START_45m = 247,
    Luke_BUTT_H_START_90m = 248,
    Luke_BUTT_H_START_BK = 249,
    Luke_BUTT_H_START_BK_90m = 250,
    Luke_BUTT_B_START_90 = 251,
    Luke_BUTT_B_START_45 = 252,
    Luke_BUTT_B_START_00 = 253,
    Luke_BUTT_B_START_45m = 254,
    Luke_BUTT_B_START_90m = 255,
    Luke_BUTT_START_BK = 256,
    Luke_BUTT_START_BK_90m = 257,
    Luke_KNOCK_DOWN_BK = 258,
    Luke_DMG_HL_DOWN = 260,
    Luke_DMG_HM_DOWN = 261,
    Luke_DMG_HH_DOWN = 262,
    Luke_DMG_CL_DOWN = 263,
    Luke_DMG_CM_DOWN = 264,
    Luke_DMG_CH_DOWN = 265,
    Luke_DMG_HL_UPPER = 266,
    Luke_DMG_HM_UPPER = 267,
    Luke_DMG_HH_UPPER = 268,
    Luke_DMG_BL_UPPER = 269,
    Luke_DMG_BM_UPPER = 270,
    Luke_DMG_BH_UPPER = 271,
    Luke_ASHIBARAI = 273,
    Luke_ASHIBARAI_BACK = 274,
    Luke_KUZURE = 276,
    Luke_FLOP_DOWN = 277,
    Luke_DMG_H_SPIN_GROUND = 279,
    Luke_DMG_H_SPIN_AIR = 280,
    Luke_DMG_V_SPIN_GROUND = 281,
    Luke_DMG_V_SPIN_AIR = 282,
    Luke_WALL_HIT_FR = 284,
    Luke_WALL_HIT_BK = 285,
    Luke_WALL_DOWN_FR = 286,
    Luke_WALL_DOWN_BK = 287,
    Luke_DMG_GORO_FR = 289,
    Luke_DMG_GORO_DOWN_FR = 290,
    Luke_WALL_GROUND_FR = 291,
    Luke_WALL_PIYO_STOP = 293,
    Luke_WALL_PIYO_DOWN = 294,
    Luke_THROWBREAK_TO = 320,
    Luke_THROWBREAK_DONE = 321,
    Luke_GUARD_BREAK_STAND = 322,
    Luke_GUARD_BREAK_CROUCH = 323,
    Luke_HARDDOWN_FU = 330,
    Luke_HARDDOWN_FD = 331,
    Luke_SLIDEDOWN_FU = 332,
    Luke_SLIDEDOWN_FU_CMN = 333,
    Luke_SLIDEDOWN_FD = 334,
    Luke_SLIDEDOWN_FD_CMN = 335,
    Luke_LIE_DOWN_FU = 336,
    Luke_LIE_DOWN_FD = 337,
    Luke_DOWN_DMG_FU = 338,
    Luke_DOWN_DMG_FD = 339,
    Luke_WAKEUP_FU = 340,
    Luke_WAKEUP_FD = 341,
    Luke_WAKEUP_F_FU = 342,
    Luke_WAKEUP_F_FD = 343,
    Luke_WAKEUP_B_FU = 344,
    Luke_WAKEUP_B_FD = 345,
    Luke_BUTT_TAOREN = 346,
    Luke_AIR_RECOVERY_BK = 347,
    Luke_BOUND_FU = 350,
    Luke_BOUND_FD = 351,
    Luke_STUN = 353,
    Luke_STUN_END = 354,
    Luke_KUZURE_DIE = 356,
    Luke_APPEAR = 400,
    Luke_APPEAR_END = 401,
    Luke_APPEAR_ARCADE = 402,
    Luke_APPEAR_STORY = 403,
    Luke_LOSE = 405,
    Luke_MID_LOSE_FU = 407,
    Luke_MID_LOSE_FD = 408,
    Luke_DRAW = 410,
    Luke_RESULT = 412,
    Luke_WIN = 414,
    Luke_WIN_STORY = 415,
    Luke_WIN_PERFECT = 416,
    Luke_WIN_HI = 417,
    Luke_WIN_MID = 418,
    Luke_WIN_LOW = 419,
    Luke_MINION_ENTRY = 470,
    Luke_V_TOUCH_ENTRY = 471,
    Luke_V_TOUCH_STOP = 472,
    Luke_V_TOUCH_EXIT = 473,
    Luke_TOUCH_POSE = 474,
    Luke_TOUCH_JUMP = 475,
    Luke_TOUCH_SUKI = 476,
    Luke_TOUCH_NOKI = 477,
    Luke_ASSIST_SUKI = 478,
    Luke_PARRY_BGN = 480,
    Luke_PARRY_LOOP = 481,
    Luke_PARRY_END = 482,
    Luke_PARRY_HIT_H = 483,
    Luke_PARRY_HIT_M = 484,
    Luke_PARRY_HIT_L = 485,
    Luke_PARRY_JUST_H = 486,
    Luke_PARRY_JUST_M = 487,
    Luke_PARRY_JUST_L = 488,
    Luke_PARRY_CRO_BGN = 489,
    Luke_T_FOOTWORK = 510,
    Luke_T_CROUCH = 511,
    Luke_T_SIT_DOWN = 512,
    Luke_T_STAND_UP = 513,
    Luke_T_TURN_STAND = 514,
    Luke_T_TURN_CROUCH = 515,
    Luke_T_WALK_F_BGN = 516,
    Luke_T_WALK_FORWARD = 517,
    Luke_T_WALK_F_END = 518,
    Luke_T_WALK_B_BGN = 519,
    Luke_T_WALK_BACK = 520,
    Luke_T_WALK_B_END = 521,
    Luke_CONTINUE_FU = 530,
    Luke_CONTINUE_FD = 531,
    Luke_CONTINUE_SUCCESS = 532,
    Luke_CONTINUE_FAILURE = 533,
    Luke_ADV_STAND = 570,
    Luke_ADV_SIT = 571,
    Luke_ADV_AIR = 572,
    Luke_IMM_STAGE_INIT = 580,
    Luke_IMM_ROUND_INIT = 581,
    Luke_IMM_DAMAGE_INIT = 582,
    Luke_IMM_DAMAGE_EXIT = 583,
    Luke_IMM_TO_NORMAL = 584,
    Luke_IMM_TOUCH_EXIT = 585,
    Luke_IMM_TOUCH_ENTRY = 586,
    Luke_IMM_LANDING = 587,
    Luke_IMM_HOLD_EXIT = 588,
    Luke_IMM_FRAME_OUT = 589,
    Luke_IMM_APPEAR_END = 590,
    Luke_IMM_RESULT_INIT = 591,
    Luke_COMMON_END = 599,
    Luke_5MP = 603,
    Luke_5HP = 606,
    Luke_5LK = 609,
    Luke_5MK = 612,
    Luke_5HK = 615,
    Luke_2LP = 618,
    Luke_RC_2LP = 620,
    Luke_2MP = 623,
    Luke_2HP = 626,
    Luke_2LK = 629,
    Luke_RC_2LK = 631,
    Luke_2MK = 634,
    Luke_2HK = 637,
    Luke_8LP = 650,
    Luke_8MP = 651,
    Luke_8HP = 652,
    Luke_8LK = 653,
    Luke_8MK = 654,
    Luke_8HK = 655,
    Luke_6MP = 659,
    Luke_4HP = 662,
    Luke_6HP = 665,
    Luke_6HP_TC = 667,
    Luke_4HK = 669,
    Luke_5MP_TC = 674,
    Luke_5HP_TC = 675,
    Luke_5MP_5MP_TC = 677,
    Luke_5MP_5MP_5MP_TC = 678,
    Luke_5MP_5MP_5MP_5MP_TC = 679,
    Luke_3HP_TC = 681,
    Luke_THROW_F = 715,
    Luke_THROW_B = 717,
    Luke_DRIVE_RUSH_FROM_NORMALS = 739,
    Luke_RAW_DRIVE_RUSH = 740,
    Luke_DRIVE_IMPACT = 855,
    Luke_SAND_L = 900,
    Luke_SAND_M = 902,
    Luke_SAND_H = 904,
    Luke_SAND_EX_1 = 906,
    Luke_SAND_EX_2 = 907,
    Luke_FLASH_KNUCKLE_START_L = 921,
    Luke_FLASH_KNUCKLE_START_M = 925,
    Luke_FLASH_KNUCKLE_START_H = 929,
    Luke_FLASH_KNUCKLE_EX_1 = 933,
    Luke_FLASH_KNUCKLE_EX_2 = 935,
    Luke_FLASH_KNUCKLE_AIR = 946,
    Luke_RISING_L = 955,
    Luke_RISING_M = 956,
    Luke_RISING_H = 957,
    Luke_RISING_EX = 958,
    Luke_RISING_EX_DUNK = 967,
    Luke_RUN = 972,
    Luke_RUN_KICK = 974,
    Luke_RUN_PUNCH = 975,
    Luke_RUN_EX = 977,
    Luke_RUN_EX_KICK = 979,
    Luke_RUN_EX_PUNCH = 980,
    Luke_LV1_CA = 1200,
    Luke_LV2_CA = 1210,
    Luke_LV3_CA = 1215,
    Luke_LV4_CA_LOW_HP = 1220,
}

#[allow(non_camel_case_types)]
#[derive(Default, strum_macros::Display, FromPrimitive, PartialEq, Eq, Clone)]
pub enum KimberlyActions {
    #[default]
    Kimberly_INVALID_ID = -1,
    Kimberly_BACKSTAGE = 0,
    Kimberly_FOOTWORK = 1,
    Kimberly_FOOTWORK_IDLE = 2,
    Kimberly_CROUCH = 4,
    Kimberly_SIT_DOWN = 5,
    Kimberly_STAND_UP = 6,
    Kimberly_TURN_STAND = 7,
    Kimberly_TURN_CROUCH = 8,
    Kimberly_WALK_F_BGN = 9,
    Kimberly_WALK_FORWARD = 10,
    Kimberly_WALK_F_END = 11,
    Kimberly_SLIDE_FEET_F = 12,
    Kimberly_WALK_B_BGN = 13,
    Kimberly_WALK_BACK = 14,
    Kimberly_WALK_B_END = 15,
    Kimberly_SLIDE_FEET_B = 16,
    Kimberly_DASH_F = 17,
    Kimberly_DASH_B = 18,
    Kimberly_DASH_F_END = 19,
    Kimberly_DASH_B_END = 20,
    Kimberly_RUN_F_BGN = 21,
    Kimberly_RUN_F = 22,
    Kimberly_RUN_F_END = 23,
    Kimberly_RUN_B_BGN = 24,
    Kimberly_RUN_B = 25,
    Kimberly_RUN_B_END = 26,
    Kimberly_DUCK_WALK_F_BGN = 27,
    Kimberly_DUCK_WALK_F = 28,
    Kimberly_DUCK_WALK_F_END = 29,
    Kimberly_DUCK_WALK_B_BGN = 30,
    Kimberly_DUCK_WALK_B = 31,
    Kimberly_DUCK_WALK_B_END = 32,
    Kimberly_JUMP_V_BGN = 33,
    Kimberly_JUMP_F_BGN = 34,
    Kimberly_JUMP_B_BGN = 35,
    Kimberly_JUMP_V = 36,
    Kimberly_JUMP_F = 37,
    Kimberly_JUMP_B = 38,
    Kimberly_JUMP_V_END = 39,
    Kimberly_JUMP_F_END = 40,
    Kimberly_JUMP_B_END = 41,
    Kimberly_JUMP_ATK_END = 42,
    Kimberly_W_JUMP_V = 44,
    Kimberly_W_JUMP_F = 45,
    Kimberly_W_JUMP_B = 46,
    Kimberly_T_JUMP_WALL = 47,
    Kimberly_T_JUMP = 48,
    Kimberly_L_JUMP_V_BGN = 54,
    Kimberly_L_JUMP_F_BGN = 55,
    Kimberly_L_JUMP_B_BGN = 56,
    Kimberly_L_JUMP_V = 57,
    Kimberly_L_JUMP_F = 58,
    Kimberly_L_JUMP_B = 59,
    Kimberly_H_JUMP_V_BGN = 60,
    Kimberly_H_JUMP_F_BGN = 61,
    Kimberly_H_JUMP_B_BGN = 62,
    Kimberly_H_JUMP_V = 63,
    Kimberly_H_JUMP_F = 64,
    Kimberly_H_JUMP_B = 65,
    Kimberly_FLY_BGN = 66,
    Kimberly_FLY_END = 67,
    Kimberly_FLY_BASE = 68,
    Kimberly_FLY_UU = 69,
    Kimberly_FLY_BU = 70,
    Kimberly_FLY_BB = 71,
    Kimberly_FLY_BD = 72,
    Kimberly_FLY_DD = 73,
    Kimberly_FLY_FD = 74,
    Kimberly_FLY_FF = 75,
    Kimberly_FLY_FU = 76,
    Kimberly_FLY_UU_END = 77,
    Kimberly_FLY_BU_END = 78,
    Kimberly_FLY_BB_END = 79,
    Kimberly_FLY_BD_END = 80,
    Kimberly_FLY_DD_END = 81,
    Kimberly_FLY_FD_END = 82,
    Kimberly_FLY_FF_END = 83,
    Kimberly_FLY_FU_END = 84,
    Kimberly_AIR_DASH_U = 85,
    Kimberly_AIR_DASH_BU = 86,
    Kimberly_AIR_DASH_B = 87,
    Kimberly_AIR_DASH_BD = 88,
    Kimberly_AIR_DASH_D = 89,
    Kimberly_AIR_DASH_FD = 90,
    Kimberly_AIR_DASH_F = 91,
    Kimberly_AIR_DASH_FU = 92,
    Kimberly_FALL_V = 93,
    Kimberly_GRD_STAND_H_BGN = 100,
    Kimberly_GRD_STAND_H = 101,
    Kimberly_GRD_STAND_H_END = 102,
    Kimberly_GRD_STAND_H_DM_L = 103,
    Kimberly_GRD_STAND_H_DM_M = 104,
    Kimberly_GRD_STAND_H_DM_H = 105,
    Kimberly_GRD_STAND_H_DM_S = 106,
    Kimberly_GRD_STAND_M_BGN = 107,
    Kimberly_GRD_STAND_M = 108,
    Kimberly_GRD_STAND_M_END = 109,
    Kimberly_GRD_STAND_M_DM_L = 110,
    Kimberly_GRD_STAND_M_DM_M = 111,
    Kimberly_GRD_STAND_M_DM_H = 112,
    Kimberly_GRD_STAND_M_DM_S = 113,
    Kimberly_GRD_STAND_L_BGN = 114,
    Kimberly_GRD_STAND_L = 115,
    Kimberly_GRD_STAND_L_END = 116,
    Kimberly_GRD_STAND_L_DM_L = 117,
    Kimberly_GRD_STAND_L_DM_M = 118,
    Kimberly_GRD_STAND_L_DM_H = 119,
    Kimberly_GRD_STAND_L_DM_S = 120,
    Kimberly_GRD_CROUCH_H_BGN = 121,
    Kimberly_GRD_CROUCH_H = 122,
    Kimberly_GRD_CROUCH_H_END = 123,
    Kimberly_GRD_CROUCH_H_DM_L = 124,
    Kimberly_GRD_CROUCH_H_DM_M = 125,
    Kimberly_GRD_CROUCH_H_DM_H = 126,
    Kimberly_GRD_CROUCH_H_DM_S = 127,
    Kimberly_GRD_CROUCH_L_BGN = 128,
    Kimberly_GRD_CROUCH_L = 129,
    Kimberly_GRD_CROUCH_L_END = 130,
    Kimberly_GRD_CROUCH_L_DM_L = 131,
    Kimberly_GRD_CROUCH_L_DM_M = 132,
    Kimberly_GRD_CROUCH_L_DM_H = 133,
    Kimberly_GRD_CROUCH_L_DM_S = 134,
    Kimberly_GRD_AIR_BGN = 135,
    Kimberly_GRD_AIR = 136,
    Kimberly_GRD_AIR_END = 137,
    Kimberly_GRD_AIR_DM_L = 138,
    Kimberly_GRD_AIR_DM_M = 139,
    Kimberly_GRD_AIR_DM_H = 140,
    Kimberly_GRD_AIR_DM_S = 141,
    Kimberly_GRD_ZUSA_STAND = 143,
    Kimberly_GRD_ZUSA_CROUCH = 144,
    Kimberly_GRD_ZUSA_WALL = 145,
    Kimberly_DGD_STAND_H_BGN = 150,
    Kimberly_DGD_STAND_H = 151,
    Kimberly_DGD_STAND_H_END = 152,
    Kimberly_DGD_STAND_H_DM_L = 153,
    Kimberly_DGD_STAND_H_DM_M = 154,
    Kimberly_DGD_STAND_H_DM_H = 155,
    Kimberly_DGD_STAND_H_DM_S = 156,
    Kimberly_DGD_STAND_M_BGN = 157,
    Kimberly_DGD_STAND_M = 158,
    Kimberly_DGD_STAND_M_END = 159,
    Kimberly_DGD_STAND_M_DM_L = 160,
    Kimberly_DGD_STAND_M_DM_M = 161,
    Kimberly_DGD_STAND_M_DM_H = 162,
    Kimberly_DGD_STAND_M_DM_S = 163,
    Kimberly_DGD_STAND_L_BGN = 164,
    Kimberly_DGD_STAND_L = 165,
    Kimberly_DGD_STAND_L_END = 166,
    Kimberly_DGD_STAND_L_DM_L = 167,
    Kimberly_DGD_STAND_L_DM_M = 168,
    Kimberly_DGD_STAND_L_DM_H = 169,
    Kimberly_DGD_STAND_L_DM_S = 170,
    Kimberly_DGD_CROUCH_H_BGN = 171,
    Kimberly_DGD_CROUCH_H = 172,
    Kimberly_DGD_CROUCH_H_END = 173,
    Kimberly_DGD_CROUCH_H_DM_L = 174,
    Kimberly_DGD_CROUCH_H_DM_M = 175,
    Kimberly_DGD_CROUCH_H_DM_H = 176,
    Kimberly_DGD_CROUCH_H_DM_S = 177,
    Kimberly_DGD_CROUCH_L_BGN = 178,
    Kimberly_DGD_CROUCH_L = 179,
    Kimberly_DGD_CROUCH_L_END = 180,
    Kimberly_DGD_CROUCH_L_DM_L = 181,
    Kimberly_DGD_CROUCH_L_DM_M = 182,
    Kimberly_DGD_CROUCH_L_DM_H = 183,
    Kimberly_DGD_CROUCH_L_DM_S = 184,
    Kimberly_DGD_AIR_BGN = 185,
    Kimberly_DGD_AIR = 186,
    Kimberly_DGD_AIR_END = 187,
    Kimberly_DGD_AIR_DM_L = 188,
    Kimberly_DGD_AIR_DM_M = 189,
    Kimberly_DGD_AIR_DM_H = 190,
    Kimberly_DGD_AIR_DM_S = 191,
    Kimberly_DMG_STD_H_FR_L = 200,
    Kimberly_DMG_STD_H_FR_M = 201,
    Kimberly_DMG_STD_H_FR_H = 202,
    Kimberly_DMG_CRT_STD_H_FR = 203,
    Kimberly_DMG_STD_M_FR_L = 204,
    Kimberly_DMG_STD_M_FR_M = 205,
    Kimberly_DMG_STD_M_FR_H = 206,
    Kimberly_DMG_CRT_STD_M_FR = 207,
    Kimberly_DMG_STD_L_FR_L = 208,
    Kimberly_DMG_STD_L_FR_M = 209,
    Kimberly_DMG_STD_L_FR_H = 210,
    Kimberly_DMG_CRT_STD_L_FR = 211,
    Kimberly_DMG_CRO_H_FR_L = 212,
    Kimberly_DMG_CRO_H_FR_M = 213,
    Kimberly_DMG_CRO_H_FR_H = 214,
    Kimberly_DMG_CRT_CRO_H_FR = 215,
    Kimberly_DMG_CRO_L_FR_L = 216,
    Kimberly_DMG_CRO_L_FR_M = 217,
    Kimberly_DMG_CRO_L_FR_H = 218,
    Kimberly_DMG_CRT_CRO_L_FR = 219,
    Kimberly_DMG_AIR_FR_L = 220,
    Kimberly_DMG_AIR_FR_M = 221,
    Kimberly_DMG_AIR_FR_H = 222,
    Kimberly_DMG_STD_BK = 224,
    Kimberly_BUTT_RISE_90 = 230,
    Kimberly_BUTT_RISE_45 = 231,
    Kimberly_BUTT_RISE_00 = 232,
    Kimberly_BUTT_RISE_45m = 233,
    Kimberly_BUTT_RISE_90m = 234,
    Kimberly_BUTT_RISE_BK = 235,
    Kimberly_BUTT_RISE_BK_90m = 236,
    Kimberly_BUTT_FALL_90 = 237,
    Kimberly_BUTT_FALL_45 = 238,
    Kimberly_BUTT_FALL_00 = 239,
    Kimberly_BUTT_FALL_45m = 240,
    Kimberly_BUTT_FALL_90m = 241,
    Kimberly_BUTT_FALL_BK = 242,
    Kimberly_BUTT_FALL_BK_90m = 243,
    Kimberly_BUTT_H_START_90 = 244,
    Kimberly_BUTT_H_START_45 = 245,
    Kimberly_BUTT_H_START_00 = 246,
    Kimberly_BUTT_H_START_45m = 247,
    Kimberly_BUTT_H_START_90m = 248,
    Kimberly_BUTT_H_START_BK = 249,
    Kimberly_BUTT_H_START_BK_90m = 250,
    Kimberly_BUTT_B_START_90 = 251,
    Kimberly_BUTT_B_START_45 = 252,
    Kimberly_BUTT_B_START_00 = 253,
    Kimberly_BUTT_B_START_45m = 254,
    Kimberly_BUTT_B_START_90m = 255,
    Kimberly_BUTT_START_BK = 256,
    Kimberly_BUTT_START_BK_90m = 257,
    Kimberly_KNOCK_DOWN_BK = 258,
    Kimberly_DMG_HL_DOWN = 260,
    Kimberly_DMG_HM_DOWN = 261,
    Kimberly_DMG_HH_DOWN = 262,
    Kimberly_DMG_CL_DOWN = 263,
    Kimberly_DMG_CM_DOWN = 264,
    Kimberly_DMG_CH_DOWN = 265,
    Kimberly_DMG_HL_UPPER = 266,
    Kimberly_DMG_HM_UPPER = 267,
    Kimberly_DMG_HH_UPPER = 268,
    Kimberly_DMG_BL_UPPER = 269,
    Kimberly_DMG_BM_UPPER = 270,
    Kimberly_DMG_BH_UPPER = 271,
    Kimberly_ASHIBARAI = 273,
    Kimberly_ASHIBARAI_BACK = 274,
    Kimberly_KUZURE = 276,
    Kimberly_FLOP_DOWN = 277,
    Kimberly_DMG_H_SPIN_GROUND = 279,
    Kimberly_DMG_H_SPIN_AIR = 280,
    Kimberly_DMG_V_SPIN_GROUND = 281,
    Kimberly_DMG_V_SPIN_AIR = 282,
    Kimberly_WALL_HIT_FR = 284,
    Kimberly_WALL_HIT_BK = 285,
    Kimberly_WALL_DOWN_FR = 286,
    Kimberly_WALL_DOWN_BK = 287,
    Kimberly_DMG_GORO_FR = 289,
    Kimberly_DMG_GORO_DOWN_FR = 290,
    Kimberly_WALL_GROUND_FR = 291,
    Kimberly_WALL_PIYO_STOP = 293,
    Kimberly_WALL_PIYO_DOWN = 294,
    Kimberly_THROWBREAK_TO = 320,
    Kimberly_THROWBREAK_DONE = 321,
    Kimberly_GUARD_BREAK_STAND = 322,
    Kimberly_GUARD_BREAK_CROUCH = 323,
    Kimberly_HARDDOWN_FU = 330,
    Kimberly_HARDDOWN_FD = 331,
    Kimberly_SLIDEDOWN_FU = 332,
    Kimberly_SLIDEDOWN_FU_CMN = 333,
    Kimberly_SLIDEDOWN_FD = 334,
    Kimberly_SLIDEDOWN_FD_CMN = 335,
    Kimberly_LIE_DOWN_FU = 336,
    Kimberly_LIE_DOWN_FD = 337,
    Kimberly_DOWN_DMG_FU = 338,
    Kimberly_DOWN_DMG_FD = 339,
    Kimberly_WAKEUP_FU = 340,
    Kimberly_WAKEUP_FD = 341,
    Kimberly_WAKEUP_F_FU = 342,
    Kimberly_WAKEUP_F_FD = 343,
    Kimberly_WAKEUP_B_FU = 344,
    Kimberly_WAKEUP_B_FD = 345,
    Kimberly_BUTT_TAOREN = 346,
    Kimberly_AIR_RECOVERY_BK = 347,
    Kimberly_BOUND_FU = 350,
    Kimberly_BOUND_FD = 351,
    Kimberly_STUN = 353,
    Kimberly_STUN_END = 354,
    Kimberly_KUZURE_DIE = 356,
    Kimberly_APPEAR = 400,
    Kimberly_APPEAR_END = 401,
    Kimberly_APPEAR_ARCADE = 402,
    Kimberly_APPEAR_STORY = 403,
    Kimberly_LOSE = 405,
    Kimberly_MID_LOSE_FU = 407,
    Kimberly_MID_LOSE_FD = 408,
    Kimberly_DRAW = 410,
    Kimberly_RESULT = 412,
    Kimberly_WIN = 414,
    Kimberly_WIN_STORY = 415,
    Kimberly_WIN_PERFECT = 416,
    Kimberly_WIN_HI = 417,
    Kimberly_WIN_MID = 418,
    Kimberly_WIN_LOW = 419,
    Kimberly_MINION_ENTRY = 470,
    Kimberly_V_TOUCH_ENTRY = 471,
    Kimberly_V_TOUCH_STOP = 472,
    Kimberly_V_TOUCH_EXIT = 473,
    Kimberly_TOUCH_POSE = 474,
    Kimberly_TOUCH_JUMP = 475,
    Kimberly_TOUCH_SUKI = 476,
    Kimberly_TOUCH_NOKI = 477,
    Kimberly_ASSIST_SUKI = 478,
    Kimberly_PARRY_BGN = 480,
    Kimberly_PARRY_LOOP = 481,
    Kimberly_PARRY_END = 482,
    Kimberly_PARRY_HIT_H = 483,
    Kimberly_PARRY_HIT_M = 484,
    Kimberly_PARRY_HIT_L = 485,
    Kimberly_PARRY_JUST_H = 486,
    Kimberly_PARRY_JUST_M = 487,
    Kimberly_PARRY_JUST_L = 488,
    Kimberly_PARRY_CRO_BGN = 489,
    Kimberly_T_FOOTWORK = 510,
    Kimberly_T_CROUCH = 511,
    Kimberly_T_SIT_DOWN = 512,
    Kimberly_T_STAND_UP = 513,
    Kimberly_T_TURN_STAND = 514,
    Kimberly_T_TURN_CROUCH = 515,
    Kimberly_T_WALK_F_BGN = 516,
    Kimberly_T_WALK_FORWARD = 517,
    Kimberly_T_WALK_F_END = 518,
    Kimberly_T_WALK_B_BGN = 519,
    Kimberly_T_WALK_BACK = 520,
    Kimberly_T_WALK_B_END = 521,
    Kimberly_CONTINUE_FU = 530,
    Kimberly_CONTINUE_FD = 531,
    Kimberly_CONTINUE_SUCCESS = 532,
    Kimberly_CONTINUE_FAILURE = 533,
    Kimberly_ADV_STAND = 570,
    Kimberly_ADV_SIT = 571,
    Kimberly_ADV_AIR = 572,
    Kimberly_IMM_STAGE_INIT = 580,
    Kimberly_IMM_ROUND_INIT = 581,
    Kimberly_IMM_DAMAGE_INIT = 582,
    Kimberly_IMM_DAMAGE_EXIT = 583,
    Kimberly_IMM_TO_NORMAL = 584,
    Kimberly_IMM_TOUCH_EXIT = 585,
    Kimberly_IMM_TOUCH_ENTRY = 586,
    Kimberly_IMM_LANDING = 587,
    Kimberly_IMM_HOLD_EXIT = 588,
    Kimberly_IMM_FRAME_OUT = 589,
    Kimberly_IMM_APPEAR_END = 590,
    Kimberly_IMM_RESULT_INIT = 591,
    Kimberly_COMMON_END = 599,
    Kimberly_jab = 600,
    Kimberly_LK = 606,
    Kimberly_LK__1 = 608,
}

#[allow(non_camel_case_types)]
#[derive(Default, strum_macros::Display, FromPrimitive, PartialEq, Eq, Clone)]
pub enum ChunLiActions {
    #[default]
    ChunLi_INVALID_ID = -1,
    ChunLi_BACKSTAGE = 0,
    ChunLi_FOOTWORK = 1,
    ChunLi_FOOTWORK_IDLE = 2,
    ChunLi_CROUCH = 4,
    ChunLi_SIT_DOWN = 5,
    ChunLi_STAND_UP = 6,
    ChunLi_TURN_STAND = 7,
    ChunLi_TURN_CROUCH = 8,
    ChunLi_WALK_F_BGN = 9,
    ChunLi_WALK_FORWARD = 10,
    ChunLi_WALK_F_END = 11,
    ChunLi_SLIDE_FEET_F = 12,
    ChunLi_WALK_B_BGN = 13,
    ChunLi_WALK_BACK = 14,
    ChunLi_WALK_B_END = 15,
    ChunLi_SLIDE_FEET_B = 16,
    ChunLi_DASH_F = 17,
    ChunLi_DASH_B = 18,
    ChunLi_DASH_F_END = 19,
    ChunLi_DASH_B_END = 20,
    ChunLi_RUN_F_BGN = 21,
    ChunLi_RUN_F = 22,
    ChunLi_RUN_F_END = 23,
    ChunLi_RUN_B_BGN = 24,
    ChunLi_RUN_B = 25,
    ChunLi_RUN_B_END = 26,
    ChunLi_DUCK_WALK_F_BGN = 27,
    ChunLi_DUCK_WALK_F = 28,
    ChunLi_DUCK_WALK_F_END = 29,
    ChunLi_DUCK_WALK_B_BGN = 30,
    ChunLi_DUCK_WALK_B = 31,
    ChunLi_DUCK_WALK_B_END = 32,
    ChunLi_JUMP_V_BGN = 33,
    ChunLi_JUMP_F_BGN = 34,
    ChunLi_JUMP_B_BGN = 35,
    ChunLi_JUMP_V = 36,
    ChunLi_JUMP_F = 37,
    ChunLi_JUMP_B = 38,
    ChunLi_JUMP_V_END = 39,
    ChunLi_JUMP_F_END = 40,
    ChunLi_JUMP_B_END = 41,
    ChunLi_JUMP_ATK_END = 42,
    ChunLi_W_JUMP_V = 44,
    ChunLi_W_JUMP_F = 45,
    ChunLi_W_JUMP_B = 46,
    ChunLi_T_JUMP_WALL = 47,
    ChunLi_T_JUMP = 48,
    ChunLi_L_JUMP_V_BGN = 54,
    ChunLi_L_JUMP_F_BGN = 55,
    ChunLi_L_JUMP_B_BGN = 56,
    ChunLi_L_JUMP_V = 57,
    ChunLi_L_JUMP_F = 58,
    ChunLi_L_JUMP_B = 59,
    ChunLi_H_JUMP_V_BGN = 60,
    ChunLi_H_JUMP_F_BGN = 61,
    ChunLi_H_JUMP_B_BGN = 62,
    ChunLi_H_JUMP_V = 63,
    ChunLi_H_JUMP_F = 64,
    ChunLi_H_JUMP_B = 65,
    ChunLi_FLY_BGN = 66,
    ChunLi_FLY_END = 67,
    ChunLi_FLY_BASE = 68,
    ChunLi_FLY_UU = 69,
    ChunLi_FLY_BU = 70,
    ChunLi_FLY_BB = 71,
    ChunLi_FLY_BD = 72,
    ChunLi_FLY_DD = 73,
    ChunLi_FLY_FD = 74,
    ChunLi_FLY_FF = 75,
    ChunLi_FLY_FU = 76,
    ChunLi_FLY_UU_END = 77,
    ChunLi_FLY_BU_END = 78,
    ChunLi_FLY_BB_END = 79,
    ChunLi_FLY_BD_END = 80,
    ChunLi_FLY_DD_END = 81,
    ChunLi_FLY_FD_END = 82,
    ChunLi_FLY_FF_END = 83,
    ChunLi_FLY_FU_END = 84,
    ChunLi_AIR_DASH_U = 85,
    ChunLi_AIR_DASH_BU = 86,
    ChunLi_AIR_DASH_B = 87,
    ChunLi_AIR_DASH_BD = 88,
    ChunLi_AIR_DASH_D = 89,
    ChunLi_AIR_DASH_FD = 90,
    ChunLi_AIR_DASH_F = 91,
    ChunLi_AIR_DASH_FU = 92,
    ChunLi_FALL_V = 93,
    ChunLi_GRD_STAND_H_BGN = 100,
    ChunLi_GRD_STAND_H = 101,
    ChunLi_GRD_STAND_H_END = 102,
    ChunLi_GRD_STAND_H_DM_L = 103,
    ChunLi_GRD_STAND_H_DM_M = 104,
    ChunLi_GRD_STAND_H_DM_H = 105,
    ChunLi_GRD_STAND_H_DM_S = 106,
    ChunLi_GRD_STAND_M_BGN = 107,
    ChunLi_GRD_STAND_M = 108,
    ChunLi_GRD_STAND_M_END = 109,
    ChunLi_GRD_STAND_M_DM_L = 110,
    ChunLi_GRD_STAND_M_DM_M = 111,
    ChunLi_GRD_STAND_M_DM_H = 112,
    ChunLi_GRD_STAND_M_DM_S = 113,
    ChunLi_GRD_STAND_L_BGN = 114,
    ChunLi_GRD_STAND_L = 115,
    ChunLi_GRD_STAND_L_END = 116,
    ChunLi_GRD_STAND_L_DM_L = 117,
    ChunLi_GRD_STAND_L_DM_M = 118,
    ChunLi_GRD_STAND_L_DM_H = 119,
    ChunLi_GRD_STAND_L_DM_S = 120,
    ChunLi_GRD_CROUCH_H_BGN = 121,
    ChunLi_GRD_CROUCH_H = 122,
    ChunLi_GRD_CROUCH_H_END = 123,
    ChunLi_GRD_CROUCH_H_DM_L = 124,
    ChunLi_GRD_CROUCH_H_DM_M = 125,
    ChunLi_GRD_CROUCH_H_DM_H = 126,
    ChunLi_GRD_CROUCH_H_DM_S = 127,
    ChunLi_GRD_CROUCH_L_BGN = 128,
    ChunLi_GRD_CROUCH_L = 129,
    ChunLi_GRD_CROUCH_L_END = 130,
    ChunLi_GRD_CROUCH_L_DM_L = 131,
    ChunLi_GRD_CROUCH_L_DM_M = 132,
    ChunLi_GRD_CROUCH_L_DM_H = 133,
    ChunLi_GRD_CROUCH_L_DM_S = 134,
    ChunLi_GRD_AIR_BGN = 135,
    ChunLi_GRD_AIR = 136,
    ChunLi_GRD_AIR_END = 137,
    ChunLi_GRD_AIR_DM_L = 138,
    ChunLi_GRD_AIR_DM_M = 139,
    ChunLi_GRD_AIR_DM_H = 140,
    ChunLi_GRD_AIR_DM_S = 141,
    ChunLi_GRD_ZUSA_STAND = 143,
    ChunLi_GRD_ZUSA_CROUCH = 144,
    ChunLi_GRD_ZUSA_WALL = 145,
    ChunLi_DGD_STAND_H_BGN = 150,
    ChunLi_DGD_STAND_H = 151,
    ChunLi_DGD_STAND_H_END = 152,
    ChunLi_DGD_STAND_H_DM_L = 153,
    ChunLi_DGD_STAND_H_DM_M = 154,
    ChunLi_DGD_STAND_H_DM_H = 155,
    ChunLi_DGD_STAND_H_DM_S = 156,
    ChunLi_DGD_STAND_M_BGN = 157,
    ChunLi_DGD_STAND_M = 158,
    ChunLi_DGD_STAND_M_END = 159,
    ChunLi_DGD_STAND_M_DM_L = 160,
    ChunLi_DGD_STAND_M_DM_M = 161,
    ChunLi_DGD_STAND_M_DM_H = 162,
    ChunLi_DGD_STAND_M_DM_S = 163,
    ChunLi_DGD_STAND_L_BGN = 164,
    ChunLi_DGD_STAND_L = 165,
    ChunLi_DGD_STAND_L_END = 166,
    ChunLi_DGD_STAND_L_DM_L = 167,
    ChunLi_DGD_STAND_L_DM_M = 168,
    ChunLi_DGD_STAND_L_DM_H = 169,
    ChunLi_DGD_STAND_L_DM_S = 170,
    ChunLi_DGD_CROUCH_H_BGN = 171,
    ChunLi_DGD_CROUCH_H = 172,
    ChunLi_DGD_CROUCH_H_END = 173,
    ChunLi_DGD_CROUCH_H_DM_L = 174,
    ChunLi_DGD_CROUCH_H_DM_M = 175,
    ChunLi_DGD_CROUCH_H_DM_H = 176,
    ChunLi_DGD_CROUCH_H_DM_S = 177,
    ChunLi_DGD_CROUCH_L_BGN = 178,
    ChunLi_DGD_CROUCH_L = 179,
    ChunLi_DGD_CROUCH_L_END = 180,
    ChunLi_DGD_CROUCH_L_DM_L = 181,
    ChunLi_DGD_CROUCH_L_DM_M = 182,
    ChunLi_DGD_CROUCH_L_DM_H = 183,
    ChunLi_DGD_CROUCH_L_DM_S = 184,
    ChunLi_DGD_AIR_BGN = 185,
    ChunLi_DGD_AIR = 186,
    ChunLi_DGD_AIR_END = 187,
    ChunLi_DGD_AIR_DM_L = 188,
    ChunLi_DGD_AIR_DM_M = 189,
    ChunLi_DGD_AIR_DM_H = 190,
    ChunLi_DGD_AIR_DM_S = 191,
    ChunLi_DMG_STD_H_FR_L = 200,
    ChunLi_DMG_STD_H_FR_M = 201,
    ChunLi_DMG_STD_H_FR_H = 202,
    ChunLi_DMG_CRT_STD_H_FR = 203,
    ChunLi_DMG_STD_M_FR_L = 204,
    ChunLi_DMG_STD_M_FR_M = 205,
    ChunLi_DMG_STD_M_FR_H = 206,
    ChunLi_DMG_CRT_STD_M_FR = 207,
    ChunLi_DMG_STD_L_FR_L = 208,
    ChunLi_DMG_STD_L_FR_M = 209,
    ChunLi_DMG_STD_L_FR_H = 210,
    ChunLi_DMG_CRT_STD_L_FR = 211,
    ChunLi_DMG_CRO_H_FR_L = 212,
    ChunLi_DMG_CRO_H_FR_M = 213,
    ChunLi_DMG_CRO_H_FR_H = 214,
    ChunLi_DMG_CRT_CRO_H_FR = 215,
    ChunLi_DMG_CRO_L_FR_L = 216,
    ChunLi_DMG_CRO_L_FR_M = 217,
    ChunLi_DMG_CRO_L_FR_H = 218,
    ChunLi_DMG_CRT_CRO_L_FR = 219,
    ChunLi_DMG_AIR_FR_L = 220,
    ChunLi_DMG_AIR_FR_M = 221,
    ChunLi_DMG_AIR_FR_H = 222,
    ChunLi_DMG_STD_BK = 224,
    ChunLi_BUTT_RISE_90 = 230,
    ChunLi_BUTT_RISE_45 = 231,
    ChunLi_BUTT_RISE_00 = 232,
    ChunLi_BUTT_RISE_45m = 233,
    ChunLi_BUTT_RISE_90m = 234,
    ChunLi_BUTT_RISE_BK = 235,
    ChunLi_BUTT_RISE_BK_90m = 236,
    ChunLi_BUTT_FALL_90 = 237,
    ChunLi_BUTT_FALL_45 = 238,
    ChunLi_BUTT_FALL_00 = 239,
    ChunLi_BUTT_FALL_45m = 240,
    ChunLi_BUTT_FALL_90m = 241,
    ChunLi_BUTT_FALL_BK = 242,
    ChunLi_BUTT_FALL_BK_90m = 243,
    ChunLi_BUTT_H_START_90 = 244,
    ChunLi_BUTT_H_START_45 = 245,
    ChunLi_BUTT_H_START_00 = 246,
    ChunLi_BUTT_H_START_45m = 247,
    ChunLi_BUTT_H_START_90m = 248,
    ChunLi_BUTT_H_START_BK = 249,
    ChunLi_BUTT_H_START_BK_90m = 250,
    ChunLi_BUTT_B_START_90 = 251,
    ChunLi_BUTT_B_START_45 = 252,
    ChunLi_BUTT_B_START_00 = 253,
    ChunLi_BUTT_B_START_45m = 254,
    ChunLi_BUTT_B_START_90m = 255,
    ChunLi_BUTT_START_BK = 256,
    ChunLi_BUTT_START_BK_90m = 257,
    ChunLi_KNOCK_DOWN_BK = 258,
    ChunLi_DMG_HL_DOWN = 260,
    ChunLi_DMG_HM_DOWN = 261,
    ChunLi_DMG_HH_DOWN = 262,
    ChunLi_DMG_CL_DOWN = 263,
    ChunLi_DMG_CM_DOWN = 264,
    ChunLi_DMG_CH_DOWN = 265,
    ChunLi_DMG_HL_UPPER = 266,
    ChunLi_DMG_HM_UPPER = 267,
    ChunLi_DMG_HH_UPPER = 268,
    ChunLi_DMG_BL_UPPER = 269,
    ChunLi_DMG_BM_UPPER = 270,
    ChunLi_DMG_BH_UPPER = 271,
    ChunLi_ASHIBARAI = 273,
    ChunLi_ASHIBARAI_BACK = 274,
    ChunLi_KUZURE = 276,
    ChunLi_FLOP_DOWN = 277,
    ChunLi_DMG_H_SPIN_GROUND = 279,
    ChunLi_DMG_H_SPIN_AIR = 280,
    ChunLi_DMG_V_SPIN_GROUND = 281,
    ChunLi_DMG_V_SPIN_AIR = 282,
    ChunLi_WALL_HIT_FR = 284,
    ChunLi_WALL_HIT_BK = 285,
    ChunLi_WALL_DOWN_FR = 286,
    ChunLi_WALL_DOWN_BK = 287,
    ChunLi_DMG_GORO_FR = 289,
    ChunLi_DMG_GORO_DOWN_FR = 290,
    ChunLi_WALL_GROUND_FR = 291,
    ChunLi_WALL_PIYO_STOP = 293,
    ChunLi_WALL_PIYO_DOWN = 294,
    ChunLi_THROWBREAK_TO = 320,
    ChunLi_THROWBREAK_DONE = 321,
    ChunLi_GUARD_BREAK_STAND = 322,
    ChunLi_GUARD_BREAK_CROUCH = 323,
    ChunLi_HARDDOWN_FU = 330,
    ChunLi_HARDDOWN_FD = 331,
    ChunLi_SLIDEDOWN_FU = 332,
    ChunLi_SLIDEDOWN_FU_CMN = 333,
    ChunLi_SLIDEDOWN_FD = 334,
    ChunLi_SLIDEDOWN_FD_CMN = 335,
    ChunLi_LIE_DOWN_FU = 336,
    ChunLi_LIE_DOWN_FD = 337,
    ChunLi_DOWN_DMG_FU = 338,
    ChunLi_DOWN_DMG_FD = 339,
    ChunLi_WAKEUP_FU = 340,
    ChunLi_WAKEUP_FD = 341,
    ChunLi_WAKEUP_F_FU = 342,
    ChunLi_WAKEUP_F_FD = 343,
    ChunLi_WAKEUP_B_FU = 344,
    ChunLi_WAKEUP_B_FD = 345,
    ChunLi_BUTT_TAOREN = 346,
    ChunLi_AIR_RECOVERY_BK = 347,
    ChunLi_BOUND_FU = 350,
    ChunLi_BOUND_FD = 351,
    ChunLi_STUN = 353,
    ChunLi_STUN_END = 354,
    ChunLi_KUZURE_DIE = 356,
    ChunLi_APPEAR = 400,
    ChunLi_APPEAR_END = 401,
    ChunLi_APPEAR_ARCADE = 402,
    ChunLi_APPEAR_STORY = 403,
    ChunLi_LOSE = 405,
    ChunLi_MID_LOSE_FU = 407,
    ChunLi_MID_LOSE_FD = 408,
    ChunLi_DRAW = 410,
    ChunLi_RESULT = 412,
    ChunLi_WIN = 414,
    ChunLi_WIN_STORY = 415,
    ChunLi_WIN_PERFECT = 416,
    ChunLi_WIN_HI = 417,
    ChunLi_WIN_MID = 418,
    ChunLi_WIN_LOW = 419,
    ChunLi_MINION_ENTRY = 470,
    ChunLi_V_TOUCH_ENTRY = 471,
    ChunLi_V_TOUCH_STOP = 472,
    ChunLi_V_TOUCH_EXIT = 473,
    ChunLi_TOUCH_POSE = 474,
    ChunLi_TOUCH_JUMP = 475,
    ChunLi_TOUCH_SUKI = 476,
    ChunLi_TOUCH_NOKI = 477,
    ChunLi_ASSIST_SUKI = 478,
    ChunLi_PARRY_BGN = 480,
    ChunLi_PARRY_LOOP = 481,
    ChunLi_PARRY_END = 482,
    ChunLi_PARRY_HIT_H = 483,
    ChunLi_PARRY_HIT_M = 484,
    ChunLi_PARRY_HIT_L = 485,
    ChunLi_PARRY_JUST_H = 486,
    ChunLi_PARRY_JUST_M = 487,
    ChunLi_PARRY_JUST_L = 488,
    ChunLi_PARRY_CRO_BGN = 489,
    ChunLi_T_FOOTWORK = 510,
    ChunLi_T_CROUCH = 511,
    ChunLi_T_SIT_DOWN = 512,
    ChunLi_T_STAND_UP = 513,
    ChunLi_T_TURN_STAND = 514,
    ChunLi_T_TURN_CROUCH = 515,
    ChunLi_T_WALK_F_BGN = 516,
    ChunLi_T_WALK_FORWARD = 517,
    ChunLi_T_WALK_F_END = 518,
    ChunLi_T_WALK_B_BGN = 519,
    ChunLi_T_WALK_BACK = 520,
    ChunLi_T_WALK_B_END = 521,
    ChunLi_CONTINUE_FU = 530,
    ChunLi_CONTINUE_FD = 531,
    ChunLi_CONTINUE_SUCCESS = 532,
    ChunLi_CONTINUE_FAILURE = 533,
    ChunLi_ADV_STAND = 570,
    ChunLi_ADV_SIT = 571,
    ChunLi_ADV_AIR = 572,
    ChunLi_IMM_STAGE_INIT = 580,
    ChunLi_IMM_ROUND_INIT = 581,
    ChunLi_IMM_DAMAGE_INIT = 582,
    ChunLi_IMM_DAMAGE_EXIT = 583,
    ChunLi_IMM_TO_NORMAL = 584,
    ChunLi_IMM_TOUCH_EXIT = 585,
    ChunLi_IMM_TOUCH_ENTRY = 586,
    ChunLi_IMM_LANDING = 587,
    ChunLi_IMM_HOLD_EXIT = 588,
    ChunLi_IMM_FRAME_OUT = 589,
    ChunLi_IMM_APPEAR_END = 590,
    ChunLi_IMM_RESULT_INIT = 591,
    ChunLi_COMMON_END = 599,
    ChunLi_5LP = 600,
    ChunLi_5MP = 601,
    ChunLi_5HP = 602,
    ChunLi_5LK = 603,
    ChunLi_5MK = 604,
    ChunLi_5HK = 605,
    ChunLi_2LP = 608,
    ChunLi_2MP = 609,
    ChunLi_2HP = 610,
    ChunLi_2LK = 612,
    ChunLi_2MK = 613,
    ChunLi_2HK = 614,
    ChunLi_8LP = 616,
    ChunLi_8MP = 617,
    ChunLi_8HP = 618,
    ChunLi_8LK = 619,
    ChunLi_8MK = 620,
    ChunLi_8HK = 621,
    ChunLi_9HK = 622,
    ChunLi_4_6MP = 625,
    ChunLi_4HP = 626,
    ChunLi_3HP = 627,
    ChunLi_6HK = 628,
    ChunLi_3HK = 629,
    ChunLi_RC_5LP = 634,
    ChunLi_RC_5LP_2 = 635,
    ChunLi_RC_2LP = 637,
    ChunLi_RC_2LK = 640,
    ChunLi_STANCE_START = 658,
    ChunLi_STANCE_214P = 661,
    ChunLi_STANCE_LP = 663,
    ChunLi_STANCE_MP = 664,
    ChunLi_STANCE_HP = 665,
    ChunLi_STANCE_LK = 666,
    ChunLi_STANCE_MK = 667,
    ChunLi_STANCE_HK = 668,
    ChunLi_82MK = 698,
    ChunLi_82MK_2 = 699,
    ChunLi_82MK_3 = 700,
    ChunLi_8HP_2 = 709,
    ChunLi_THORW_F = 715,
    ChunLi_THROW_B = 717,
    ChunLi_THROW_AIR = 719,
    ChunLi_RAW_DRIVE_RUSH = 760,
    ChunLi_DRIVE_RUSH_FROM_NORMALS = 761,
    ChunLi_DRIVE_IMPACT = 854,
    ChunLi_KIKOKEN_L = 900,
    ChunLi_KIKOKEN_M = 901,
    ChunLi_KIKOKEN_H = 902,
    ChunLi_KIKOKEN_EX = 904,
    ChunLi_LEGS_L = 914,
    ChunLi_LEGS_M = 915,
    ChunLi_LEGS_H = 916,
    ChunLi_LEGS_EX = 918,
    ChunLi_LEGS_EX_2 = 919,
    ChunLi_AIR_LEGS_L = 924,
    ChunLi_AIR_LEGS_M = 925,
    ChunLi_AIR_LEGS_H = 926,
    ChunLi_AIR_LEGS_EX = 928,
    ChunLi_HAZANSHU_L = 935,
    ChunLi_HAZANSHU_M = 936,
    ChunLi_HAZANSHU_H = 937,
    ChunLi_HAZANSHU_EX = 938,
    ChunLi_SPININGBIRD_L = 942,
    ChunLi_SPININGBIRD_M = 943,
    ChunLi_SPININGBIRD_H = 944,
    ChunLi_SPININGBIRD_EX = 945,
    ChunLi_TENSHO_L = 951,
    ChunLi_TENSHO_M = 952,
    ChunLi_TENSHO_H = 953,
    ChunLi_TENSHO_EX = 956,
    ChunLi_GND_KIKOSHO_CA_LV1 = 1200,
    ChunLi_AIR_KIKOSHO_CA_LV1 = 1207,
    ChunLi_LV2_CA = 1215,
    ChunLi_LV3_CA = 1218,
    ChunLi_LV4_CA_LOW_HP = 1222,
}

#[allow(non_camel_case_types)]
#[derive(Default, strum_macros::Display, FromPrimitive, PartialEq, Eq, Clone)]
pub enum ManonActions {
    #[default]
    Manon_INVALID_ID = -1,
    Manon_BACKSTAGE = 0,
    Manon_FOOTWORK = 1,
    Manon_FOOTWORK_IDLE = 2,
    Manon_CROUCH = 4,
    Manon_SIT_DOWN = 5,
    Manon_STAND_UP = 6,
    Manon_TURN_STAND = 7,
    Manon_TURN_CROUCH = 8,
    Manon_WALK_F_BGN = 9,
    Manon_WALK_FORWARD = 10,
    Manon_WALK_F_END = 11,
    Manon_SLIDE_FEET_F = 12,
    Manon_WALK_B_BGN = 13,
    Manon_WALK_BACK = 14,
    Manon_WALK_B_END = 15,
    Manon_SLIDE_FEET_B = 16,
    Manon_DASH_F = 17,
    Manon_DASH_B = 18,
    Manon_DASH_F_END = 19,
    Manon_DASH_B_END = 20,
    Manon_RUN_F_BGN = 21,
    Manon_RUN_F = 22,
    Manon_RUN_F_END = 23,
    Manon_RUN_B_BGN = 24,
    Manon_RUN_B = 25,
    Manon_RUN_B_END = 26,
    Manon_DUCK_WALK_F_BGN = 27,
    Manon_DUCK_WALK_F = 28,
    Manon_DUCK_WALK_F_END = 29,
    Manon_DUCK_WALK_B_BGN = 30,
    Manon_DUCK_WALK_B = 31,
    Manon_DUCK_WALK_B_END = 32,
    Manon_JUMP_V_BGN = 33,
    Manon_JUMP_F_BGN = 34,
    Manon_JUMP_B_BGN = 35,
    Manon_JUMP_V = 36,
    Manon_JUMP_F = 37,
    Manon_JUMP_B = 38,
    Manon_JUMP_V_END = 39,
    Manon_JUMP_F_END = 40,
    Manon_JUMP_B_END = 41,
    Manon_JUMP_ATK_END = 42,
    Manon_W_JUMP_V = 44,
    Manon_W_JUMP_F = 45,
    Manon_W_JUMP_B = 46,
    Manon_T_JUMP_WALL = 47,
    Manon_T_JUMP = 48,
    Manon_L_JUMP_V_BGN = 54,
    Manon_L_JUMP_F_BGN = 55,
    Manon_L_JUMP_B_BGN = 56,
    Manon_L_JUMP_V = 57,
    Manon_L_JUMP_F = 58,
    Manon_L_JUMP_B = 59,
    Manon_H_JUMP_V_BGN = 60,
    Manon_H_JUMP_F_BGN = 61,
    Manon_H_JUMP_B_BGN = 62,
    Manon_H_JUMP_V = 63,
    Manon_H_JUMP_F = 64,
    Manon_H_JUMP_B = 65,
    Manon_FLY_BGN = 66,
    Manon_FLY_END = 67,
    Manon_FLY_BASE = 68,
    Manon_FLY_UU = 69,
    Manon_FLY_BU = 70,
    Manon_FLY_BB = 71,
    Manon_FLY_BD = 72,
    Manon_FLY_DD = 73,
    Manon_FLY_FD = 74,
    Manon_FLY_FF = 75,
    Manon_FLY_FU = 76,
    Manon_FLY_UU_END = 77,
    Manon_FLY_BU_END = 78,
    Manon_FLY_BB_END = 79,
    Manon_FLY_BD_END = 80,
    Manon_FLY_DD_END = 81,
    Manon_FLY_FD_END = 82,
    Manon_FLY_FF_END = 83,
    Manon_FLY_FU_END = 84,
    Manon_AIR_DASH_U = 85,
    Manon_AIR_DASH_BU = 86,
    Manon_AIR_DASH_B = 87,
    Manon_AIR_DASH_BD = 88,
    Manon_AIR_DASH_D = 89,
    Manon_AIR_DASH_FD = 90,
    Manon_AIR_DASH_F = 91,
    Manon_AIR_DASH_FU = 92,
    Manon_FALL_V = 93,
    Manon_GRD_STAND_H_BGN = 100,
    Manon_GRD_STAND_H = 101,
    Manon_GRD_STAND_H_END = 102,
    Manon_GRD_STAND_H_DM_L = 103,
    Manon_GRD_STAND_H_DM_M = 104,
    Manon_GRD_STAND_H_DM_H = 105,
    Manon_GRD_STAND_H_DM_S = 106,
    Manon_GRD_STAND_M_BGN = 107,
    Manon_GRD_STAND_M = 108,
    Manon_GRD_STAND_M_END = 109,
    Manon_GRD_STAND_M_DM_L = 110,
    Manon_GRD_STAND_M_DM_M = 111,
    Manon_GRD_STAND_M_DM_H = 112,
    Manon_GRD_STAND_M_DM_S = 113,
    Manon_GRD_STAND_L_BGN = 114,
    Manon_GRD_STAND_L = 115,
    Manon_GRD_STAND_L_END = 116,
    Manon_GRD_STAND_L_DM_L = 117,
    Manon_GRD_STAND_L_DM_M = 118,
    Manon_GRD_STAND_L_DM_H = 119,
    Manon_GRD_STAND_L_DM_S = 120,
    Manon_GRD_CROUCH_H_BGN = 121,
    Manon_GRD_CROUCH_H = 122,
    Manon_GRD_CROUCH_H_END = 123,
    Manon_GRD_CROUCH_H_DM_L = 124,
    Manon_GRD_CROUCH_H_DM_M = 125,
    Manon_GRD_CROUCH_H_DM_H = 126,
    Manon_GRD_CROUCH_H_DM_S = 127,
    Manon_GRD_CROUCH_L_BGN = 128,
    Manon_GRD_CROUCH_L = 129,
    Manon_GRD_CROUCH_L_END = 130,
    Manon_GRD_CROUCH_L_DM_L = 131,
    Manon_GRD_CROUCH_L_DM_M = 132,
    Manon_GRD_CROUCH_L_DM_H = 133,
    Manon_GRD_CROUCH_L_DM_S = 134,
    Manon_GRD_AIR_BGN = 135,
    Manon_GRD_AIR = 136,
    Manon_GRD_AIR_END = 137,
    Manon_GRD_AIR_DM_L = 138,
    Manon_GRD_AIR_DM_M = 139,
    Manon_GRD_AIR_DM_H = 140,
    Manon_GRD_AIR_DM_S = 141,
    Manon_GRD_ZUSA_STAND = 143,
    Manon_GRD_ZUSA_CROUCH = 144,
    Manon_GRD_ZUSA_WALL = 145,
    Manon_DGD_STAND_H_BGN = 150,
    Manon_DGD_STAND_H = 151,
    Manon_DGD_STAND_H_END = 152,
    Manon_DGD_STAND_H_DM_L = 153,
    Manon_DGD_STAND_H_DM_M = 154,
    Manon_DGD_STAND_H_DM_H = 155,
    Manon_DGD_STAND_H_DM_S = 156,
    Manon_DGD_STAND_M_BGN = 157,
    Manon_DGD_STAND_M = 158,
    Manon_DGD_STAND_M_END = 159,
    Manon_DGD_STAND_M_DM_L = 160,
    Manon_DGD_STAND_M_DM_M = 161,
    Manon_DGD_STAND_M_DM_H = 162,
    Manon_DGD_STAND_M_DM_S = 163,
    Manon_DGD_STAND_L_BGN = 164,
    Manon_DGD_STAND_L = 165,
    Manon_DGD_STAND_L_END = 166,
    Manon_DGD_STAND_L_DM_L = 167,
    Manon_DGD_STAND_L_DM_M = 168,
    Manon_DGD_STAND_L_DM_H = 169,
    Manon_DGD_STAND_L_DM_S = 170,
    Manon_DGD_CROUCH_H_BGN = 171,
    Manon_DGD_CROUCH_H = 172,
    Manon_DGD_CROUCH_H_END = 173,
    Manon_DGD_CROUCH_H_DM_L = 174,
    Manon_DGD_CROUCH_H_DM_M = 175,
    Manon_DGD_CROUCH_H_DM_H = 176,
    Manon_DGD_CROUCH_H_DM_S = 177,
    Manon_DGD_CROUCH_L_BGN = 178,
    Manon_DGD_CROUCH_L = 179,
    Manon_DGD_CROUCH_L_END = 180,
    Manon_DGD_CROUCH_L_DM_L = 181,
    Manon_DGD_CROUCH_L_DM_M = 182,
    Manon_DGD_CROUCH_L_DM_H = 183,
    Manon_DGD_CROUCH_L_DM_S = 184,
    Manon_DGD_AIR_BGN = 185,
    Manon_DGD_AIR = 186,
    Manon_DGD_AIR_END = 187,
    Manon_DGD_AIR_DM_L = 188,
    Manon_DGD_AIR_DM_M = 189,
    Manon_DGD_AIR_DM_H = 190,
    Manon_DGD_AIR_DM_S = 191,
    Manon_DMG_STD_H_FR_L = 200,
    Manon_DMG_STD_H_FR_M = 201,
    Manon_DMG_STD_H_FR_H = 202,
    Manon_DMG_CRT_STD_H_FR = 203,
    Manon_DMG_STD_M_FR_L = 204,
    Manon_DMG_STD_M_FR_M = 205,
    Manon_DMG_STD_M_FR_H = 206,
    Manon_DMG_CRT_STD_M_FR = 207,
    Manon_DMG_STD_L_FR_L = 208,
    Manon_DMG_STD_L_FR_M = 209,
    Manon_DMG_STD_L_FR_H = 210,
    Manon_DMG_CRT_STD_L_FR = 211,
    Manon_DMG_CRO_H_FR_L = 212,
    Manon_DMG_CRO_H_FR_M = 213,
    Manon_DMG_CRO_H_FR_H = 214,
    Manon_DMG_CRT_CRO_H_FR = 215,
    Manon_DMG_CRO_L_FR_L = 216,
    Manon_DMG_CRO_L_FR_M = 217,
    Manon_DMG_CRO_L_FR_H = 218,
    Manon_DMG_CRT_CRO_L_FR = 219,
    Manon_DMG_AIR_FR_L = 220,
    Manon_DMG_AIR_FR_M = 221,
    Manon_DMG_AIR_FR_H = 222,
    Manon_DMG_STD_BK = 224,
    Manon_BUTT_RISE_90 = 230,
    Manon_BUTT_RISE_45 = 231,
    Manon_BUTT_RISE_00 = 232,
    Manon_BUTT_RISE_45m = 233,
    Manon_BUTT_RISE_90m = 234,
    Manon_BUTT_RISE_BK = 235,
    Manon_BUTT_RISE_BK_90m = 236,
    Manon_BUTT_FALL_90 = 237,
    Manon_BUTT_FALL_45 = 238,
    Manon_BUTT_FALL_00 = 239,
    Manon_BUTT_FALL_45m = 240,
    Manon_BUTT_FALL_90m = 241,
    Manon_BUTT_FALL_BK = 242,
    Manon_BUTT_FALL_BK_90m = 243,
    Manon_BUTT_H_START_90 = 244,
    Manon_BUTT_H_START_45 = 245,
    Manon_BUTT_H_START_00 = 246,
    Manon_BUTT_H_START_45m = 247,
    Manon_BUTT_H_START_90m = 248,
    Manon_BUTT_H_START_BK = 249,
    Manon_BUTT_H_START_BK_90m = 250,
    Manon_BUTT_B_START_90 = 251,
    Manon_BUTT_B_START_45 = 252,
    Manon_BUTT_B_START_00 = 253,
    Manon_BUTT_B_START_45m = 254,
    Manon_BUTT_B_START_90m = 255,
    Manon_BUTT_START_BK = 256,
    Manon_BUTT_START_BK_90m = 257,
    Manon_KNOCK_DOWN_BK = 258,
    Manon_DMG_HL_DOWN = 260,
    Manon_DMG_HM_DOWN = 261,
    Manon_DMG_HH_DOWN = 262,
    Manon_DMG_CL_DOWN = 263,
    Manon_DMG_CM_DOWN = 264,
    Manon_DMG_CH_DOWN = 265,
    Manon_DMG_HL_UPPER = 266,
    Manon_DMG_HM_UPPER = 267,
    Manon_DMG_HH_UPPER = 268,
    Manon_DMG_BL_UPPER = 269,
    Manon_DMG_BM_UPPER = 270,
    Manon_DMG_BH_UPPER = 271,
    Manon_ASHIBARAI = 273,
    Manon_ASHIBARAI_BACK = 274,
    Manon_KUZURE = 276,
    Manon_FLOP_DOWN = 277,
    Manon_DMG_H_SPIN_GROUND = 279,
    Manon_DMG_H_SPIN_AIR = 280,
    Manon_DMG_V_SPIN_GROUND = 281,
    Manon_DMG_V_SPIN_AIR = 282,
    Manon_WALL_HIT_FR = 284,
    Manon_WALL_HIT_BK = 285,
    Manon_WALL_DOWN_FR = 286,
    Manon_WALL_DOWN_BK = 287,
    Manon_DMG_GORO_FR = 289,
    Manon_DMG_GORO_DOWN_FR = 290,
    Manon_WALL_GROUND_FR = 291,
    Manon_WALL_PIYO_STOP = 293,
    Manon_WALL_PIYO_DOWN = 294,
    Manon_THROWBREAK_TO = 320,
    Manon_THROWBREAK_DONE = 321,
    Manon_GUARD_BREAK_STAND = 322,
    Manon_GUARD_BREAK_CROUCH = 323,
    Manon_HARDDOWN_FU = 330,
    Manon_HARDDOWN_FD = 331,
    Manon_SLIDEDOWN_FU = 332,
    Manon_SLIDEDOWN_FU_CMN = 333,
    Manon_SLIDEDOWN_FD = 334,
    Manon_SLIDEDOWN_FD_CMN = 335,
    Manon_LIE_DOWN_FU = 336,
    Manon_LIE_DOWN_FD = 337,
    Manon_DOWN_DMG_FU = 338,
    Manon_DOWN_DMG_FD = 339,
    Manon_WAKEUP_FU = 340,
    Manon_WAKEUP_FD = 341,
    Manon_WAKEUP_F_FU = 342,
    Manon_WAKEUP_F_FD = 343,
    Manon_WAKEUP_B_FU = 344,
    Manon_WAKEUP_B_FD = 345,
    Manon_BUTT_TAOREN = 346,
    Manon_AIR_RECOVERY_BK = 347,
    Manon_BOUND_FU = 350,
    Manon_BOUND_FD = 351,
    Manon_STUN = 353,
    Manon_STUN_END = 354,
    Manon_KUZURE_DIE = 356,
    Manon_APPEAR = 400,
    Manon_APPEAR_END = 401,
    Manon_APPEAR_ARCADE = 402,
    Manon_APPEAR_STORY = 403,
    Manon_LOSE = 405,
    Manon_MID_LOSE_FU = 407,
    Manon_MID_LOSE_FD = 408,
    Manon_DRAW = 410,
    Manon_RESULT = 412,
    Manon_WIN = 414,
    Manon_WIN_STORY = 415,
    Manon_WIN_PERFECT = 416,
    Manon_WIN_HI = 417,
    Manon_WIN_MID = 418,
    Manon_WIN_LOW = 419,
    Manon_MINION_ENTRY = 470,
    Manon_V_TOUCH_ENTRY = 471,
    Manon_V_TOUCH_STOP = 472,
    Manon_V_TOUCH_EXIT = 473,
    Manon_TOUCH_POSE = 474,
    Manon_TOUCH_JUMP = 475,
    Manon_TOUCH_SUKI = 476,
    Manon_TOUCH_NOKI = 477,
    Manon_ASSIST_SUKI = 478,
    Manon_PARRY_BGN = 480,
    Manon_PARRY_LOOP = 481,
    Manon_PARRY_END = 482,
    Manon_PARRY_HIT_H = 483,
    Manon_PARRY_HIT_M = 484,
    Manon_PARRY_HIT_L = 485,
    Manon_PARRY_JUST_H = 486,
    Manon_PARRY_JUST_M = 487,
    Manon_PARRY_JUST_L = 488,
    Manon_PARRY_CRO_BGN = 489,
    Manon_T_FOOTWORK = 510,
    Manon_T_CROUCH = 511,
    Manon_T_SIT_DOWN = 512,
    Manon_T_STAND_UP = 513,
    Manon_T_TURN_STAND = 514,
    Manon_T_TURN_CROUCH = 515,
    Manon_T_WALK_F_BGN = 516,
    Manon_T_WALK_FORWARD = 517,
    Manon_T_WALK_F_END = 518,
    Manon_T_WALK_B_BGN = 519,
    Manon_T_WALK_BACK = 520,
    Manon_T_WALK_B_END = 521,
    Manon_CONTINUE_FU = 530,
    Manon_CONTINUE_FD = 531,
    Manon_CONTINUE_SUCCESS = 532,
    Manon_CONTINUE_FAILURE = 533,
    Manon_ADV_STAND = 570,
    Manon_ADV_SIT = 571,
    Manon_ADV_AIR = 572,
    Manon_IMM_STAGE_INIT = 580,
    Manon_IMM_ROUND_INIT = 581,
    Manon_IMM_DAMAGE_INIT = 582,
    Manon_IMM_DAMAGE_EXIT = 583,
    Manon_IMM_TO_NORMAL = 584,
    Manon_IMM_TOUCH_EXIT = 585,
    Manon_IMM_TOUCH_ENTRY = 586,
    Manon_IMM_LANDING = 587,
    Manon_IMM_HOLD_EXIT = 588,
    Manon_IMM_FRAME_OUT = 589,
    Manon_IMM_APPEAR_END = 590,
    Manon_IMM_RESULT_INIT = 591,
    Manon_COMMON_END = 599,
}

#[allow(non_camel_case_types)]
#[derive(Default, strum_macros::Display, FromPrimitive, PartialEq, Eq, Clone)]
pub enum ZangiefActions {
    #[default]
    Zangief_INVALID_ID = -1,
    Zangief_BACKSTAGE = 0,
    Zangief_FOOTWORK = 1,
    Zangief_FOOTWORK_IDLE = 2,
    Zangief_CROUCH = 4,
    Zangief_SIT_DOWN = 5,
    Zangief_STAND_UP = 6,
    Zangief_TURN_STAND = 7,
    Zangief_TURN_CROUCH = 8,
    Zangief_WALK_F_BGN = 9,
    Zangief_WALK_FORWARD = 10,
    Zangief_WALK_F_END = 11,
    Zangief_SLIDE_FEET_F = 12,
    Zangief_WALK_B_BGN = 13,
    Zangief_WALK_BACK = 14,
    Zangief_WALK_B_END = 15,
    Zangief_SLIDE_FEET_B = 16,
    Zangief_DASH_F = 17,
    Zangief_DASH_B = 18,
    Zangief_DASH_F_END = 19,
    Zangief_DASH_B_END = 20,
    Zangief_RUN_F_BGN = 21,
    Zangief_RUN_F = 22,
    Zangief_RUN_F_END = 23,
    Zangief_RUN_B_BGN = 24,
    Zangief_RUN_B = 25,
    Zangief_RUN_B_END = 26,
    Zangief_DUCK_WALK_F_BGN = 27,
    Zangief_DUCK_WALK_F = 28,
    Zangief_DUCK_WALK_F_END = 29,
    Zangief_DUCK_WALK_B_BGN = 30,
    Zangief_DUCK_WALK_B = 31,
    Zangief_DUCK_WALK_B_END = 32,
    Zangief_JUMP_V_BGN = 33,
    Zangief_JUMP_F_BGN = 34,
    Zangief_JUMP_B_BGN = 35,
    Zangief_JUMP_V = 36,
    Zangief_JUMP_F = 37,
    Zangief_JUMP_B = 38,
    Zangief_JUMP_V_END = 39,
    Zangief_JUMP_F_END = 40,
    Zangief_JUMP_B_END = 41,
    Zangief_JUMP_ATK_END = 42,
    Zangief_W_JUMP_V = 44,
    Zangief_W_JUMP_F = 45,
    Zangief_W_JUMP_B = 46,
    Zangief_T_JUMP_WALL = 47,
    Zangief_T_JUMP = 48,
    Zangief_L_JUMP_V_BGN = 54,
    Zangief_L_JUMP_F_BGN = 55,
    Zangief_L_JUMP_B_BGN = 56,
    Zangief_L_JUMP_V = 57,
    Zangief_L_JUMP_F = 58,
    Zangief_L_JUMP_B = 59,
    Zangief_H_JUMP_V_BGN = 60,
    Zangief_H_JUMP_F_BGN = 61,
    Zangief_H_JUMP_B_BGN = 62,
    Zangief_H_JUMP_V = 63,
    Zangief_H_JUMP_F = 64,
    Zangief_H_JUMP_B = 65,
    Zangief_FLY_BGN = 66,
    Zangief_FLY_END = 67,
    Zangief_FLY_BASE = 68,
    Zangief_FLY_UU = 69,
    Zangief_FLY_BU = 70,
    Zangief_FLY_BB = 71,
    Zangief_FLY_BD = 72,
    Zangief_FLY_DD = 73,
    Zangief_FLY_FD = 74,
    Zangief_FLY_FF = 75,
    Zangief_FLY_FU = 76,
    Zangief_FLY_UU_END = 77,
    Zangief_FLY_BU_END = 78,
    Zangief_FLY_BB_END = 79,
    Zangief_FLY_BD_END = 80,
    Zangief_FLY_DD_END = 81,
    Zangief_FLY_FD_END = 82,
    Zangief_FLY_FF_END = 83,
    Zangief_FLY_FU_END = 84,
    Zangief_AIR_DASH_U = 85,
    Zangief_AIR_DASH_BU = 86,
    Zangief_AIR_DASH_B = 87,
    Zangief_AIR_DASH_BD = 88,
    Zangief_AIR_DASH_D = 89,
    Zangief_AIR_DASH_FD = 90,
    Zangief_AIR_DASH_F = 91,
    Zangief_AIR_DASH_FU = 92,
    Zangief_FALL_V = 93,
    Zangief_GRD_STAND_H_BGN = 100,
    Zangief_GRD_STAND_H = 101,
    Zangief_GRD_STAND_H_END = 102,
    Zangief_GRD_STAND_H_DM_L = 103,
    Zangief_GRD_STAND_H_DM_M = 104,
    Zangief_GRD_STAND_H_DM_H = 105,
    Zangief_GRD_STAND_H_DM_S = 106,
    Zangief_GRD_STAND_M_BGN = 107,
    Zangief_GRD_STAND_M = 108,
    Zangief_GRD_STAND_M_END = 109,
    Zangief_GRD_STAND_M_DM_L = 110,
    Zangief_GRD_STAND_M_DM_M = 111,
    Zangief_GRD_STAND_M_DM_H = 112,
    Zangief_GRD_STAND_M_DM_S = 113,
    Zangief_GRD_STAND_L_BGN = 114,
    Zangief_GRD_STAND_L = 115,
    Zangief_GRD_STAND_L_END = 116,
    Zangief_GRD_STAND_L_DM_L = 117,
    Zangief_GRD_STAND_L_DM_M = 118,
    Zangief_GRD_STAND_L_DM_H = 119,
    Zangief_GRD_STAND_L_DM_S = 120,
    Zangief_GRD_CROUCH_H_BGN = 121,
    Zangief_GRD_CROUCH_H = 122,
    Zangief_GRD_CROUCH_H_END = 123,
    Zangief_GRD_CROUCH_H_DM_L = 124,
    Zangief_GRD_CROUCH_H_DM_M = 125,
    Zangief_GRD_CROUCH_H_DM_H = 126,
    Zangief_GRD_CROUCH_H_DM_S = 127,
    Zangief_GRD_CROUCH_L_BGN = 128,
    Zangief_GRD_CROUCH_L = 129,
    Zangief_GRD_CROUCH_L_END = 130,
    Zangief_GRD_CROUCH_L_DM_L = 131,
    Zangief_GRD_CROUCH_L_DM_M = 132,
    Zangief_GRD_CROUCH_L_DM_H = 133,
    Zangief_GRD_CROUCH_L_DM_S = 134,
    Zangief_GRD_AIR_BGN = 135,
    Zangief_GRD_AIR = 136,
    Zangief_GRD_AIR_END = 137,
    Zangief_GRD_AIR_DM_L = 138,
    Zangief_GRD_AIR_DM_M = 139,
    Zangief_GRD_AIR_DM_H = 140,
    Zangief_GRD_AIR_DM_S = 141,
    Zangief_GRD_ZUSA_STAND = 143,
    Zangief_GRD_ZUSA_CROUCH = 144,
    Zangief_GRD_ZUSA_WALL = 145,
    Zangief_DGD_STAND_H_BGN = 150,
    Zangief_DGD_STAND_H = 151,
    Zangief_DGD_STAND_H_END = 152,
    Zangief_DGD_STAND_H_DM_L = 153,
    Zangief_DGD_STAND_H_DM_M = 154,
    Zangief_DGD_STAND_H_DM_H = 155,
    Zangief_DGD_STAND_H_DM_S = 156,
    Zangief_DGD_STAND_M_BGN = 157,
    Zangief_DGD_STAND_M = 158,
    Zangief_DGD_STAND_M_END = 159,
    Zangief_DGD_STAND_M_DM_L = 160,
    Zangief_DGD_STAND_M_DM_M = 161,
    Zangief_DGD_STAND_M_DM_H = 162,
    Zangief_DGD_STAND_M_DM_S = 163,
    Zangief_DGD_STAND_L_BGN = 164,
    Zangief_DGD_STAND_L = 165,
    Zangief_DGD_STAND_L_END = 166,
    Zangief_DGD_STAND_L_DM_L = 167,
    Zangief_DGD_STAND_L_DM_M = 168,
    Zangief_DGD_STAND_L_DM_H = 169,
    Zangief_DGD_STAND_L_DM_S = 170,
    Zangief_DGD_CROUCH_H_BGN = 171,
    Zangief_DGD_CROUCH_H = 172,
    Zangief_DGD_CROUCH_H_END = 173,
    Zangief_DGD_CROUCH_H_DM_L = 174,
    Zangief_DGD_CROUCH_H_DM_M = 175,
    Zangief_DGD_CROUCH_H_DM_H = 176,
    Zangief_DGD_CROUCH_H_DM_S = 177,
    Zangief_DGD_CROUCH_L_BGN = 178,
    Zangief_DGD_CROUCH_L = 179,
    Zangief_DGD_CROUCH_L_END = 180,
    Zangief_DGD_CROUCH_L_DM_L = 181,
    Zangief_DGD_CROUCH_L_DM_M = 182,
    Zangief_DGD_CROUCH_L_DM_H = 183,
    Zangief_DGD_CROUCH_L_DM_S = 184,
    Zangief_DGD_AIR_BGN = 185,
    Zangief_DGD_AIR = 186,
    Zangief_DGD_AIR_END = 187,
    Zangief_DGD_AIR_DM_L = 188,
    Zangief_DGD_AIR_DM_M = 189,
    Zangief_DGD_AIR_DM_H = 190,
    Zangief_DGD_AIR_DM_S = 191,
    Zangief_DMG_STD_H_FR_L = 200,
    Zangief_DMG_STD_H_FR_M = 201,
    Zangief_DMG_STD_H_FR_H = 202,
    Zangief_DMG_CRT_STD_H_FR = 203,
    Zangief_DMG_STD_M_FR_L = 204,
    Zangief_DMG_STD_M_FR_M = 205,
    Zangief_DMG_STD_M_FR_H = 206,
    Zangief_DMG_CRT_STD_M_FR = 207,
    Zangief_DMG_STD_L_FR_L = 208,
    Zangief_DMG_STD_L_FR_M = 209,
    Zangief_DMG_STD_L_FR_H = 210,
    Zangief_DMG_CRT_STD_L_FR = 211,
    Zangief_DMG_CRO_H_FR_L = 212,
    Zangief_DMG_CRO_H_FR_M = 213,
    Zangief_DMG_CRO_H_FR_H = 214,
    Zangief_DMG_CRT_CRO_H_FR = 215,
    Zangief_DMG_CRO_L_FR_L = 216,
    Zangief_DMG_CRO_L_FR_M = 217,
    Zangief_DMG_CRO_L_FR_H = 218,
    Zangief_DMG_CRT_CRO_L_FR = 219,
    Zangief_DMG_AIR_FR_L = 220,
    Zangief_DMG_AIR_FR_M = 221,
    Zangief_DMG_AIR_FR_H = 222,
    Zangief_DMG_STD_BK = 224,
    Zangief_BUTT_RISE_90 = 230,
    Zangief_BUTT_RISE_45 = 231,
    Zangief_BUTT_RISE_00 = 232,
    Zangief_BUTT_RISE_45m = 233,
    Zangief_BUTT_RISE_90m = 234,
    Zangief_BUTT_RISE_BK = 235,
    Zangief_BUTT_RISE_BK_90m = 236,
    Zangief_BUTT_FALL_90 = 237,
    Zangief_BUTT_FALL_45 = 238,
    Zangief_BUTT_FALL_00 = 239,
    Zangief_BUTT_FALL_45m = 240,
    Zangief_BUTT_FALL_90m = 241,
    Zangief_BUTT_FALL_BK = 242,
    Zangief_BUTT_FALL_BK_90m = 243,
    Zangief_BUTT_H_START_90 = 244,
    Zangief_BUTT_H_START_45 = 245,
    Zangief_BUTT_H_START_00 = 246,
    Zangief_BUTT_H_START_45m = 247,
    Zangief_BUTT_H_START_90m = 248,
    Zangief_BUTT_H_START_BK = 249,
    Zangief_BUTT_H_START_BK_90m = 250,
    Zangief_BUTT_B_START_90 = 251,
    Zangief_BUTT_B_START_45 = 252,
    Zangief_BUTT_B_START_00 = 253,
    Zangief_BUTT_B_START_45m = 254,
    Zangief_BUTT_B_START_90m = 255,
    Zangief_BUTT_START_BK = 256,
    Zangief_BUTT_START_BK_90m = 257,
    Zangief_KNOCK_DOWN_BK = 258,
    Zangief_DMG_HL_DOWN = 260,
    Zangief_DMG_HM_DOWN = 261,
    Zangief_DMG_HH_DOWN = 262,
    Zangief_DMG_CL_DOWN = 263,
    Zangief_DMG_CM_DOWN = 264,
    Zangief_DMG_CH_DOWN = 265,
    Zangief_DMG_HL_UPPER = 266,
    Zangief_DMG_HM_UPPER = 267,
    Zangief_DMG_HH_UPPER = 268,
    Zangief_DMG_BL_UPPER = 269,
    Zangief_DMG_BM_UPPER = 270,
    Zangief_DMG_BH_UPPER = 271,
    Zangief_ASHIBARAI = 273,
    Zangief_ASHIBARAI_BACK = 274,
    Zangief_KUZURE = 276,
    Zangief_FLOP_DOWN = 277,
    Zangief_DMG_H_SPIN_GROUND = 279,
    Zangief_DMG_H_SPIN_AIR = 280,
    Zangief_DMG_V_SPIN_GROUND = 281,
    Zangief_DMG_V_SPIN_AIR = 282,
    Zangief_WALL_HIT_FR = 284,
    Zangief_WALL_HIT_BK = 285,
    Zangief_WALL_DOWN_FR = 286,
    Zangief_WALL_DOWN_BK = 287,
    Zangief_DMG_GORO_FR = 289,
    Zangief_DMG_GORO_DOWN_FR = 290,
    Zangief_WALL_GROUND_FR = 291,
    Zangief_WALL_PIYO_STOP = 293,
    Zangief_WALL_PIYO_DOWN = 294,
    Zangief_THROWBREAK_TO = 320,
    Zangief_THROWBREAK_DONE = 321,
    Zangief_GUARD_BREAK_STAND = 322,
    Zangief_GUARD_BREAK_CROUCH = 323,
    Zangief_HARDDOWN_FU = 330,
    Zangief_HARDDOWN_FD = 331,
    Zangief_SLIDEDOWN_FU = 332,
    Zangief_SLIDEDOWN_FU_CMN = 333,
    Zangief_SLIDEDOWN_FD = 334,
    Zangief_SLIDEDOWN_FD_CMN = 335,
    Zangief_LIE_DOWN_FU = 336,
    Zangief_LIE_DOWN_FD = 337,
    Zangief_DOWN_DMG_FU = 338,
    Zangief_DOWN_DMG_FD = 339,
    Zangief_WAKEUP_FU = 340,
    Zangief_WAKEUP_FD = 341,
    Zangief_WAKEUP_F_FU = 342,
    Zangief_WAKEUP_F_FD = 343,
    Zangief_WAKEUP_B_FU = 344,
    Zangief_WAKEUP_B_FD = 345,
    Zangief_BUTT_TAOREN = 346,
    Zangief_AIR_RECOVERY_BK = 347,
    Zangief_BOUND_FU = 350,
    Zangief_BOUND_FD = 351,
    Zangief_STUN = 353,
    Zangief_STUN_END = 354,
    Zangief_KUZURE_DIE = 356,
    Zangief_APPEAR = 400,
    Zangief_APPEAR_END = 401,
    Zangief_APPEAR_ARCADE = 402,
    Zangief_APPEAR_STORY = 403,
    Zangief_LOSE = 405,
    Zangief_MID_LOSE_FU = 407,
    Zangief_MID_LOSE_FD = 408,
    Zangief_DRAW = 410,
    Zangief_RESULT = 412,
    Zangief_WIN = 414,
    Zangief_WIN_STORY = 415,
    Zangief_WIN_PERFECT = 416,
    Zangief_WIN_HI = 417,
    Zangief_WIN_MID = 418,
    Zangief_WIN_LOW = 419,
    Zangief_MINION_ENTRY = 470,
    Zangief_V_TOUCH_ENTRY = 471,
    Zangief_V_TOUCH_STOP = 472,
    Zangief_V_TOUCH_EXIT = 473,
    Zangief_TOUCH_POSE = 474,
    Zangief_TOUCH_JUMP = 475,
    Zangief_TOUCH_SUKI = 476,
    Zangief_TOUCH_NOKI = 477,
    Zangief_ASSIST_SUKI = 478,
    Zangief_PARRY_BGN = 480,
    Zangief_PARRY_LOOP = 481,
    Zangief_PARRY_END = 482,
    Zangief_PARRY_HIT_H = 483,
    Zangief_PARRY_HIT_M = 484,
    Zangief_PARRY_HIT_L = 485,
    Zangief_PARRY_JUST_H = 486,
    Zangief_PARRY_JUST_M = 487,
    Zangief_PARRY_JUST_L = 488,
    Zangief_PARRY_CRO_BGN = 489,
    Zangief_T_FOOTWORK = 510,
    Zangief_T_CROUCH = 511,
    Zangief_T_SIT_DOWN = 512,
    Zangief_T_STAND_UP = 513,
    Zangief_T_TURN_STAND = 514,
    Zangief_T_TURN_CROUCH = 515,
    Zangief_T_WALK_F_BGN = 516,
    Zangief_T_WALK_FORWARD = 517,
    Zangief_T_WALK_F_END = 518,
    Zangief_T_WALK_B_BGN = 519,
    Zangief_T_WALK_BACK = 520,
    Zangief_T_WALK_B_END = 521,
    Zangief_CONTINUE_FU = 530,
    Zangief_CONTINUE_FD = 531,
    Zangief_CONTINUE_SUCCESS = 532,
    Zangief_CONTINUE_FAILURE = 533,
    Zangief_ADV_STAND = 570,
    Zangief_ADV_SIT = 571,
    Zangief_ADV_AIR = 572,
    Zangief_IMM_STAGE_INIT = 580,
    Zangief_IMM_ROUND_INIT = 581,
    Zangief_IMM_DAMAGE_INIT = 582,
    Zangief_IMM_DAMAGE_EXIT = 583,
    Zangief_IMM_TO_NORMAL = 584,
    Zangief_IMM_TOUCH_EXIT = 585,
    Zangief_IMM_TOUCH_ENTRY = 586,
    Zangief_IMM_LANDING = 587,
    Zangief_IMM_HOLD_EXIT = 588,
    Zangief_IMM_FRAME_OUT = 589,
    Zangief_IMM_APPEAR_END = 590,
    Zangief_IMM_RESULT_INIT = 591,
    Zangief_COMMON_END = 599,
}

#[allow(non_camel_case_types)]
#[derive(Default, strum_macros::Display, FromPrimitive, PartialEq, Eq, Clone)]
pub enum JPActions {
    #[default]
    JP_INVALID_ID = -1,
    JP_BACKSTAGE = 0,
    JP_FOOTWORK = 1,
    JP_FOOTWORK_IDLE = 2,
    JP_CROUCH = 4,
    JP_SIT_DOWN = 5,
    JP_STAND_UP = 6,
    JP_TURN_STAND = 7,
    JP_TURN_CROUCH = 8,
    JP_WALK_F_BGN = 9,
    JP_WALK_FORWARD = 10,
    JP_WALK_F_END = 11,
    JP_SLIDE_FEET_F = 12,
    JP_WALK_B_BGN = 13,
    JP_WALK_BACK = 14,
    JP_WALK_B_END = 15,
    JP_SLIDE_FEET_B = 16,
    JP_DASH_F = 17,
    JP_DASH_B = 18,
    JP_DASH_F_END = 19,
    JP_DASH_B_END = 20,
    JP_RUN_F_BGN = 21,
    JP_RUN_F = 22,
    JP_RUN_F_END = 23,
    JP_RUN_B_BGN = 24,
    JP_RUN_B = 25,
    JP_RUN_B_END = 26,
    JP_DUCK_WALK_F_BGN = 27,
    JP_DUCK_WALK_F = 28,
    JP_DUCK_WALK_F_END = 29,
    JP_DUCK_WALK_B_BGN = 30,
    JP_DUCK_WALK_B = 31,
    JP_DUCK_WALK_B_END = 32,
    JP_JUMP_V_BGN = 33,
    JP_JUMP_F_BGN = 34,
    JP_JUMP_B_BGN = 35,
    JP_JUMP_V = 36,
    JP_JUMP_F = 37,
    JP_JUMP_B = 38,
    JP_JUMP_V_END = 39,
    JP_JUMP_F_END = 40,
    JP_JUMP_B_END = 41,
    JP_JUMP_ATK_END = 42,
    JP_W_JUMP_V = 44,
    JP_W_JUMP_F = 45,
    JP_W_JUMP_B = 46,
    JP_T_JUMP_WALL = 47,
    JP_T_JUMP = 48,
    JP_L_JUMP_V_BGN = 54,
    JP_L_JUMP_F_BGN = 55,
    JP_L_JUMP_B_BGN = 56,
    JP_L_JUMP_V = 57,
    JP_L_JUMP_F = 58,
    JP_L_JUMP_B = 59,
    JP_H_JUMP_V_BGN = 60,
    JP_H_JUMP_F_BGN = 61,
    JP_H_JUMP_B_BGN = 62,
    JP_H_JUMP_V = 63,
    JP_H_JUMP_F = 64,
    JP_H_JUMP_B = 65,
    JP_FLY_BGN = 66,
    JP_FLY_END = 67,
    JP_FLY_BASE = 68,
    JP_FLY_UU = 69,
    JP_FLY_BU = 70,
    JP_FLY_BB = 71,
    JP_FLY_BD = 72,
    JP_FLY_DD = 73,
    JP_FLY_FD = 74,
    JP_FLY_FF = 75,
    JP_FLY_FU = 76,
    JP_FLY_UU_END = 77,
    JP_FLY_BU_END = 78,
    JP_FLY_BB_END = 79,
    JP_FLY_BD_END = 80,
    JP_FLY_DD_END = 81,
    JP_FLY_FD_END = 82,
    JP_FLY_FF_END = 83,
    JP_FLY_FU_END = 84,
    JP_AIR_DASH_U = 85,
    JP_AIR_DASH_BU = 86,
    JP_AIR_DASH_B = 87,
    JP_AIR_DASH_BD = 88,
    JP_AIR_DASH_D = 89,
    JP_AIR_DASH_FD = 90,
    JP_AIR_DASH_F = 91,
    JP_AIR_DASH_FU = 92,
    JP_FALL_V = 93,
    JP_GRD_STAND_H_BGN = 100,
    JP_GRD_STAND_H = 101,
    JP_GRD_STAND_H_END = 102,
    JP_GRD_STAND_H_DM_L = 103,
    JP_GRD_STAND_H_DM_M = 104,
    JP_GRD_STAND_H_DM_H = 105,
    JP_GRD_STAND_H_DM_S = 106,
    JP_GRD_STAND_M_BGN = 107,
    JP_GRD_STAND_M = 108,
    JP_GRD_STAND_M_END = 109,
    JP_GRD_STAND_M_DM_L = 110,
    JP_GRD_STAND_M_DM_M = 111,
    JP_GRD_STAND_M_DM_H = 112,
    JP_GRD_STAND_M_DM_S = 113,
    JP_GRD_STAND_L_BGN = 114,
    JP_GRD_STAND_L = 115,
    JP_GRD_STAND_L_END = 116,
    JP_GRD_STAND_L_DM_L = 117,
    JP_GRD_STAND_L_DM_M = 118,
    JP_GRD_STAND_L_DM_H = 119,
    JP_GRD_STAND_L_DM_S = 120,
    JP_GRD_CROUCH_H_BGN = 121,
    JP_GRD_CROUCH_H = 122,
    JP_GRD_CROUCH_H_END = 123,
    JP_GRD_CROUCH_H_DM_L = 124,
    JP_GRD_CROUCH_H_DM_M = 125,
    JP_GRD_CROUCH_H_DM_H = 126,
    JP_GRD_CROUCH_H_DM_S = 127,
    JP_GRD_CROUCH_L_BGN = 128,
    JP_GRD_CROUCH_L = 129,
    JP_GRD_CROUCH_L_END = 130,
    JP_GRD_CROUCH_L_DM_L = 131,
    JP_GRD_CROUCH_L_DM_M = 132,
    JP_GRD_CROUCH_L_DM_H = 133,
    JP_GRD_CROUCH_L_DM_S = 134,
    JP_GRD_AIR_BGN = 135,
    JP_GRD_AIR = 136,
    JP_GRD_AIR_END = 137,
    JP_GRD_AIR_DM_L = 138,
    JP_GRD_AIR_DM_M = 139,
    JP_GRD_AIR_DM_H = 140,
    JP_GRD_AIR_DM_S = 141,
    JP_GRD_ZUSA_STAND = 143,
    JP_GRD_ZUSA_CROUCH = 144,
    JP_GRD_ZUSA_WALL = 145,
    JP_DGD_STAND_H_BGN = 150,
    JP_DGD_STAND_H = 151,
    JP_DGD_STAND_H_END = 152,
    JP_DGD_STAND_H_DM_L = 153,
    JP_DGD_STAND_H_DM_M = 154,
    JP_DGD_STAND_H_DM_H = 155,
    JP_DGD_STAND_H_DM_S = 156,
    JP_DGD_STAND_M_BGN = 157,
    JP_DGD_STAND_M = 158,
    JP_DGD_STAND_M_END = 159,
    JP_DGD_STAND_M_DM_L = 160,
    JP_DGD_STAND_M_DM_M = 161,
    JP_DGD_STAND_M_DM_H = 162,
    JP_DGD_STAND_M_DM_S = 163,
    JP_DGD_STAND_L_BGN = 164,
    JP_DGD_STAND_L = 165,
    JP_DGD_STAND_L_END = 166,
    JP_DGD_STAND_L_DM_L = 167,
    JP_DGD_STAND_L_DM_M = 168,
    JP_DGD_STAND_L_DM_H = 169,
    JP_DGD_STAND_L_DM_S = 170,
    JP_DGD_CROUCH_H_BGN = 171,
    JP_DGD_CROUCH_H = 172,
    JP_DGD_CROUCH_H_END = 173,
    JP_DGD_CROUCH_H_DM_L = 174,
    JP_DGD_CROUCH_H_DM_M = 175,
    JP_DGD_CROUCH_H_DM_H = 176,
    JP_DGD_CROUCH_H_DM_S = 177,
    JP_DGD_CROUCH_L_BGN = 178,
    JP_DGD_CROUCH_L = 179,
    JP_DGD_CROUCH_L_END = 180,
    JP_DGD_CROUCH_L_DM_L = 181,
    JP_DGD_CROUCH_L_DM_M = 182,
    JP_DGD_CROUCH_L_DM_H = 183,
    JP_DGD_CROUCH_L_DM_S = 184,
    JP_DGD_AIR_BGN = 185,
    JP_DGD_AIR = 186,
    JP_DGD_AIR_END = 187,
    JP_DGD_AIR_DM_L = 188,
    JP_DGD_AIR_DM_M = 189,
    JP_DGD_AIR_DM_H = 190,
    JP_DGD_AIR_DM_S = 191,
    JP_DMG_STD_H_FR_L = 200,
    JP_DMG_STD_H_FR_M = 201,
    JP_DMG_STD_H_FR_H = 202,
    JP_DMG_CRT_STD_H_FR = 203,
    JP_DMG_STD_M_FR_L = 204,
    JP_DMG_STD_M_FR_M = 205,
    JP_DMG_STD_M_FR_H = 206,
    JP_DMG_CRT_STD_M_FR = 207,
    JP_DMG_STD_L_FR_L = 208,
    JP_DMG_STD_L_FR_M = 209,
    JP_DMG_STD_L_FR_H = 210,
    JP_DMG_CRT_STD_L_FR = 211,
    JP_DMG_CRO_H_FR_L = 212,
    JP_DMG_CRO_H_FR_M = 213,
    JP_DMG_CRO_H_FR_H = 214,
    JP_DMG_CRT_CRO_H_FR = 215,
    JP_DMG_CRO_L_FR_L = 216,
    JP_DMG_CRO_L_FR_M = 217,
    JP_DMG_CRO_L_FR_H = 218,
    JP_DMG_CRT_CRO_L_FR = 219,
    JP_DMG_AIR_FR_L = 220,
    JP_DMG_AIR_FR_M = 221,
    JP_DMG_AIR_FR_H = 222,
    JP_DMG_STD_BK = 224,
    JP_BUTT_RISE_90 = 230,
    JP_BUTT_RISE_45 = 231,
    JP_BUTT_RISE_00 = 232,
    JP_BUTT_RISE_45m = 233,
    JP_BUTT_RISE_90m = 234,
    JP_BUTT_RISE_BK = 235,
    JP_BUTT_RISE_BK_90m = 236,
    JP_BUTT_FALL_90 = 237,
    JP_BUTT_FALL_45 = 238,
    JP_BUTT_FALL_00 = 239,
    JP_BUTT_FALL_45m = 240,
    JP_BUTT_FALL_90m = 241,
    JP_BUTT_FALL_BK = 242,
    JP_BUTT_FALL_BK_90m = 243,
    JP_BUTT_H_START_90 = 244,
    JP_BUTT_H_START_45 = 245,
    JP_BUTT_H_START_00 = 246,
    JP_BUTT_H_START_45m = 247,
    JP_BUTT_H_START_90m = 248,
    JP_BUTT_H_START_BK = 249,
    JP_BUTT_H_START_BK_90m = 250,
    JP_BUTT_B_START_90 = 251,
    JP_BUTT_B_START_45 = 252,
    JP_BUTT_B_START_00 = 253,
    JP_BUTT_B_START_45m = 254,
    JP_BUTT_B_START_90m = 255,
    JP_BUTT_START_BK = 256,
    JP_BUTT_START_BK_90m = 257,
    JP_KNOCK_DOWN_BK = 258,
    JP_DMG_HL_DOWN = 260,
    JP_DMG_HM_DOWN = 261,
    JP_DMG_HH_DOWN = 262,
    JP_DMG_CL_DOWN = 263,
    JP_DMG_CM_DOWN = 264,
    JP_DMG_CH_DOWN = 265,
    JP_DMG_HL_UPPER = 266,
    JP_DMG_HM_UPPER = 267,
    JP_DMG_HH_UPPER = 268,
    JP_DMG_BL_UPPER = 269,
    JP_DMG_BM_UPPER = 270,
    JP_DMG_BH_UPPER = 271,
    JP_ASHIBARAI = 273,
    JP_ASHIBARAI_BACK = 274,
    JP_KUZURE = 276,
    JP_FLOP_DOWN = 277,
    JP_DMG_H_SPIN_GROUND = 279,
    JP_DMG_H_SPIN_AIR = 280,
    JP_DMG_V_SPIN_GROUND = 281,
    JP_DMG_V_SPIN_AIR = 282,
    JP_WALL_HIT_FR = 284,
    JP_WALL_HIT_BK = 285,
    JP_WALL_DOWN_FR = 286,
    JP_WALL_DOWN_BK = 287,
    JP_DMG_GORO_FR = 289,
    JP_DMG_GORO_DOWN_FR = 290,
    JP_WALL_GROUND_FR = 291,
    JP_WALL_PIYO_STOP = 293,
    JP_WALL_PIYO_DOWN = 294,
    JP_THROWBREAK_TO = 320,
    JP_THROWBREAK_DONE = 321,
    JP_GUARD_BREAK_STAND = 322,
    JP_GUARD_BREAK_CROUCH = 323,
    JP_HARDDOWN_FU = 330,
    JP_HARDDOWN_FD = 331,
    JP_SLIDEDOWN_FU = 332,
    JP_SLIDEDOWN_FU_CMN = 333,
    JP_SLIDEDOWN_FD = 334,
    JP_SLIDEDOWN_FD_CMN = 335,
    JP_LIE_DOWN_FU = 336,
    JP_LIE_DOWN_FD = 337,
    JP_DOWN_DMG_FU = 338,
    JP_DOWN_DMG_FD = 339,
    JP_WAKEUP_FU = 340,
    JP_WAKEUP_FD = 341,
    JP_WAKEUP_F_FU = 342,
    JP_WAKEUP_F_FD = 343,
    JP_WAKEUP_B_FU = 344,
    JP_WAKEUP_B_FD = 345,
    JP_BUTT_TAOREN = 346,
    JP_AIR_RECOVERY_BK = 347,
    JP_BOUND_FU = 350,
    JP_BOUND_FD = 351,
    JP_STUN = 353,
    JP_STUN_END = 354,
    JP_KUZURE_DIE = 356,
    JP_APPEAR = 400,
    JP_APPEAR_END = 401,
    JP_APPEAR_ARCADE = 402,
    JP_APPEAR_STORY = 403,
    JP_LOSE = 405,
    JP_MID_LOSE_FU = 407,
    JP_MID_LOSE_FD = 408,
    JP_DRAW = 410,
    JP_RESULT = 412,
    JP_WIN = 414,
    JP_WIN_STORY = 415,
    JP_WIN_PERFECT = 416,
    JP_WIN_HI = 417,
    JP_WIN_MID = 418,
    JP_WIN_LOW = 419,
    JP_MINION_ENTRY = 470,
    JP_V_TOUCH_ENTRY = 471,
    JP_V_TOUCH_STOP = 472,
    JP_V_TOUCH_EXIT = 473,
    JP_TOUCH_POSE = 474,
    JP_TOUCH_JUMP = 475,
    JP_TOUCH_SUKI = 476,
    JP_TOUCH_NOKI = 477,
    JP_ASSIST_SUKI = 478,
    JP_PARRY_BGN = 480,
    JP_PARRY_LOOP = 481,
    JP_PARRY_END = 482,
    JP_PARRY_HIT_H = 483,
    JP_PARRY_HIT_M = 484,
    JP_PARRY_HIT_L = 485,
    JP_PARRY_JUST_H = 486,
    JP_PARRY_JUST_M = 487,
    JP_PARRY_JUST_L = 488,
    JP_PARRY_CRO_BGN = 489,
    JP_T_FOOTWORK = 510,
    JP_T_CROUCH = 511,
    JP_T_SIT_DOWN = 512,
    JP_T_STAND_UP = 513,
    JP_T_TURN_STAND = 514,
    JP_T_TURN_CROUCH = 515,
    JP_T_WALK_F_BGN = 516,
    JP_T_WALK_FORWARD = 517,
    JP_T_WALK_F_END = 518,
    JP_T_WALK_B_BGN = 519,
    JP_T_WALK_BACK = 520,
    JP_T_WALK_B_END = 521,
    JP_CONTINUE_FU = 530,
    JP_CONTINUE_FD = 531,
    JP_CONTINUE_SUCCESS = 532,
    JP_CONTINUE_FAILURE = 533,
    JP_ADV_STAND = 570,
    JP_ADV_SIT = 571,
    JP_ADV_AIR = 572,
    JP_IMM_STAGE_INIT = 580,
    JP_IMM_ROUND_INIT = 581,
    JP_IMM_DAMAGE_INIT = 582,
    JP_IMM_DAMAGE_EXIT = 583,
    JP_IMM_TO_NORMAL = 584,
    JP_IMM_TOUCH_EXIT = 585,
    JP_IMM_TOUCH_ENTRY = 586,
    JP_IMM_LANDING = 587,
    JP_IMM_HOLD_EXIT = 588,
    JP_IMM_FRAME_OUT = 589,
    JP_IMM_APPEAR_END = 590,
    JP_IMM_RESULT_INIT = 591,
    JP_COMMON_END = 599,
}

#[allow(non_camel_case_types)]
#[derive(Default, strum_macros::Display, FromPrimitive, PartialEq, Eq, Clone)]
pub enum DhalsimActions {
    #[default]
    Dhalsim_INVALID_ID = -1,
    Dhalsim_BACKSTAGE = 0,
    Dhalsim_FOOTWORK = 1,
    Dhalsim_FOOTWORK_IDLE = 2,
    Dhalsim_CROUCH = 4,
    Dhalsim_SIT_DOWN = 5,
    Dhalsim_STAND_UP = 6,
    Dhalsim_TURN_STAND = 7,
    Dhalsim_TURN_CROUCH = 8,
    Dhalsim_WALK_F_BGN = 9,
    Dhalsim_WALK_FORWARD = 10,
    Dhalsim_WALK_F_END = 11,
    Dhalsim_SLIDE_FEET_F = 12,
    Dhalsim_WALK_B_BGN = 13,
    Dhalsim_WALK_BACK = 14,
    Dhalsim_WALK_B_END = 15,
    Dhalsim_SLIDE_FEET_B = 16,
    Dhalsim_DASH_F = 17,
    Dhalsim_DASH_B = 18,
    Dhalsim_DASH_F_END = 19,
    Dhalsim_DASH_B_END = 20,
    Dhalsim_RUN_F_BGN = 21,
    Dhalsim_RUN_F = 22,
    Dhalsim_RUN_F_END = 23,
    Dhalsim_RUN_B_BGN = 24,
    Dhalsim_RUN_B = 25,
    Dhalsim_RUN_B_END = 26,
    Dhalsim_DUCK_WALK_F_BGN = 27,
    Dhalsim_DUCK_WALK_F = 28,
    Dhalsim_DUCK_WALK_F_END = 29,
    Dhalsim_DUCK_WALK_B_BGN = 30,
    Dhalsim_DUCK_WALK_B = 31,
    Dhalsim_DUCK_WALK_B_END = 32,
    Dhalsim_JUMP_V_BGN = 33,
    Dhalsim_JUMP_F_BGN = 34,
    Dhalsim_JUMP_B_BGN = 35,
    Dhalsim_JUMP_V = 36,
    Dhalsim_JUMP_F = 37,
    Dhalsim_JUMP_B = 38,
    Dhalsim_JUMP_V_END = 39,
    Dhalsim_JUMP_F_END = 40,
    Dhalsim_JUMP_B_END = 41,
    Dhalsim_JUMP_ATK_END = 42,
    Dhalsim_W_JUMP_V = 44,
    Dhalsim_W_JUMP_F = 45,
    Dhalsim_W_JUMP_B = 46,
    Dhalsim_T_JUMP_WALL = 47,
    Dhalsim_T_JUMP = 48,
    Dhalsim_L_JUMP_V_BGN = 54,
    Dhalsim_L_JUMP_F_BGN = 55,
    Dhalsim_L_JUMP_B_BGN = 56,
    Dhalsim_L_JUMP_V = 57,
    Dhalsim_L_JUMP_F = 58,
    Dhalsim_L_JUMP_B = 59,
    Dhalsim_H_JUMP_V_BGN = 60,
    Dhalsim_H_JUMP_F_BGN = 61,
    Dhalsim_H_JUMP_B_BGN = 62,
    Dhalsim_H_JUMP_V = 63,
    Dhalsim_H_JUMP_F = 64,
    Dhalsim_H_JUMP_B = 65,
    Dhalsim_FLY_BGN = 66,
    Dhalsim_FLY_END = 67,
    Dhalsim_FLY_BASE = 68,
    Dhalsim_FLY_UU = 69,
    Dhalsim_FLY_BU = 70,
    Dhalsim_FLY_BB = 71,
    Dhalsim_FLY_BD = 72,
    Dhalsim_FLY_DD = 73,
    Dhalsim_FLY_FD = 74,
    Dhalsim_FLY_FF = 75,
    Dhalsim_FLY_FU = 76,
    Dhalsim_FLY_UU_END = 77,
    Dhalsim_FLY_BU_END = 78,
    Dhalsim_FLY_BB_END = 79,
    Dhalsim_FLY_BD_END = 80,
    Dhalsim_FLY_DD_END = 81,
    Dhalsim_FLY_FD_END = 82,
    Dhalsim_FLY_FF_END = 83,
    Dhalsim_FLY_FU_END = 84,
    Dhalsim_AIR_DASH_U = 85,
    Dhalsim_AIR_DASH_BU = 86,
    Dhalsim_AIR_DASH_B = 87,
    Dhalsim_AIR_DASH_BD = 88,
    Dhalsim_AIR_DASH_D = 89,
    Dhalsim_AIR_DASH_FD = 90,
    Dhalsim_AIR_DASH_F = 91,
    Dhalsim_AIR_DASH_FU = 92,
    Dhalsim_FALL_V = 93,
    Dhalsim_GRD_STAND_H_BGN = 100,
    Dhalsim_GRD_STAND_H = 101,
    Dhalsim_GRD_STAND_H_END = 102,
    Dhalsim_GRD_STAND_H_DM_L = 103,
    Dhalsim_GRD_STAND_H_DM_M = 104,
    Dhalsim_GRD_STAND_H_DM_H = 105,
    Dhalsim_GRD_STAND_H_DM_S = 106,
    Dhalsim_GRD_STAND_M_BGN = 107,
    Dhalsim_GRD_STAND_M = 108,
    Dhalsim_GRD_STAND_M_END = 109,
    Dhalsim_GRD_STAND_M_DM_L = 110,
    Dhalsim_GRD_STAND_M_DM_M = 111,
    Dhalsim_GRD_STAND_M_DM_H = 112,
    Dhalsim_GRD_STAND_M_DM_S = 113,
    Dhalsim_GRD_STAND_L_BGN = 114,
    Dhalsim_GRD_STAND_L = 115,
    Dhalsim_GRD_STAND_L_END = 116,
    Dhalsim_GRD_STAND_L_DM_L = 117,
    Dhalsim_GRD_STAND_L_DM_M = 118,
    Dhalsim_GRD_STAND_L_DM_H = 119,
    Dhalsim_GRD_STAND_L_DM_S = 120,
    Dhalsim_GRD_CROUCH_H_BGN = 121,
    Dhalsim_GRD_CROUCH_H = 122,
    Dhalsim_GRD_CROUCH_H_END = 123,
    Dhalsim_GRD_CROUCH_H_DM_L = 124,
    Dhalsim_GRD_CROUCH_H_DM_M = 125,
    Dhalsim_GRD_CROUCH_H_DM_H = 126,
    Dhalsim_GRD_CROUCH_H_DM_S = 127,
    Dhalsim_GRD_CROUCH_L_BGN = 128,
    Dhalsim_GRD_CROUCH_L = 129,
    Dhalsim_GRD_CROUCH_L_END = 130,
    Dhalsim_GRD_CROUCH_L_DM_L = 131,
    Dhalsim_GRD_CROUCH_L_DM_M = 132,
    Dhalsim_GRD_CROUCH_L_DM_H = 133,
    Dhalsim_GRD_CROUCH_L_DM_S = 134,
    Dhalsim_GRD_AIR_BGN = 135,
    Dhalsim_GRD_AIR = 136,
    Dhalsim_GRD_AIR_END = 137,
    Dhalsim_GRD_AIR_DM_L = 138,
    Dhalsim_GRD_AIR_DM_M = 139,
    Dhalsim_GRD_AIR_DM_H = 140,
    Dhalsim_GRD_AIR_DM_S = 141,
    Dhalsim_GRD_ZUSA_STAND = 143,
    Dhalsim_GRD_ZUSA_CROUCH = 144,
    Dhalsim_GRD_ZUSA_WALL = 145,
    Dhalsim_DGD_STAND_H_BGN = 150,
    Dhalsim_DGD_STAND_H = 151,
    Dhalsim_DGD_STAND_H_END = 152,
    Dhalsim_DGD_STAND_H_DM_L = 153,
    Dhalsim_DGD_STAND_H_DM_M = 154,
    Dhalsim_DGD_STAND_H_DM_H = 155,
    Dhalsim_DGD_STAND_H_DM_S = 156,
    Dhalsim_DGD_STAND_M_BGN = 157,
    Dhalsim_DGD_STAND_M = 158,
    Dhalsim_DGD_STAND_M_END = 159,
    Dhalsim_DGD_STAND_M_DM_L = 160,
    Dhalsim_DGD_STAND_M_DM_M = 161,
    Dhalsim_DGD_STAND_M_DM_H = 162,
    Dhalsim_DGD_STAND_M_DM_S = 163,
    Dhalsim_DGD_STAND_L_BGN = 164,
    Dhalsim_DGD_STAND_L = 165,
    Dhalsim_DGD_STAND_L_END = 166,
    Dhalsim_DGD_STAND_L_DM_L = 167,
    Dhalsim_DGD_STAND_L_DM_M = 168,
    Dhalsim_DGD_STAND_L_DM_H = 169,
    Dhalsim_DGD_STAND_L_DM_S = 170,
    Dhalsim_DGD_CROUCH_H_BGN = 171,
    Dhalsim_DGD_CROUCH_H = 172,
    Dhalsim_DGD_CROUCH_H_END = 173,
    Dhalsim_DGD_CROUCH_H_DM_L = 174,
    Dhalsim_DGD_CROUCH_H_DM_M = 175,
    Dhalsim_DGD_CROUCH_H_DM_H = 176,
    Dhalsim_DGD_CROUCH_H_DM_S = 177,
    Dhalsim_DGD_CROUCH_L_BGN = 178,
    Dhalsim_DGD_CROUCH_L = 179,
    Dhalsim_DGD_CROUCH_L_END = 180,
    Dhalsim_DGD_CROUCH_L_DM_L = 181,
    Dhalsim_DGD_CROUCH_L_DM_M = 182,
    Dhalsim_DGD_CROUCH_L_DM_H = 183,
    Dhalsim_DGD_CROUCH_L_DM_S = 184,
    Dhalsim_DGD_AIR_BGN = 185,
    Dhalsim_DGD_AIR = 186,
    Dhalsim_DGD_AIR_END = 187,
    Dhalsim_DGD_AIR_DM_L = 188,
    Dhalsim_DGD_AIR_DM_M = 189,
    Dhalsim_DGD_AIR_DM_H = 190,
    Dhalsim_DGD_AIR_DM_S = 191,
    Dhalsim_DMG_STD_H_FR_L = 200,
    Dhalsim_DMG_STD_H_FR_M = 201,
    Dhalsim_DMG_STD_H_FR_H = 202,
    Dhalsim_DMG_CRT_STD_H_FR = 203,
    Dhalsim_DMG_STD_M_FR_L = 204,
    Dhalsim_DMG_STD_M_FR_M = 205,
    Dhalsim_DMG_STD_M_FR_H = 206,
    Dhalsim_DMG_CRT_STD_M_FR = 207,
    Dhalsim_DMG_STD_L_FR_L = 208,
    Dhalsim_DMG_STD_L_FR_M = 209,
    Dhalsim_DMG_STD_L_FR_H = 210,
    Dhalsim_DMG_CRT_STD_L_FR = 211,
    Dhalsim_DMG_CRO_H_FR_L = 212,
    Dhalsim_DMG_CRO_H_FR_M = 213,
    Dhalsim_DMG_CRO_H_FR_H = 214,
    Dhalsim_DMG_CRT_CRO_H_FR = 215,
    Dhalsim_DMG_CRO_L_FR_L = 216,
    Dhalsim_DMG_CRO_L_FR_M = 217,
    Dhalsim_DMG_CRO_L_FR_H = 218,
    Dhalsim_DMG_CRT_CRO_L_FR = 219,
    Dhalsim_DMG_AIR_FR_L = 220,
    Dhalsim_DMG_AIR_FR_M = 221,
    Dhalsim_DMG_AIR_FR_H = 222,
    Dhalsim_DMG_STD_BK = 224,
    Dhalsim_BUTT_RISE_90 = 230,
    Dhalsim_BUTT_RISE_45 = 231,
    Dhalsim_BUTT_RISE_00 = 232,
    Dhalsim_BUTT_RISE_45m = 233,
    Dhalsim_BUTT_RISE_90m = 234,
    Dhalsim_BUTT_RISE_BK = 235,
    Dhalsim_BUTT_RISE_BK_90m = 236,
    Dhalsim_BUTT_FALL_90 = 237,
    Dhalsim_BUTT_FALL_45 = 238,
    Dhalsim_BUTT_FALL_00 = 239,
    Dhalsim_BUTT_FALL_45m = 240,
    Dhalsim_BUTT_FALL_90m = 241,
    Dhalsim_BUTT_FALL_BK = 242,
    Dhalsim_BUTT_FALL_BK_90m = 243,
    Dhalsim_BUTT_H_START_90 = 244,
    Dhalsim_BUTT_H_START_45 = 245,
    Dhalsim_BUTT_H_START_00 = 246,
    Dhalsim_BUTT_H_START_45m = 247,
    Dhalsim_BUTT_H_START_90m = 248,
    Dhalsim_BUTT_H_START_BK = 249,
    Dhalsim_BUTT_H_START_BK_90m = 250,
    Dhalsim_BUTT_B_START_90 = 251,
    Dhalsim_BUTT_B_START_45 = 252,
    Dhalsim_BUTT_B_START_00 = 253,
    Dhalsim_BUTT_B_START_45m = 254,
    Dhalsim_BUTT_B_START_90m = 255,
    Dhalsim_BUTT_START_BK = 256,
    Dhalsim_BUTT_START_BK_90m = 257,
    Dhalsim_KNOCK_DOWN_BK = 258,
    Dhalsim_DMG_HL_DOWN = 260,
    Dhalsim_DMG_HM_DOWN = 261,
    Dhalsim_DMG_HH_DOWN = 262,
    Dhalsim_DMG_CL_DOWN = 263,
    Dhalsim_DMG_CM_DOWN = 264,
    Dhalsim_DMG_CH_DOWN = 265,
    Dhalsim_DMG_HL_UPPER = 266,
    Dhalsim_DMG_HM_UPPER = 267,
    Dhalsim_DMG_HH_UPPER = 268,
    Dhalsim_DMG_BL_UPPER = 269,
    Dhalsim_DMG_BM_UPPER = 270,
    Dhalsim_DMG_BH_UPPER = 271,
    Dhalsim_ASHIBARAI = 273,
    Dhalsim_ASHIBARAI_BACK = 274,
    Dhalsim_KUZURE = 276,
    Dhalsim_FLOP_DOWN = 277,
    Dhalsim_DMG_H_SPIN_GROUND = 279,
    Dhalsim_DMG_H_SPIN_AIR = 280,
    Dhalsim_DMG_V_SPIN_GROUND = 281,
    Dhalsim_DMG_V_SPIN_AIR = 282,
    Dhalsim_WALL_HIT_FR = 284,
    Dhalsim_WALL_HIT_BK = 285,
    Dhalsim_WALL_DOWN_FR = 286,
    Dhalsim_WALL_DOWN_BK = 287,
    Dhalsim_DMG_GORO_FR = 289,
    Dhalsim_DMG_GORO_DOWN_FR = 290,
    Dhalsim_WALL_GROUND_FR = 291,
    Dhalsim_WALL_PIYO_STOP = 293,
    Dhalsim_WALL_PIYO_DOWN = 294,
    Dhalsim_THROWBREAK_TO = 320,
    Dhalsim_THROWBREAK_DONE = 321,
    Dhalsim_GUARD_BREAK_STAND = 322,
    Dhalsim_GUARD_BREAK_CROUCH = 323,
    Dhalsim_HARDDOWN_FU = 330,
    Dhalsim_HARDDOWN_FD = 331,
    Dhalsim_SLIDEDOWN_FU = 332,
    Dhalsim_SLIDEDOWN_FU_CMN = 333,
    Dhalsim_SLIDEDOWN_FD = 334,
    Dhalsim_SLIDEDOWN_FD_CMN = 335,
    Dhalsim_LIE_DOWN_FU = 336,
    Dhalsim_LIE_DOWN_FD = 337,
    Dhalsim_DOWN_DMG_FU = 338,
    Dhalsim_DOWN_DMG_FD = 339,
    Dhalsim_WAKEUP_FU = 340,
    Dhalsim_WAKEUP_FD = 341,
    Dhalsim_WAKEUP_F_FU = 342,
    Dhalsim_WAKEUP_F_FD = 343,
    Dhalsim_WAKEUP_B_FU = 344,
    Dhalsim_WAKEUP_B_FD = 345,
    Dhalsim_BUTT_TAOREN = 346,
    Dhalsim_AIR_RECOVERY_BK = 347,
    Dhalsim_BOUND_FU = 350,
    Dhalsim_BOUND_FD = 351,
    Dhalsim_STUN = 353,
    Dhalsim_STUN_END = 354,
    Dhalsim_KUZURE_DIE = 356,
    Dhalsim_APPEAR = 400,
    Dhalsim_APPEAR_END = 401,
    Dhalsim_APPEAR_ARCADE = 402,
    Dhalsim_APPEAR_STORY = 403,
    Dhalsim_LOSE = 405,
    Dhalsim_MID_LOSE_FU = 407,
    Dhalsim_MID_LOSE_FD = 408,
    Dhalsim_DRAW = 410,
    Dhalsim_RESULT = 412,
    Dhalsim_WIN = 414,
    Dhalsim_WIN_STORY = 415,
    Dhalsim_WIN_PERFECT = 416,
    Dhalsim_WIN_HI = 417,
    Dhalsim_WIN_MID = 418,
    Dhalsim_WIN_LOW = 419,
    Dhalsim_MINION_ENTRY = 470,
    Dhalsim_V_TOUCH_ENTRY = 471,
    Dhalsim_V_TOUCH_STOP = 472,
    Dhalsim_V_TOUCH_EXIT = 473,
    Dhalsim_TOUCH_POSE = 474,
    Dhalsim_TOUCH_JUMP = 475,
    Dhalsim_TOUCH_SUKI = 476,
    Dhalsim_TOUCH_NOKI = 477,
    Dhalsim_ASSIST_SUKI = 478,
    Dhalsim_PARRY_BGN = 480,
    Dhalsim_PARRY_LOOP = 481,
    Dhalsim_PARRY_END = 482,
    Dhalsim_PARRY_HIT_H = 483,
    Dhalsim_PARRY_HIT_M = 484,
    Dhalsim_PARRY_HIT_L = 485,
    Dhalsim_PARRY_JUST_H = 486,
    Dhalsim_PARRY_JUST_M = 487,
    Dhalsim_PARRY_JUST_L = 488,
    Dhalsim_PARRY_CRO_BGN = 489,
    Dhalsim_T_FOOTWORK = 510,
    Dhalsim_T_CROUCH = 511,
    Dhalsim_T_SIT_DOWN = 512,
    Dhalsim_T_STAND_UP = 513,
    Dhalsim_T_TURN_STAND = 514,
    Dhalsim_T_TURN_CROUCH = 515,
    Dhalsim_T_WALK_F_BGN = 516,
    Dhalsim_T_WALK_FORWARD = 517,
    Dhalsim_T_WALK_F_END = 518,
    Dhalsim_T_WALK_B_BGN = 519,
    Dhalsim_T_WALK_BACK = 520,
    Dhalsim_T_WALK_B_END = 521,
    Dhalsim_CONTINUE_FU = 530,
    Dhalsim_CONTINUE_FD = 531,
    Dhalsim_CONTINUE_SUCCESS = 532,
    Dhalsim_CONTINUE_FAILURE = 533,
    Dhalsim_ADV_STAND = 570,
    Dhalsim_ADV_SIT = 571,
    Dhalsim_ADV_AIR = 572,
    Dhalsim_IMM_STAGE_INIT = 580,
    Dhalsim_IMM_ROUND_INIT = 581,
    Dhalsim_IMM_DAMAGE_INIT = 582,
    Dhalsim_IMM_DAMAGE_EXIT = 583,
    Dhalsim_IMM_TO_NORMAL = 584,
    Dhalsim_IMM_TOUCH_EXIT = 585,
    Dhalsim_IMM_TOUCH_ENTRY = 586,
    Dhalsim_IMM_LANDING = 587,
    Dhalsim_IMM_HOLD_EXIT = 588,
    Dhalsim_IMM_FRAME_OUT = 589,
    Dhalsim_IMM_APPEAR_END = 590,
    Dhalsim_IMM_RESULT_INIT = 591,
    Dhalsim_COMMON_END = 599,
}

#[allow(non_camel_case_types)]
#[derive(Default, strum_macros::Display, FromPrimitive, PartialEq, Eq, Clone)]
pub enum CammyActions {
    #[default]
    Cammy_INVALID_ID = -1,
    Cammy_BACKSTAGE = 0,
    Cammy_FOOTWORK = 1,
    Cammy_FOOTWORK_IDLE = 2,
    Cammy_CROUCH = 4,
    Cammy_SIT_DOWN = 5,
    Cammy_STAND_UP = 6,
    Cammy_TURN_STAND = 7,
    Cammy_TURN_CROUCH = 8,
    Cammy_WALK_F_BGN = 9,
    Cammy_WALK_FORWARD = 10,
    Cammy_WALK_F_END = 11,
    Cammy_SLIDE_FEET_F = 12,
    Cammy_WALK_B_BGN = 13,
    Cammy_WALK_BACK = 14,
    Cammy_WALK_B_END = 15,
    Cammy_SLIDE_FEET_B = 16,
    Cammy_DASH_F = 17,
    Cammy_DASH_B = 18,
    Cammy_DASH_F_END = 19,
    Cammy_DASH_B_END = 20,
    Cammy_RUN_F_BGN = 21,
    Cammy_RUN_F = 22,
    Cammy_RUN_F_END = 23,
    Cammy_RUN_B_BGN = 24,
    Cammy_RUN_B = 25,
    Cammy_RUN_B_END = 26,
    Cammy_DUCK_WALK_F_BGN = 27,
    Cammy_DUCK_WALK_F = 28,
    Cammy_DUCK_WALK_F_END = 29,
    Cammy_DUCK_WALK_B_BGN = 30,
    Cammy_DUCK_WALK_B = 31,
    Cammy_DUCK_WALK_B_END = 32,
    Cammy_JUMP_V_BGN = 33,
    Cammy_JUMP_F_BGN = 34,
    Cammy_JUMP_B_BGN = 35,
    Cammy_JUMP_V = 36,
    Cammy_JUMP_F = 37,
    Cammy_JUMP_B = 38,
    Cammy_JUMP_V_END = 39,
    Cammy_JUMP_F_END = 40,
    Cammy_JUMP_B_END = 41,
    Cammy_JUMP_ATK_END = 42,
    Cammy_W_JUMP_V = 44,
    Cammy_W_JUMP_F = 45,
    Cammy_W_JUMP_B = 46,
    Cammy_T_JUMP_WALL = 47,
    Cammy_T_JUMP = 48,
    Cammy_L_JUMP_V_BGN = 54,
    Cammy_L_JUMP_F_BGN = 55,
    Cammy_L_JUMP_B_BGN = 56,
    Cammy_L_JUMP_V = 57,
    Cammy_L_JUMP_F = 58,
    Cammy_L_JUMP_B = 59,
    Cammy_H_JUMP_V_BGN = 60,
    Cammy_H_JUMP_F_BGN = 61,
    Cammy_H_JUMP_B_BGN = 62,
    Cammy_H_JUMP_V = 63,
    Cammy_H_JUMP_F = 64,
    Cammy_H_JUMP_B = 65,
    Cammy_FLY_BGN = 66,
    Cammy_FLY_END = 67,
    Cammy_FLY_BASE = 68,
    Cammy_FLY_UU = 69,
    Cammy_FLY_BU = 70,
    Cammy_FLY_BB = 71,
    Cammy_FLY_BD = 72,
    Cammy_FLY_DD = 73,
    Cammy_FLY_FD = 74,
    Cammy_FLY_FF = 75,
    Cammy_FLY_FU = 76,
    Cammy_FLY_UU_END = 77,
    Cammy_FLY_BU_END = 78,
    Cammy_FLY_BB_END = 79,
    Cammy_FLY_BD_END = 80,
    Cammy_FLY_DD_END = 81,
    Cammy_FLY_FD_END = 82,
    Cammy_FLY_FF_END = 83,
    Cammy_FLY_FU_END = 84,
    Cammy_AIR_DASH_U = 85,
    Cammy_AIR_DASH_BU = 86,
    Cammy_AIR_DASH_B = 87,
    Cammy_AIR_DASH_BD = 88,
    Cammy_AIR_DASH_D = 89,
    Cammy_AIR_DASH_FD = 90,
    Cammy_AIR_DASH_F = 91,
    Cammy_AIR_DASH_FU = 92,
    Cammy_FALL_V = 93,
    Cammy_GRD_STAND_H_BGN = 100,
    Cammy_GRD_STAND_H = 101,
    Cammy_GRD_STAND_H_END = 102,
    Cammy_GRD_STAND_H_DM_L = 103,
    Cammy_GRD_STAND_H_DM_M = 104,
    Cammy_GRD_STAND_H_DM_H = 105,
    Cammy_GRD_STAND_H_DM_S = 106,
    Cammy_GRD_STAND_M_BGN = 107,
    Cammy_GRD_STAND_M = 108,
    Cammy_GRD_STAND_M_END = 109,
    Cammy_GRD_STAND_M_DM_L = 110,
    Cammy_GRD_STAND_M_DM_M = 111,
    Cammy_GRD_STAND_M_DM_H = 112,
    Cammy_GRD_STAND_M_DM_S = 113,
    Cammy_GRD_STAND_L_BGN = 114,
    Cammy_GRD_STAND_L = 115,
    Cammy_GRD_STAND_L_END = 116,
    Cammy_GRD_STAND_L_DM_L = 117,
    Cammy_GRD_STAND_L_DM_M = 118,
    Cammy_GRD_STAND_L_DM_H = 119,
    Cammy_GRD_STAND_L_DM_S = 120,
    Cammy_GRD_CROUCH_H_BGN = 121,
    Cammy_GRD_CROUCH_H = 122,
    Cammy_GRD_CROUCH_H_END = 123,
    Cammy_GRD_CROUCH_H_DM_L = 124,
    Cammy_GRD_CROUCH_H_DM_M = 125,
    Cammy_GRD_CROUCH_H_DM_H = 126,
    Cammy_GRD_CROUCH_H_DM_S = 127,
    Cammy_GRD_CROUCH_L_BGN = 128,
    Cammy_GRD_CROUCH_L = 129,
    Cammy_GRD_CROUCH_L_END = 130,
    Cammy_GRD_CROUCH_L_DM_L = 131,
    Cammy_GRD_CROUCH_L_DM_M = 132,
    Cammy_GRD_CROUCH_L_DM_H = 133,
    Cammy_GRD_CROUCH_L_DM_S = 134,
    Cammy_GRD_AIR_BGN = 135,
    Cammy_GRD_AIR = 136,
    Cammy_GRD_AIR_END = 137,
    Cammy_GRD_AIR_DM_L = 138,
    Cammy_GRD_AIR_DM_M = 139,
    Cammy_GRD_AIR_DM_H = 140,
    Cammy_GRD_AIR_DM_S = 141,
    Cammy_GRD_ZUSA_STAND = 143,
    Cammy_GRD_ZUSA_CROUCH = 144,
    Cammy_GRD_ZUSA_WALL = 145,
    Cammy_DGD_STAND_H_BGN = 150,
    Cammy_DGD_STAND_H = 151,
    Cammy_DGD_STAND_H_END = 152,
    Cammy_DGD_STAND_H_DM_L = 153,
    Cammy_DGD_STAND_H_DM_M = 154,
    Cammy_DGD_STAND_H_DM_H = 155,
    Cammy_DGD_STAND_H_DM_S = 156,
    Cammy_DGD_STAND_M_BGN = 157,
    Cammy_DGD_STAND_M = 158,
    Cammy_DGD_STAND_M_END = 159,
    Cammy_DGD_STAND_M_DM_L = 160,
    Cammy_DGD_STAND_M_DM_M = 161,
    Cammy_DGD_STAND_M_DM_H = 162,
    Cammy_DGD_STAND_M_DM_S = 163,
    Cammy_DGD_STAND_L_BGN = 164,
    Cammy_DGD_STAND_L = 165,
    Cammy_DGD_STAND_L_END = 166,
    Cammy_DGD_STAND_L_DM_L = 167,
    Cammy_DGD_STAND_L_DM_M = 168,
    Cammy_DGD_STAND_L_DM_H = 169,
    Cammy_DGD_STAND_L_DM_S = 170,
    Cammy_DGD_CROUCH_H_BGN = 171,
    Cammy_DGD_CROUCH_H = 172,
    Cammy_DGD_CROUCH_H_END = 173,
    Cammy_DGD_CROUCH_H_DM_L = 174,
    Cammy_DGD_CROUCH_H_DM_M = 175,
    Cammy_DGD_CROUCH_H_DM_H = 176,
    Cammy_DGD_CROUCH_H_DM_S = 177,
    Cammy_DGD_CROUCH_L_BGN = 178,
    Cammy_DGD_CROUCH_L = 179,
    Cammy_DGD_CROUCH_L_END = 180,
    Cammy_DGD_CROUCH_L_DM_L = 181,
    Cammy_DGD_CROUCH_L_DM_M = 182,
    Cammy_DGD_CROUCH_L_DM_H = 183,
    Cammy_DGD_CROUCH_L_DM_S = 184,
    Cammy_DGD_AIR_BGN = 185,
    Cammy_DGD_AIR = 186,
    Cammy_DGD_AIR_END = 187,
    Cammy_DGD_AIR_DM_L = 188,
    Cammy_DGD_AIR_DM_M = 189,
    Cammy_DGD_AIR_DM_H = 190,
    Cammy_DGD_AIR_DM_S = 191,
    Cammy_DMG_STD_H_FR_L = 200,
    Cammy_DMG_STD_H_FR_M = 201,
    Cammy_DMG_STD_H_FR_H = 202,
    Cammy_DMG_CRT_STD_H_FR = 203,
    Cammy_DMG_STD_M_FR_L = 204,
    Cammy_DMG_STD_M_FR_M = 205,
    Cammy_DMG_STD_M_FR_H = 206,
    Cammy_DMG_CRT_STD_M_FR = 207,
    Cammy_DMG_STD_L_FR_L = 208,
    Cammy_DMG_STD_L_FR_M = 209,
    Cammy_DMG_STD_L_FR_H = 210,
    Cammy_DMG_CRT_STD_L_FR = 211,
    Cammy_DMG_CRO_H_FR_L = 212,
    Cammy_DMG_CRO_H_FR_M = 213,
    Cammy_DMG_CRO_H_FR_H = 214,
    Cammy_DMG_CRT_CRO_H_FR = 215,
    Cammy_DMG_CRO_L_FR_L = 216,
    Cammy_DMG_CRO_L_FR_M = 217,
    Cammy_DMG_CRO_L_FR_H = 218,
    Cammy_DMG_CRT_CRO_L_FR = 219,
    Cammy_DMG_AIR_FR_L = 220,
    Cammy_DMG_AIR_FR_M = 221,
    Cammy_DMG_AIR_FR_H = 222,
    Cammy_DMG_STD_BK = 224,
    Cammy_BUTT_RISE_90 = 230,
    Cammy_BUTT_RISE_45 = 231,
    Cammy_BUTT_RISE_00 = 232,
    Cammy_BUTT_RISE_45m = 233,
    Cammy_BUTT_RISE_90m = 234,
    Cammy_BUTT_RISE_BK = 235,
    Cammy_BUTT_RISE_BK_90m = 236,
    Cammy_BUTT_FALL_90 = 237,
    Cammy_BUTT_FALL_45 = 238,
    Cammy_BUTT_FALL_00 = 239,
    Cammy_BUTT_FALL_45m = 240,
    Cammy_BUTT_FALL_90m = 241,
    Cammy_BUTT_FALL_BK = 242,
    Cammy_BUTT_FALL_BK_90m = 243,
    Cammy_BUTT_H_START_90 = 244,
    Cammy_BUTT_H_START_45 = 245,
    Cammy_BUTT_H_START_00 = 246,
    Cammy_BUTT_H_START_45m = 247,
    Cammy_BUTT_H_START_90m = 248,
    Cammy_BUTT_H_START_BK = 249,
    Cammy_BUTT_H_START_BK_90m = 250,
    Cammy_BUTT_B_START_90 = 251,
    Cammy_BUTT_B_START_45 = 252,
    Cammy_BUTT_B_START_00 = 253,
    Cammy_BUTT_B_START_45m = 254,
    Cammy_BUTT_B_START_90m = 255,
    Cammy_BUTT_START_BK = 256,
    Cammy_BUTT_START_BK_90m = 257,
    Cammy_KNOCK_DOWN_BK = 258,
    Cammy_DMG_HL_DOWN = 260,
    Cammy_DMG_HM_DOWN = 261,
    Cammy_DMG_HH_DOWN = 262,
    Cammy_DMG_CL_DOWN = 263,
    Cammy_DMG_CM_DOWN = 264,
    Cammy_DMG_CH_DOWN = 265,
    Cammy_DMG_HL_UPPER = 266,
    Cammy_DMG_HM_UPPER = 267,
    Cammy_DMG_HH_UPPER = 268,
    Cammy_DMG_BL_UPPER = 269,
    Cammy_DMG_BM_UPPER = 270,
    Cammy_DMG_BH_UPPER = 271,
    Cammy_ASHIBARAI = 273,
    Cammy_ASHIBARAI_BACK = 274,
    Cammy_KUZURE = 276,
    Cammy_FLOP_DOWN = 277,
    Cammy_DMG_H_SPIN_GROUND = 279,
    Cammy_DMG_H_SPIN_AIR = 280,
    Cammy_DMG_V_SPIN_GROUND = 281,
    Cammy_DMG_V_SPIN_AIR = 282,
    Cammy_WALL_HIT_FR = 284,
    Cammy_WALL_HIT_BK = 285,
    Cammy_WALL_DOWN_FR = 286,
    Cammy_WALL_DOWN_BK = 287,
    Cammy_DMG_GORO_FR = 289,
    Cammy_DMG_GORO_DOWN_FR = 290,
    Cammy_WALL_GROUND_FR = 291,
    Cammy_WALL_PIYO_STOP = 293,
    Cammy_WALL_PIYO_DOWN = 294,
    Cammy_THROWBREAK_TO = 320,
    Cammy_THROWBREAK_DONE = 321,
    Cammy_GUARD_BREAK_STAND = 322,
    Cammy_GUARD_BREAK_CROUCH = 323,
    Cammy_HARDDOWN_FU = 330,
    Cammy_HARDDOWN_FD = 331,
    Cammy_SLIDEDOWN_FU = 332,
    Cammy_SLIDEDOWN_FU_CMN = 333,
    Cammy_SLIDEDOWN_FD = 334,
    Cammy_SLIDEDOWN_FD_CMN = 335,
    Cammy_LIE_DOWN_FU = 336,
    Cammy_LIE_DOWN_FD = 337,
    Cammy_DOWN_DMG_FU = 338,
    Cammy_DOWN_DMG_FD = 339,
    Cammy_WAKEUP_FU = 340,
    Cammy_WAKEUP_FD = 341,
    Cammy_WAKEUP_F_FU = 342,
    Cammy_WAKEUP_F_FD = 343,
    Cammy_WAKEUP_B_FU = 344,
    Cammy_WAKEUP_B_FD = 345,
    Cammy_BUTT_TAOREN = 346,
    Cammy_AIR_RECOVERY_BK = 347,
    Cammy_BOUND_FU = 350,
    Cammy_BOUND_FD = 351,
    Cammy_STUN = 353,
    Cammy_STUN_END = 354,
    Cammy_KUZURE_DIE = 356,
    Cammy_APPEAR = 400,
    Cammy_APPEAR_END = 401,
    Cammy_APPEAR_ARCADE = 402,
    Cammy_APPEAR_STORY = 403,
    Cammy_LOSE = 405,
    Cammy_MID_LOSE_FU = 407,
    Cammy_MID_LOSE_FD = 408,
    Cammy_DRAW = 410,
    Cammy_RESULT = 412,
    Cammy_WIN = 414,
    Cammy_WIN_STORY = 415,
    Cammy_WIN_PERFECT = 416,
    Cammy_WIN_HI = 417,
    Cammy_WIN_MID = 418,
    Cammy_WIN_LOW = 419,
    Cammy_MINION_ENTRY = 470,
    Cammy_V_TOUCH_ENTRY = 471,
    Cammy_V_TOUCH_STOP = 472,
    Cammy_V_TOUCH_EXIT = 473,
    Cammy_TOUCH_POSE = 474,
    Cammy_TOUCH_JUMP = 475,
    Cammy_TOUCH_SUKI = 476,
    Cammy_TOUCH_NOKI = 477,
    Cammy_ASSIST_SUKI = 478,
    Cammy_PARRY_BGN = 480,
    Cammy_PARRY_LOOP = 481,
    Cammy_PARRY_END = 482,
    Cammy_PARRY_HIT_H = 483,
    Cammy_PARRY_HIT_M = 484,
    Cammy_PARRY_HIT_L = 485,
    Cammy_PARRY_JUST_H = 486,
    Cammy_PARRY_JUST_M = 487,
    Cammy_PARRY_JUST_L = 488,
    Cammy_PARRY_CRO_BGN = 489,
    Cammy_T_FOOTWORK = 510,
    Cammy_T_CROUCH = 511,
    Cammy_T_SIT_DOWN = 512,
    Cammy_T_STAND_UP = 513,
    Cammy_T_TURN_STAND = 514,
    Cammy_T_TURN_CROUCH = 515,
    Cammy_T_WALK_F_BGN = 516,
    Cammy_T_WALK_FORWARD = 517,
    Cammy_T_WALK_F_END = 518,
    Cammy_T_WALK_B_BGN = 519,
    Cammy_T_WALK_BACK = 520,
    Cammy_T_WALK_B_END = 521,
    Cammy_CONTINUE_FU = 530,
    Cammy_CONTINUE_FD = 531,
    Cammy_CONTINUE_SUCCESS = 532,
    Cammy_CONTINUE_FAILURE = 533,
    Cammy_ADV_STAND = 570,
    Cammy_ADV_SIT = 571,
    Cammy_ADV_AIR = 572,
    Cammy_IMM_STAGE_INIT = 580,
    Cammy_IMM_ROUND_INIT = 581,
    Cammy_IMM_DAMAGE_INIT = 582,
    Cammy_IMM_DAMAGE_EXIT = 583,
    Cammy_IMM_TO_NORMAL = 584,
    Cammy_IMM_TOUCH_EXIT = 585,
    Cammy_IMM_TOUCH_ENTRY = 586,
    Cammy_IMM_LANDING = 587,
    Cammy_IMM_HOLD_EXIT = 588,
    Cammy_IMM_FRAME_OUT = 589,
    Cammy_IMM_APPEAR_END = 590,
    Cammy_IMM_RESULT_INIT = 591,
    Cammy_COMMON_END = 599,
}

#[allow(non_camel_case_types)]
#[derive(Default, strum_macros::Display, FromPrimitive, PartialEq, Eq, Clone)]
pub enum KenActions {
    #[default]
    Ken_INVALID_ID = -1,
    Ken_BACKSTAGE = 0,
    Ken_FOOTWORK = 1,
    Ken_FOOTWORK_IDLE = 2,
    Ken_CROUCH = 4,
    Ken_SIT_DOWN = 5,
    Ken_STAND_UP = 6,
    Ken_TURN_STAND = 7,
    Ken_TURN_CROUCH = 8,
    Ken_WALK_F_BGN = 9,
    Ken_WALK_FORWARD = 10,
    Ken_WALK_F_END = 11,
    Ken_SLIDE_FEET_F = 12,
    Ken_WALK_B_BGN = 13,
    Ken_WALK_BACK = 14,
    Ken_WALK_B_END = 15,
    Ken_SLIDE_FEET_B = 16,
    Ken_DASH_F = 17,
    Ken_DASH_B = 18,
    Ken_DASH_F_END = 19,
    Ken_DASH_B_END = 20,
    Ken_RUN_F_BGN = 21,
    Ken_RUN_F = 22,
    Ken_RUN_F_END = 23,
    Ken_RUN_B_BGN = 24,
    Ken_RUN_B = 25,
    Ken_RUN_B_END = 26,
    Ken_DUCK_WALK_F_BGN = 27,
    Ken_DUCK_WALK_F = 28,
    Ken_DUCK_WALK_F_END = 29,
    Ken_DUCK_WALK_B_BGN = 30,
    Ken_DUCK_WALK_B = 31,
    Ken_DUCK_WALK_B_END = 32,
    Ken_JUMP_V_BGN = 33,
    Ken_JUMP_F_BGN = 34,
    Ken_JUMP_B_BGN = 35,
    Ken_JUMP_V = 36,
    Ken_JUMP_F = 37,
    Ken_JUMP_B = 38,
    Ken_JUMP_V_END = 39,
    Ken_JUMP_F_END = 40,
    Ken_JUMP_B_END = 41,
    Ken_JUMP_ATK_END = 42,
    Ken_W_JUMP_V = 44,
    Ken_W_JUMP_F = 45,
    Ken_W_JUMP_B = 46,
    Ken_T_JUMP_WALL = 47,
    Ken_T_JUMP = 48,
    Ken_L_JUMP_V_BGN = 54,
    Ken_L_JUMP_F_BGN = 55,
    Ken_L_JUMP_B_BGN = 56,
    Ken_L_JUMP_V = 57,
    Ken_L_JUMP_F = 58,
    Ken_L_JUMP_B = 59,
    Ken_H_JUMP_V_BGN = 60,
    Ken_H_JUMP_F_BGN = 61,
    Ken_H_JUMP_B_BGN = 62,
    Ken_H_JUMP_V = 63,
    Ken_H_JUMP_F = 64,
    Ken_H_JUMP_B = 65,
    Ken_FLY_BGN = 66,
    Ken_FLY_END = 67,
    Ken_FLY_BASE = 68,
    Ken_FLY_UU = 69,
    Ken_FLY_BU = 70,
    Ken_FLY_BB = 71,
    Ken_FLY_BD = 72,
    Ken_FLY_DD = 73,
    Ken_FLY_FD = 74,
    Ken_FLY_FF = 75,
    Ken_FLY_FU = 76,
    Ken_FLY_UU_END = 77,
    Ken_FLY_BU_END = 78,
    Ken_FLY_BB_END = 79,
    Ken_FLY_BD_END = 80,
    Ken_FLY_DD_END = 81,
    Ken_FLY_FD_END = 82,
    Ken_FLY_FF_END = 83,
    Ken_FLY_FU_END = 84,
    Ken_AIR_DASH_U = 85,
    Ken_AIR_DASH_BU = 86,
    Ken_AIR_DASH_B = 87,
    Ken_AIR_DASH_BD = 88,
    Ken_AIR_DASH_D = 89,
    Ken_AIR_DASH_FD = 90,
    Ken_AIR_DASH_F = 91,
    Ken_AIR_DASH_FU = 92,
    Ken_FALL_V = 93,
    Ken_GRD_STAND_H_BGN = 100,
    Ken_GRD_STAND_H = 101,
    Ken_GRD_STAND_H_END = 102,
    Ken_GRD_STAND_H_DM_L = 103,
    Ken_GRD_STAND_H_DM_M = 104,
    Ken_GRD_STAND_H_DM_H = 105,
    Ken_GRD_STAND_H_DM_S = 106,
    Ken_GRD_STAND_M_BGN = 107,
    Ken_GRD_STAND_M = 108,
    Ken_GRD_STAND_M_END = 109,
    Ken_GRD_STAND_M_DM_L = 110,
    Ken_GRD_STAND_M_DM_M = 111,
    Ken_GRD_STAND_M_DM_H = 112,
    Ken_GRD_STAND_M_DM_S = 113,
    Ken_GRD_STAND_L_BGN = 114,
    Ken_GRD_STAND_L = 115,
    Ken_GRD_STAND_L_END = 116,
    Ken_GRD_STAND_L_DM_L = 117,
    Ken_GRD_STAND_L_DM_M = 118,
    Ken_GRD_STAND_L_DM_H = 119,
    Ken_GRD_STAND_L_DM_S = 120,
    Ken_GRD_CROUCH_H_BGN = 121,
    Ken_GRD_CROUCH_H = 122,
    Ken_GRD_CROUCH_H_END = 123,
    Ken_GRD_CROUCH_H_DM_L = 124,
    Ken_GRD_CROUCH_H_DM_M = 125,
    Ken_GRD_CROUCH_H_DM_H = 126,
    Ken_GRD_CROUCH_H_DM_S = 127,
    Ken_GRD_CROUCH_L_BGN = 128,
    Ken_GRD_CROUCH_L = 129,
    Ken_GRD_CROUCH_L_END = 130,
    Ken_GRD_CROUCH_L_DM_L = 131,
    Ken_GRD_CROUCH_L_DM_M = 132,
    Ken_GRD_CROUCH_L_DM_H = 133,
    Ken_GRD_CROUCH_L_DM_S = 134,
    Ken_GRD_AIR_BGN = 135,
    Ken_GRD_AIR = 136,
    Ken_GRD_AIR_END = 137,
    Ken_GRD_AIR_DM_L = 138,
    Ken_GRD_AIR_DM_M = 139,
    Ken_GRD_AIR_DM_H = 140,
    Ken_GRD_AIR_DM_S = 141,
    Ken_GRD_ZUSA_STAND = 143,
    Ken_GRD_ZUSA_CROUCH = 144,
    Ken_GRD_ZUSA_WALL = 145,
    Ken_DGD_STAND_H_BGN = 150,
    Ken_DGD_STAND_H = 151,
    Ken_DGD_STAND_H_END = 152,
    Ken_DGD_STAND_H_DM_L = 153,
    Ken_DGD_STAND_H_DM_M = 154,
    Ken_DGD_STAND_H_DM_H = 155,
    Ken_DGD_STAND_H_DM_S = 156,
    Ken_DGD_STAND_M_BGN = 157,
    Ken_DGD_STAND_M = 158,
    Ken_DGD_STAND_M_END = 159,
    Ken_DGD_STAND_M_DM_L = 160,
    Ken_DGD_STAND_M_DM_M = 161,
    Ken_DGD_STAND_M_DM_H = 162,
    Ken_DGD_STAND_M_DM_S = 163,
    Ken_DGD_STAND_L_BGN = 164,
    Ken_DGD_STAND_L = 165,
    Ken_DGD_STAND_L_END = 166,
    Ken_DGD_STAND_L_DM_L = 167,
    Ken_DGD_STAND_L_DM_M = 168,
    Ken_DGD_STAND_L_DM_H = 169,
    Ken_DGD_STAND_L_DM_S = 170,
    Ken_DGD_CROUCH_H_BGN = 171,
    Ken_DGD_CROUCH_H = 172,
    Ken_DGD_CROUCH_H_END = 173,
    Ken_DGD_CROUCH_H_DM_L = 174,
    Ken_DGD_CROUCH_H_DM_M = 175,
    Ken_DGD_CROUCH_H_DM_H = 176,
    Ken_DGD_CROUCH_H_DM_S = 177,
    Ken_DGD_CROUCH_L_BGN = 178,
    Ken_DGD_CROUCH_L = 179,
    Ken_DGD_CROUCH_L_END = 180,
    Ken_DGD_CROUCH_L_DM_L = 181,
    Ken_DGD_CROUCH_L_DM_M = 182,
    Ken_DGD_CROUCH_L_DM_H = 183,
    Ken_DGD_CROUCH_L_DM_S = 184,
    Ken_DGD_AIR_BGN = 185,
    Ken_DGD_AIR = 186,
    Ken_DGD_AIR_END = 187,
    Ken_DGD_AIR_DM_L = 188,
    Ken_DGD_AIR_DM_M = 189,
    Ken_DGD_AIR_DM_H = 190,
    Ken_DGD_AIR_DM_S = 191,
    Ken_DMG_STD_H_FR_L = 200,
    Ken_DMG_STD_H_FR_M = 201,
    Ken_DMG_STD_H_FR_H = 202,
    Ken_DMG_CRT_STD_H_FR = 203,
    Ken_DMG_STD_M_FR_L = 204,
    Ken_DMG_STD_M_FR_M = 205,
    Ken_DMG_STD_M_FR_H = 206,
    Ken_DMG_CRT_STD_M_FR = 207,
    Ken_DMG_STD_L_FR_L = 208,
    Ken_DMG_STD_L_FR_M = 209,
    Ken_DMG_STD_L_FR_H = 210,
    Ken_DMG_CRT_STD_L_FR = 211,
    Ken_DMG_CRO_H_FR_L = 212,
    Ken_DMG_CRO_H_FR_M = 213,
    Ken_DMG_CRO_H_FR_H = 214,
    Ken_DMG_CRT_CRO_H_FR = 215,
    Ken_DMG_CRO_L_FR_L = 216,
    Ken_DMG_CRO_L_FR_M = 217,
    Ken_DMG_CRO_L_FR_H = 218,
    Ken_DMG_CRT_CRO_L_FR = 219,
    Ken_DMG_AIR_FR_L = 220,
    Ken_DMG_AIR_FR_M = 221,
    Ken_DMG_AIR_FR_H = 222,
    Ken_DMG_STD_BK = 224,
    Ken_BUTT_RISE_90 = 230,
    Ken_BUTT_RISE_45 = 231,
    Ken_BUTT_RISE_00 = 232,
    Ken_BUTT_RISE_45m = 233,
    Ken_BUTT_RISE_90m = 234,
    Ken_BUTT_RISE_BK = 235,
    Ken_BUTT_RISE_BK_90m = 236,
    Ken_BUTT_FALL_90 = 237,
    Ken_BUTT_FALL_45 = 238,
    Ken_BUTT_FALL_00 = 239,
    Ken_BUTT_FALL_45m = 240,
    Ken_BUTT_FALL_90m = 241,
    Ken_BUTT_FALL_BK = 242,
    Ken_BUTT_FALL_BK_90m = 243,
    Ken_BUTT_H_START_90 = 244,
    Ken_BUTT_H_START_45 = 245,
    Ken_BUTT_H_START_00 = 246,
    Ken_BUTT_H_START_45m = 247,
    Ken_BUTT_H_START_90m = 248,
    Ken_BUTT_H_START_BK = 249,
    Ken_BUTT_H_START_BK_90m = 250,
    Ken_BUTT_B_START_90 = 251,
    Ken_BUTT_B_START_45 = 252,
    Ken_BUTT_B_START_00 = 253,
    Ken_BUTT_B_START_45m = 254,
    Ken_BUTT_B_START_90m = 255,
    Ken_BUTT_START_BK = 256,
    Ken_BUTT_START_BK_90m = 257,
    Ken_KNOCK_DOWN_BK = 258,
    Ken_DMG_HL_DOWN = 260,
    Ken_DMG_HM_DOWN = 261,
    Ken_DMG_HH_DOWN = 262,
    Ken_DMG_CL_DOWN = 263,
    Ken_DMG_CM_DOWN = 264,
    Ken_DMG_CH_DOWN = 265,
    Ken_DMG_HL_UPPER = 266,
    Ken_DMG_HM_UPPER = 267,
    Ken_DMG_HH_UPPER = 268,
    Ken_DMG_BL_UPPER = 269,
    Ken_DMG_BM_UPPER = 270,
    Ken_DMG_BH_UPPER = 271,
    Ken_ASHIBARAI = 273,
    Ken_ASHIBARAI_BACK = 274,
    Ken_KUZURE = 276,
    Ken_FLOP_DOWN = 277,
    Ken_DMG_H_SPIN_GROUND = 279,
    Ken_DMG_H_SPIN_AIR = 280,
    Ken_DMG_V_SPIN_GROUND = 281,
    Ken_DMG_V_SPIN_AIR = 282,
    Ken_WALL_HIT_FR = 284,
    Ken_WALL_HIT_BK = 285,
    Ken_WALL_DOWN_FR = 286,
    Ken_WALL_DOWN_BK = 287,
    Ken_DMG_GORO_FR = 289,
    Ken_DMG_GORO_DOWN_FR = 290,
    Ken_WALL_GROUND_FR = 291,
    Ken_WALL_PIYO_STOP = 293,
    Ken_WALL_PIYO_DOWN = 294,
    Ken_THROWBREAK_TO = 320,
    Ken_THROWBREAK_DONE = 321,
    Ken_GUARD_BREAK_STAND = 322,
    Ken_GUARD_BREAK_CROUCH = 323,
    Ken_HARDDOWN_FU = 330,
    Ken_HARDDOWN_FD = 331,
    Ken_SLIDEDOWN_FU = 332,
    Ken_SLIDEDOWN_FU_CMN = 333,
    Ken_SLIDEDOWN_FD = 334,
    Ken_SLIDEDOWN_FD_CMN = 335,
    Ken_LIE_DOWN_FU = 336,
    Ken_LIE_DOWN_FD = 337,
    Ken_DOWN_DMG_FU = 338,
    Ken_DOWN_DMG_FD = 339,
    Ken_WAKEUP_FU = 340,
    Ken_WAKEUP_FD = 341,
    Ken_WAKEUP_F_FU = 342,
    Ken_WAKEUP_F_FD = 343,
    Ken_WAKEUP_B_FU = 344,
    Ken_WAKEUP_B_FD = 345,
    Ken_BUTT_TAOREN = 346,
    Ken_AIR_RECOVERY_BK = 347,
    Ken_BOUND_FU = 350,
    Ken_BOUND_FD = 351,
    Ken_STUN = 353,
    Ken_STUN_END = 354,
    Ken_KUZURE_DIE = 356,
    Ken_APPEAR = 400,
    Ken_APPEAR_END = 401,
    Ken_APPEAR_ARCADE = 402,
    Ken_APPEAR_STORY = 403,
    Ken_LOSE = 405,
    Ken_MID_LOSE_FU = 407,
    Ken_MID_LOSE_FD = 408,
    Ken_DRAW = 410,
    Ken_RESULT = 412,
    Ken_WIN = 414,
    Ken_WIN_STORY = 415,
    Ken_WIN_PERFECT = 416,
    Ken_WIN_HI = 417,
    Ken_WIN_MID = 418,
    Ken_WIN_LOW = 419,
    Ken_MINION_ENTRY = 470,
    Ken_V_TOUCH_ENTRY = 471,
    Ken_V_TOUCH_STOP = 472,
    Ken_V_TOUCH_EXIT = 473,
    Ken_TOUCH_POSE = 474,
    Ken_TOUCH_JUMP = 475,
    Ken_TOUCH_SUKI = 476,
    Ken_TOUCH_NOKI = 477,
    Ken_ASSIST_SUKI = 478,
    Ken_PARRY_BGN = 480,
    Ken_PARRY_LOOP = 481,
    Ken_PARRY_END = 482,
    Ken_PARRY_HIT_H = 483,
    Ken_PARRY_HIT_M = 484,
    Ken_PARRY_HIT_L = 485,
    Ken_PARRY_JUST_H = 486,
    Ken_PARRY_JUST_M = 487,
    Ken_PARRY_JUST_L = 488,
    Ken_PARRY_CRO_BGN = 489,
    Ken_T_FOOTWORK = 510,
    Ken_T_CROUCH = 511,
    Ken_T_SIT_DOWN = 512,
    Ken_T_STAND_UP = 513,
    Ken_T_TURN_STAND = 514,
    Ken_T_TURN_CROUCH = 515,
    Ken_T_WALK_F_BGN = 516,
    Ken_T_WALK_FORWARD = 517,
    Ken_T_WALK_F_END = 518,
    Ken_T_WALK_B_BGN = 519,
    Ken_T_WALK_BACK = 520,
    Ken_T_WALK_B_END = 521,
    Ken_CONTINUE_FU = 530,
    Ken_CONTINUE_FD = 531,
    Ken_CONTINUE_SUCCESS = 532,
    Ken_CONTINUE_FAILURE = 533,
    Ken_ADV_STAND = 570,
    Ken_ADV_SIT = 571,
    Ken_ADV_AIR = 572,
    Ken_IMM_STAGE_INIT = 580,
    Ken_IMM_ROUND_INIT = 581,
    Ken_IMM_DAMAGE_INIT = 582,
    Ken_IMM_DAMAGE_EXIT = 583,
    Ken_IMM_TO_NORMAL = 584,
    Ken_IMM_TOUCH_EXIT = 585,
    Ken_IMM_TOUCH_ENTRY = 586,
    Ken_IMM_LANDING = 587,
    Ken_IMM_HOLD_EXIT = 588,
    Ken_IMM_FRAME_OUT = 589,
    Ken_IMM_APPEAR_END = 590,
    Ken_IMM_RESULT_INIT = 591,
    Ken_COMMON_END = 599,
    Ken_5LP = 600,
    Ken_RC_5LP = 601,
    Ken_RC_5LP_2 = 602,
    Ken_5MP = 604,
    Ken_5HP = 606,
    Ken_5LK = 609,
    Ken_5MK = 612,
    Ken_5HK = 615,
    Ken_2LP = 618,
    Ken_RC_2LP = 619,
    Ken_RC_2LP_2 = 620,
    Ken_2MP = 623,
    Ken_2HP = 626,
    Ken_2LK = 629,
    Ken_RC_2LK = 630,
    Ken_RC_2LK_2 = 631,
    Ken_2MK = 634,
    Ken_2HK = 637,
    Ken_8LP = 650,
    Ken_8MP = 651,
    Ken_8HP = 652,
    Ken_8LK = 653,
    Ken_8MK = 654,
    Ken_8HK = 656,
    Ken_5MK_TC = 670,
    Ken_5HK_TC = 671,
    Ken_TC_5HP = 677,
    Ken_RUN_START = 680,
    Ken_RUN_5LK = 681,
    Ken_RUN_5MK = 682,
    Ken_RUN_5HK = 683,
    Ken_HADO_L = 900,
    Ken_HADO_M = 902,
    Ken_HADO_H = 904,
    Ken_HADO_EX = 906,
    Ken_JINRAI_L = 920,
    Ken_JINRAI_M = 921,
    Ken_JINRAI_H = 922,
    Ken_JINRAI_L_2 = 924,
    Ken_JINRAI_M_2 = 925,
    Ken_JINRAI_H_2 = 926,
    Ken_JINRAI_EX = 928,
    Ken_JINRAI_EX_2_LK = 930,
    Ken_JINRAI_EX_2_MK = 931,
    Ken_JINRAI_EX_2_HK = 932,
    Ken_JINRAI_EX_3_LK = 936,
    Ken_JINRAI_EX_3_MK = 937,
    Ken_JINRAI_EX_3_HK = 938,
    Ken_SHORYU_L = 955,
    Ken_SHORYU_M = 956,
    Ken_SHORYU_H = 957,
    Ken_SHORYU_EX = 958,
    Ken_RUN_SHORYU = 959,
    Ken_DRAGON_LASH_L = 980,
    Ken_DRAGON_LASH_M = 981,
    Ken_DRAGON_LASH_H = 982,
    Ken_RUN_DRAGON_LASH = 983,
    Ken_DRAGON_LASH_EX = 985,
    Ken_GND_TATSUMAKI_L = 1000,
    Ken_GND_TATSUMAKI_M = 1001,
    Ken_GND_TATSUMAKI_H = 1002,
    Ken_RUN_TATSUMAKI = 1003,
    Ken_GND_TATSUMAKI_EX = 1005,
    Ken_AIR_TATSUMAKI = 1009,
    Ken_AIR_TATSUMAKI_EX = 1012,
    Ken_LV1_CA = 1200,
    Ken_LV2_CA = 1210,
    Ken_LV3_CA = 1215,
    Ken_LV4_CA_LOW_HP = 1220,
}

#[allow(non_camel_case_types)]
#[derive(Default, strum_macros::Display, FromPrimitive, PartialEq, Eq, Clone)]
pub enum DeeJayActions {
    #[default]
    DeeJay_INVALID_ID = -1,
    DeeJay_BACKSTAGE = 0,
    DeeJay_FOOTWORK = 1,
    DeeJay_FOOTWORK_IDLE = 2,
    DeeJay_CROUCH = 4,
    DeeJay_SIT_DOWN = 5,
    DeeJay_STAND_UP = 6,
    DeeJay_TURN_STAND = 7,
    DeeJay_TURN_CROUCH = 8,
    DeeJay_WALK_F_BGN = 9,
    DeeJay_WALK_FORWARD = 10,
    DeeJay_WALK_F_END = 11,
    DeeJay_SLIDE_FEET_F = 12,
    DeeJay_WALK_B_BGN = 13,
    DeeJay_WALK_BACK = 14,
    DeeJay_WALK_B_END = 15,
    DeeJay_SLIDE_FEET_B = 16,
    DeeJay_DASH_F = 17,
    DeeJay_DASH_B = 18,
    DeeJay_DASH_F_END = 19,
    DeeJay_DASH_B_END = 20,
    DeeJay_RUN_F_BGN = 21,
    DeeJay_RUN_F = 22,
    DeeJay_RUN_F_END = 23,
    DeeJay_RUN_B_BGN = 24,
    DeeJay_RUN_B = 25,
    DeeJay_RUN_B_END = 26,
    DeeJay_DUCK_WALK_F_BGN = 27,
    DeeJay_DUCK_WALK_F = 28,
    DeeJay_DUCK_WALK_F_END = 29,
    DeeJay_DUCK_WALK_B_BGN = 30,
    DeeJay_DUCK_WALK_B = 31,
    DeeJay_DUCK_WALK_B_END = 32,
    DeeJay_JUMP_V_BGN = 33,
    DeeJay_JUMP_F_BGN = 34,
    DeeJay_JUMP_B_BGN = 35,
    DeeJay_JUMP_V = 36,
    DeeJay_JUMP_F = 37,
    DeeJay_JUMP_B = 38,
    DeeJay_JUMP_V_END = 39,
    DeeJay_JUMP_F_END = 40,
    DeeJay_JUMP_B_END = 41,
    DeeJay_JUMP_ATK_END = 42,
    DeeJay_W_JUMP_V = 44,
    DeeJay_W_JUMP_F = 45,
    DeeJay_W_JUMP_B = 46,
    DeeJay_T_JUMP_WALL = 47,
    DeeJay_T_JUMP = 48,
    DeeJay_L_JUMP_V_BGN = 54,
    DeeJay_L_JUMP_F_BGN = 55,
    DeeJay_L_JUMP_B_BGN = 56,
    DeeJay_L_JUMP_V = 57,
    DeeJay_L_JUMP_F = 58,
    DeeJay_L_JUMP_B = 59,
    DeeJay_H_JUMP_V_BGN = 60,
    DeeJay_H_JUMP_F_BGN = 61,
    DeeJay_H_JUMP_B_BGN = 62,
    DeeJay_H_JUMP_V = 63,
    DeeJay_H_JUMP_F = 64,
    DeeJay_H_JUMP_B = 65,
    DeeJay_FLY_BGN = 66,
    DeeJay_FLY_END = 67,
    DeeJay_FLY_BASE = 68,
    DeeJay_FLY_UU = 69,
    DeeJay_FLY_BU = 70,
    DeeJay_FLY_BB = 71,
    DeeJay_FLY_BD = 72,
    DeeJay_FLY_DD = 73,
    DeeJay_FLY_FD = 74,
    DeeJay_FLY_FF = 75,
    DeeJay_FLY_FU = 76,
    DeeJay_FLY_UU_END = 77,
    DeeJay_FLY_BU_END = 78,
    DeeJay_FLY_BB_END = 79,
    DeeJay_FLY_BD_END = 80,
    DeeJay_FLY_DD_END = 81,
    DeeJay_FLY_FD_END = 82,
    DeeJay_FLY_FF_END = 83,
    DeeJay_FLY_FU_END = 84,
    DeeJay_AIR_DASH_U = 85,
    DeeJay_AIR_DASH_BU = 86,
    DeeJay_AIR_DASH_B = 87,
    DeeJay_AIR_DASH_BD = 88,
    DeeJay_AIR_DASH_D = 89,
    DeeJay_AIR_DASH_FD = 90,
    DeeJay_AIR_DASH_F = 91,
    DeeJay_AIR_DASH_FU = 92,
    DeeJay_FALL_V = 93,
    DeeJay_GRD_STAND_H_BGN = 100,
    DeeJay_GRD_STAND_H = 101,
    DeeJay_GRD_STAND_H_END = 102,
    DeeJay_GRD_STAND_H_DM_L = 103,
    DeeJay_GRD_STAND_H_DM_M = 104,
    DeeJay_GRD_STAND_H_DM_H = 105,
    DeeJay_GRD_STAND_H_DM_S = 106,
    DeeJay_GRD_STAND_M_BGN = 107,
    DeeJay_GRD_STAND_M = 108,
    DeeJay_GRD_STAND_M_END = 109,
    DeeJay_GRD_STAND_M_DM_L = 110,
    DeeJay_GRD_STAND_M_DM_M = 111,
    DeeJay_GRD_STAND_M_DM_H = 112,
    DeeJay_GRD_STAND_M_DM_S = 113,
    DeeJay_GRD_STAND_L_BGN = 114,
    DeeJay_GRD_STAND_L = 115,
    DeeJay_GRD_STAND_L_END = 116,
    DeeJay_GRD_STAND_L_DM_L = 117,
    DeeJay_GRD_STAND_L_DM_M = 118,
    DeeJay_GRD_STAND_L_DM_H = 119,
    DeeJay_GRD_STAND_L_DM_S = 120,
    DeeJay_GRD_CROUCH_H_BGN = 121,
    DeeJay_GRD_CROUCH_H = 122,
    DeeJay_GRD_CROUCH_H_END = 123,
    DeeJay_GRD_CROUCH_H_DM_L = 124,
    DeeJay_GRD_CROUCH_H_DM_M = 125,
    DeeJay_GRD_CROUCH_H_DM_H = 126,
    DeeJay_GRD_CROUCH_H_DM_S = 127,
    DeeJay_GRD_CROUCH_L_BGN = 128,
    DeeJay_GRD_CROUCH_L = 129,
    DeeJay_GRD_CROUCH_L_END = 130,
    DeeJay_GRD_CROUCH_L_DM_L = 131,
    DeeJay_GRD_CROUCH_L_DM_M = 132,
    DeeJay_GRD_CROUCH_L_DM_H = 133,
    DeeJay_GRD_CROUCH_L_DM_S = 134,
    DeeJay_GRD_AIR_BGN = 135,
    DeeJay_GRD_AIR = 136,
    DeeJay_GRD_AIR_END = 137,
    DeeJay_GRD_AIR_DM_L = 138,
    DeeJay_GRD_AIR_DM_M = 139,
    DeeJay_GRD_AIR_DM_H = 140,
    DeeJay_GRD_AIR_DM_S = 141,
    DeeJay_GRD_ZUSA_STAND = 143,
    DeeJay_GRD_ZUSA_CROUCH = 144,
    DeeJay_GRD_ZUSA_WALL = 145,
    DeeJay_DGD_STAND_H_BGN = 150,
    DeeJay_DGD_STAND_H = 151,
    DeeJay_DGD_STAND_H_END = 152,
    DeeJay_DGD_STAND_H_DM_L = 153,
    DeeJay_DGD_STAND_H_DM_M = 154,
    DeeJay_DGD_STAND_H_DM_H = 155,
    DeeJay_DGD_STAND_H_DM_S = 156,
    DeeJay_DGD_STAND_M_BGN = 157,
    DeeJay_DGD_STAND_M = 158,
    DeeJay_DGD_STAND_M_END = 159,
    DeeJay_DGD_STAND_M_DM_L = 160,
    DeeJay_DGD_STAND_M_DM_M = 161,
    DeeJay_DGD_STAND_M_DM_H = 162,
    DeeJay_DGD_STAND_M_DM_S = 163,
    DeeJay_DGD_STAND_L_BGN = 164,
    DeeJay_DGD_STAND_L = 165,
    DeeJay_DGD_STAND_L_END = 166,
    DeeJay_DGD_STAND_L_DM_L = 167,
    DeeJay_DGD_STAND_L_DM_M = 168,
    DeeJay_DGD_STAND_L_DM_H = 169,
    DeeJay_DGD_STAND_L_DM_S = 170,
    DeeJay_DGD_CROUCH_H_BGN = 171,
    DeeJay_DGD_CROUCH_H = 172,
    DeeJay_DGD_CROUCH_H_END = 173,
    DeeJay_DGD_CROUCH_H_DM_L = 174,
    DeeJay_DGD_CROUCH_H_DM_M = 175,
    DeeJay_DGD_CROUCH_H_DM_H = 176,
    DeeJay_DGD_CROUCH_H_DM_S = 177,
    DeeJay_DGD_CROUCH_L_BGN = 178,
    DeeJay_DGD_CROUCH_L = 179,
    DeeJay_DGD_CROUCH_L_END = 180,
    DeeJay_DGD_CROUCH_L_DM_L = 181,
    DeeJay_DGD_CROUCH_L_DM_M = 182,
    DeeJay_DGD_CROUCH_L_DM_H = 183,
    DeeJay_DGD_CROUCH_L_DM_S = 184,
    DeeJay_DGD_AIR_BGN = 185,
    DeeJay_DGD_AIR = 186,
    DeeJay_DGD_AIR_END = 187,
    DeeJay_DGD_AIR_DM_L = 188,
    DeeJay_DGD_AIR_DM_M = 189,
    DeeJay_DGD_AIR_DM_H = 190,
    DeeJay_DGD_AIR_DM_S = 191,
    DeeJay_DMG_STD_H_FR_L = 200,
    DeeJay_DMG_STD_H_FR_M = 201,
    DeeJay_DMG_STD_H_FR_H = 202,
    DeeJay_DMG_CRT_STD_H_FR = 203,
    DeeJay_DMG_STD_M_FR_L = 204,
    DeeJay_DMG_STD_M_FR_M = 205,
    DeeJay_DMG_STD_M_FR_H = 206,
    DeeJay_DMG_CRT_STD_M_FR = 207,
    DeeJay_DMG_STD_L_FR_L = 208,
    DeeJay_DMG_STD_L_FR_M = 209,
    DeeJay_DMG_STD_L_FR_H = 210,
    DeeJay_DMG_CRT_STD_L_FR = 211,
    DeeJay_DMG_CRO_H_FR_L = 212,
    DeeJay_DMG_CRO_H_FR_M = 213,
    DeeJay_DMG_CRO_H_FR_H = 214,
    DeeJay_DMG_CRT_CRO_H_FR = 215,
    DeeJay_DMG_CRO_L_FR_L = 216,
    DeeJay_DMG_CRO_L_FR_M = 217,
    DeeJay_DMG_CRO_L_FR_H = 218,
    DeeJay_DMG_CRT_CRO_L_FR = 219,
    DeeJay_DMG_AIR_FR_L = 220,
    DeeJay_DMG_AIR_FR_M = 221,
    DeeJay_DMG_AIR_FR_H = 222,
    DeeJay_DMG_STD_BK = 224,
    DeeJay_BUTT_RISE_90 = 230,
    DeeJay_BUTT_RISE_45 = 231,
    DeeJay_BUTT_RISE_00 = 232,
    DeeJay_BUTT_RISE_45m = 233,
    DeeJay_BUTT_RISE_90m = 234,
    DeeJay_BUTT_RISE_BK = 235,
    DeeJay_BUTT_RISE_BK_90m = 236,
    DeeJay_BUTT_FALL_90 = 237,
    DeeJay_BUTT_FALL_45 = 238,
    DeeJay_BUTT_FALL_00 = 239,
    DeeJay_BUTT_FALL_45m = 240,
    DeeJay_BUTT_FALL_90m = 241,
    DeeJay_BUTT_FALL_BK = 242,
    DeeJay_BUTT_FALL_BK_90m = 243,
    DeeJay_BUTT_H_START_90 = 244,
    DeeJay_BUTT_H_START_45 = 245,
    DeeJay_BUTT_H_START_00 = 246,
    DeeJay_BUTT_H_START_45m = 247,
    DeeJay_BUTT_H_START_90m = 248,
    DeeJay_BUTT_H_START_BK = 249,
    DeeJay_BUTT_H_START_BK_90m = 250,
    DeeJay_BUTT_B_START_90 = 251,
    DeeJay_BUTT_B_START_45 = 252,
    DeeJay_BUTT_B_START_00 = 253,
    DeeJay_BUTT_B_START_45m = 254,
    DeeJay_BUTT_B_START_90m = 255,
    DeeJay_BUTT_START_BK = 256,
    DeeJay_BUTT_START_BK_90m = 257,
    DeeJay_KNOCK_DOWN_BK = 258,
    DeeJay_DMG_HL_DOWN = 260,
    DeeJay_DMG_HM_DOWN = 261,
    DeeJay_DMG_HH_DOWN = 262,
    DeeJay_DMG_CL_DOWN = 263,
    DeeJay_DMG_CM_DOWN = 264,
    DeeJay_DMG_CH_DOWN = 265,
    DeeJay_DMG_HL_UPPER = 266,
    DeeJay_DMG_HM_UPPER = 267,
    DeeJay_DMG_HH_UPPER = 268,
    DeeJay_DMG_BL_UPPER = 269,
    DeeJay_DMG_BM_UPPER = 270,
    DeeJay_DMG_BH_UPPER = 271,
    DeeJay_ASHIBARAI = 273,
    DeeJay_ASHIBARAI_BACK = 274,
    DeeJay_KUZURE = 276,
    DeeJay_FLOP_DOWN = 277,
    DeeJay_DMG_H_SPIN_GROUND = 279,
    DeeJay_DMG_H_SPIN_AIR = 280,
    DeeJay_DMG_V_SPIN_GROUND = 281,
    DeeJay_DMG_V_SPIN_AIR = 282,
    DeeJay_WALL_HIT_FR = 284,
    DeeJay_WALL_HIT_BK = 285,
    DeeJay_WALL_DOWN_FR = 286,
    DeeJay_WALL_DOWN_BK = 287,
    DeeJay_DMG_GORO_FR = 289,
    DeeJay_DMG_GORO_DOWN_FR = 290,
    DeeJay_WALL_GROUND_FR = 291,
    DeeJay_WALL_PIYO_STOP = 293,
    DeeJay_WALL_PIYO_DOWN = 294,
    DeeJay_THROWBREAK_TO = 320,
    DeeJay_THROWBREAK_DONE = 321,
    DeeJay_GUARD_BREAK_STAND = 322,
    DeeJay_GUARD_BREAK_CROUCH = 323,
    DeeJay_HARDDOWN_FU = 330,
    DeeJay_HARDDOWN_FD = 331,
    DeeJay_SLIDEDOWN_FU = 332,
    DeeJay_SLIDEDOWN_FU_CMN = 333,
    DeeJay_SLIDEDOWN_FD = 334,
    DeeJay_SLIDEDOWN_FD_CMN = 335,
    DeeJay_LIE_DOWN_FU = 336,
    DeeJay_LIE_DOWN_FD = 337,
    DeeJay_DOWN_DMG_FU = 338,
    DeeJay_DOWN_DMG_FD = 339,
    DeeJay_WAKEUP_FU = 340,
    DeeJay_WAKEUP_FD = 341,
    DeeJay_WAKEUP_F_FU = 342,
    DeeJay_WAKEUP_F_FD = 343,
    DeeJay_WAKEUP_B_FU = 344,
    DeeJay_WAKEUP_B_FD = 345,
    DeeJay_BUTT_TAOREN = 346,
    DeeJay_AIR_RECOVERY_BK = 347,
    DeeJay_BOUND_FU = 350,
    DeeJay_BOUND_FD = 351,
    DeeJay_STUN = 353,
    DeeJay_STUN_END = 354,
    DeeJay_KUZURE_DIE = 356,
    DeeJay_APPEAR = 400,
    DeeJay_APPEAR_END = 401,
    DeeJay_APPEAR_ARCADE = 402,
    DeeJay_APPEAR_STORY = 403,
    DeeJay_LOSE = 405,
    DeeJay_MID_LOSE_FU = 407,
    DeeJay_MID_LOSE_FD = 408,
    DeeJay_DRAW = 410,
    DeeJay_RESULT = 412,
    DeeJay_WIN = 414,
    DeeJay_WIN_STORY = 415,
    DeeJay_WIN_PERFECT = 416,
    DeeJay_WIN_HI = 417,
    DeeJay_WIN_MID = 418,
    DeeJay_WIN_LOW = 419,
    DeeJay_MINION_ENTRY = 470,
    DeeJay_V_TOUCH_ENTRY = 471,
    DeeJay_V_TOUCH_STOP = 472,
    DeeJay_V_TOUCH_EXIT = 473,
    DeeJay_TOUCH_POSE = 474,
    DeeJay_TOUCH_JUMP = 475,
    DeeJay_TOUCH_SUKI = 476,
    DeeJay_TOUCH_NOKI = 477,
    DeeJay_ASSIST_SUKI = 478,
    DeeJay_PARRY_BGN = 480,
    DeeJay_PARRY_LOOP = 481,
    DeeJay_PARRY_END = 482,
    DeeJay_PARRY_HIT_H = 483,
    DeeJay_PARRY_HIT_M = 484,
    DeeJay_PARRY_HIT_L = 485,
    DeeJay_PARRY_JUST_H = 486,
    DeeJay_PARRY_JUST_M = 487,
    DeeJay_PARRY_JUST_L = 488,
    DeeJay_PARRY_CRO_BGN = 489,
    DeeJay_T_FOOTWORK = 510,
    DeeJay_T_CROUCH = 511,
    DeeJay_T_SIT_DOWN = 512,
    DeeJay_T_STAND_UP = 513,
    DeeJay_T_TURN_STAND = 514,
    DeeJay_T_TURN_CROUCH = 515,
    DeeJay_T_WALK_F_BGN = 516,
    DeeJay_T_WALK_FORWARD = 517,
    DeeJay_T_WALK_F_END = 518,
    DeeJay_T_WALK_B_BGN = 519,
    DeeJay_T_WALK_BACK = 520,
    DeeJay_T_WALK_B_END = 521,
    DeeJay_CONTINUE_FU = 530,
    DeeJay_CONTINUE_FD = 531,
    DeeJay_CONTINUE_SUCCESS = 532,
    DeeJay_CONTINUE_FAILURE = 533,
    DeeJay_ADV_STAND = 570,
    DeeJay_ADV_SIT = 571,
    DeeJay_ADV_AIR = 572,
    DeeJay_IMM_STAGE_INIT = 580,
    DeeJay_IMM_ROUND_INIT = 581,
    DeeJay_IMM_DAMAGE_INIT = 582,
    DeeJay_IMM_DAMAGE_EXIT = 583,
    DeeJay_IMM_TO_NORMAL = 584,
    DeeJay_IMM_TOUCH_EXIT = 585,
    DeeJay_IMM_TOUCH_ENTRY = 586,
    DeeJay_IMM_LANDING = 587,
    DeeJay_IMM_HOLD_EXIT = 588,
    DeeJay_IMM_FRAME_OUT = 589,
    DeeJay_IMM_APPEAR_END = 590,
    DeeJay_IMM_RESULT_INIT = 591,
    DeeJay_COMMON_END = 599,
}

#[allow(non_camel_case_types)]
#[derive(Default, strum_macros::Display, FromPrimitive, PartialEq, Eq, Clone)]
pub enum LilyActions {
    #[default]
    Lily_INVALID_ID = -1,
    Lily_BACKSTAGE = 0,
    Lily_FOOTWORK = 1,
    Lily_FOOTWORK_IDLE = 2,
    Lily_CROUCH = 4,
    Lily_SIT_DOWN = 5,
    Lily_STAND_UP = 6,
    Lily_TURN_STAND = 7,
    Lily_TURN_CROUCH = 8,
    Lily_WALK_F_BGN = 9,
    Lily_WALK_FORWARD = 10,
    Lily_WALK_F_END = 11,
    Lily_SLIDE_FEET_F = 12,
    Lily_WALK_B_BGN = 13,
    Lily_WALK_BACK = 14,
    Lily_WALK_B_END = 15,
    Lily_SLIDE_FEET_B = 16,
    Lily_DASH_F = 17,
    Lily_DASH_B = 18,
    Lily_DASH_F_END = 19,
    Lily_DASH_B_END = 20,
    Lily_RUN_F_BGN = 21,
    Lily_RUN_F = 22,
    Lily_RUN_F_END = 23,
    Lily_RUN_B_BGN = 24,
    Lily_RUN_B = 25,
    Lily_RUN_B_END = 26,
    Lily_DUCK_WALK_F_BGN = 27,
    Lily_DUCK_WALK_F = 28,
    Lily_DUCK_WALK_F_END = 29,
    Lily_DUCK_WALK_B_BGN = 30,
    Lily_DUCK_WALK_B = 31,
    Lily_DUCK_WALK_B_END = 32,
    Lily_JUMP_V_BGN = 33,
    Lily_JUMP_F_BGN = 34,
    Lily_JUMP_B_BGN = 35,
    Lily_JUMP_V = 36,
    Lily_JUMP_F = 37,
    Lily_JUMP_B = 38,
    Lily_JUMP_V_END = 39,
    Lily_JUMP_F_END = 40,
    Lily_JUMP_B_END = 41,
    Lily_JUMP_ATK_END = 42,
    Lily_W_JUMP_V = 44,
    Lily_W_JUMP_F = 45,
    Lily_W_JUMP_B = 46,
    Lily_T_JUMP_WALL = 47,
    Lily_T_JUMP = 48,
    Lily_L_JUMP_V_BGN = 54,
    Lily_L_JUMP_F_BGN = 55,
    Lily_L_JUMP_B_BGN = 56,
    Lily_L_JUMP_V = 57,
    Lily_L_JUMP_F = 58,
    Lily_L_JUMP_B = 59,
    Lily_H_JUMP_V_BGN = 60,
    Lily_H_JUMP_F_BGN = 61,
    Lily_H_JUMP_B_BGN = 62,
    Lily_H_JUMP_V = 63,
    Lily_H_JUMP_F = 64,
    Lily_H_JUMP_B = 65,
    Lily_FLY_BGN = 66,
    Lily_FLY_END = 67,
    Lily_FLY_BASE = 68,
    Lily_FLY_UU = 69,
    Lily_FLY_BU = 70,
    Lily_FLY_BB = 71,
    Lily_FLY_BD = 72,
    Lily_FLY_DD = 73,
    Lily_FLY_FD = 74,
    Lily_FLY_FF = 75,
    Lily_FLY_FU = 76,
    Lily_FLY_UU_END = 77,
    Lily_FLY_BU_END = 78,
    Lily_FLY_BB_END = 79,
    Lily_FLY_BD_END = 80,
    Lily_FLY_DD_END = 81,
    Lily_FLY_FD_END = 82,
    Lily_FLY_FF_END = 83,
    Lily_FLY_FU_END = 84,
    Lily_AIR_DASH_U = 85,
    Lily_AIR_DASH_BU = 86,
    Lily_AIR_DASH_B = 87,
    Lily_AIR_DASH_BD = 88,
    Lily_AIR_DASH_D = 89,
    Lily_AIR_DASH_FD = 90,
    Lily_AIR_DASH_F = 91,
    Lily_AIR_DASH_FU = 92,
    Lily_FALL_V = 93,
    Lily_GRD_STAND_H_BGN = 100,
    Lily_GRD_STAND_H = 101,
    Lily_GRD_STAND_H_END = 102,
    Lily_GRD_STAND_H_DM_L = 103,
    Lily_GRD_STAND_H_DM_M = 104,
    Lily_GRD_STAND_H_DM_H = 105,
    Lily_GRD_STAND_H_DM_S = 106,
    Lily_GRD_STAND_M_BGN = 107,
    Lily_GRD_STAND_M = 108,
    Lily_GRD_STAND_M_END = 109,
    Lily_GRD_STAND_M_DM_L = 110,
    Lily_GRD_STAND_M_DM_M = 111,
    Lily_GRD_STAND_M_DM_H = 112,
    Lily_GRD_STAND_M_DM_S = 113,
    Lily_GRD_STAND_L_BGN = 114,
    Lily_GRD_STAND_L = 115,
    Lily_GRD_STAND_L_END = 116,
    Lily_GRD_STAND_L_DM_L = 117,
    Lily_GRD_STAND_L_DM_M = 118,
    Lily_GRD_STAND_L_DM_H = 119,
    Lily_GRD_STAND_L_DM_S = 120,
    Lily_GRD_CROUCH_H_BGN = 121,
    Lily_GRD_CROUCH_H = 122,
    Lily_GRD_CROUCH_H_END = 123,
    Lily_GRD_CROUCH_H_DM_L = 124,
    Lily_GRD_CROUCH_H_DM_M = 125,
    Lily_GRD_CROUCH_H_DM_H = 126,
    Lily_GRD_CROUCH_H_DM_S = 127,
    Lily_GRD_CROUCH_L_BGN = 128,
    Lily_GRD_CROUCH_L = 129,
    Lily_GRD_CROUCH_L_END = 130,
    Lily_GRD_CROUCH_L_DM_L = 131,
    Lily_GRD_CROUCH_L_DM_M = 132,
    Lily_GRD_CROUCH_L_DM_H = 133,
    Lily_GRD_CROUCH_L_DM_S = 134,
    Lily_GRD_AIR_BGN = 135,
    Lily_GRD_AIR = 136,
    Lily_GRD_AIR_END = 137,
    Lily_GRD_AIR_DM_L = 138,
    Lily_GRD_AIR_DM_M = 139,
    Lily_GRD_AIR_DM_H = 140,
    Lily_GRD_AIR_DM_S = 141,
    Lily_GRD_ZUSA_STAND = 143,
    Lily_GRD_ZUSA_CROUCH = 144,
    Lily_GRD_ZUSA_WALL = 145,
    Lily_DGD_STAND_H_BGN = 150,
    Lily_DGD_STAND_H = 151,
    Lily_DGD_STAND_H_END = 152,
    Lily_DGD_STAND_H_DM_L = 153,
    Lily_DGD_STAND_H_DM_M = 154,
    Lily_DGD_STAND_H_DM_H = 155,
    Lily_DGD_STAND_H_DM_S = 156,
    Lily_DGD_STAND_M_BGN = 157,
    Lily_DGD_STAND_M = 158,
    Lily_DGD_STAND_M_END = 159,
    Lily_DGD_STAND_M_DM_L = 160,
    Lily_DGD_STAND_M_DM_M = 161,
    Lily_DGD_STAND_M_DM_H = 162,
    Lily_DGD_STAND_M_DM_S = 163,
    Lily_DGD_STAND_L_BGN = 164,
    Lily_DGD_STAND_L = 165,
    Lily_DGD_STAND_L_END = 166,
    Lily_DGD_STAND_L_DM_L = 167,
    Lily_DGD_STAND_L_DM_M = 168,
    Lily_DGD_STAND_L_DM_H = 169,
    Lily_DGD_STAND_L_DM_S = 170,
    Lily_DGD_CROUCH_H_BGN = 171,
    Lily_DGD_CROUCH_H = 172,
    Lily_DGD_CROUCH_H_END = 173,
    Lily_DGD_CROUCH_H_DM_L = 174,
    Lily_DGD_CROUCH_H_DM_M = 175,
    Lily_DGD_CROUCH_H_DM_H = 176,
    Lily_DGD_CROUCH_H_DM_S = 177,
    Lily_DGD_CROUCH_L_BGN = 178,
    Lily_DGD_CROUCH_L = 179,
    Lily_DGD_CROUCH_L_END = 180,
    Lily_DGD_CROUCH_L_DM_L = 181,
    Lily_DGD_CROUCH_L_DM_M = 182,
    Lily_DGD_CROUCH_L_DM_H = 183,
    Lily_DGD_CROUCH_L_DM_S = 184,
    Lily_DGD_AIR_BGN = 185,
    Lily_DGD_AIR = 186,
    Lily_DGD_AIR_END = 187,
    Lily_DGD_AIR_DM_L = 188,
    Lily_DGD_AIR_DM_M = 189,
    Lily_DGD_AIR_DM_H = 190,
    Lily_DGD_AIR_DM_S = 191,
    Lily_DMG_STD_H_FR_L = 200,
    Lily_DMG_STD_H_FR_M = 201,
    Lily_DMG_STD_H_FR_H = 202,
    Lily_DMG_CRT_STD_H_FR = 203,
    Lily_DMG_STD_M_FR_L = 204,
    Lily_DMG_STD_M_FR_M = 205,
    Lily_DMG_STD_M_FR_H = 206,
    Lily_DMG_CRT_STD_M_FR = 207,
    Lily_DMG_STD_L_FR_L = 208,
    Lily_DMG_STD_L_FR_M = 209,
    Lily_DMG_STD_L_FR_H = 210,
    Lily_DMG_CRT_STD_L_FR = 211,
    Lily_DMG_CRO_H_FR_L = 212,
    Lily_DMG_CRO_H_FR_M = 213,
    Lily_DMG_CRO_H_FR_H = 214,
    Lily_DMG_CRT_CRO_H_FR = 215,
    Lily_DMG_CRO_L_FR_L = 216,
    Lily_DMG_CRO_L_FR_M = 217,
    Lily_DMG_CRO_L_FR_H = 218,
    Lily_DMG_CRT_CRO_L_FR = 219,
    Lily_DMG_AIR_FR_L = 220,
    Lily_DMG_AIR_FR_M = 221,
    Lily_DMG_AIR_FR_H = 222,
    Lily_DMG_STD_BK = 224,
    Lily_BUTT_RISE_90 = 230,
    Lily_BUTT_RISE_45 = 231,
    Lily_BUTT_RISE_00 = 232,
    Lily_BUTT_RISE_45m = 233,
    Lily_BUTT_RISE_90m = 234,
    Lily_BUTT_RISE_BK = 235,
    Lily_BUTT_RISE_BK_90m = 236,
    Lily_BUTT_FALL_90 = 237,
    Lily_BUTT_FALL_45 = 238,
    Lily_BUTT_FALL_00 = 239,
    Lily_BUTT_FALL_45m = 240,
    Lily_BUTT_FALL_90m = 241,
    Lily_BUTT_FALL_BK = 242,
    Lily_BUTT_FALL_BK_90m = 243,
    Lily_BUTT_H_START_90 = 244,
    Lily_BUTT_H_START_45 = 245,
    Lily_BUTT_H_START_00 = 246,
    Lily_BUTT_H_START_45m = 247,
    Lily_BUTT_H_START_90m = 248,
    Lily_BUTT_H_START_BK = 249,
    Lily_BUTT_H_START_BK_90m = 250,
    Lily_BUTT_B_START_90 = 251,
    Lily_BUTT_B_START_45 = 252,
    Lily_BUTT_B_START_00 = 253,
    Lily_BUTT_B_START_45m = 254,
    Lily_BUTT_B_START_90m = 255,
    Lily_BUTT_START_BK = 256,
    Lily_BUTT_START_BK_90m = 257,
    Lily_KNOCK_DOWN_BK = 258,
    Lily_DMG_HL_DOWN = 260,
    Lily_DMG_HM_DOWN = 261,
    Lily_DMG_HH_DOWN = 262,
    Lily_DMG_CL_DOWN = 263,
    Lily_DMG_CM_DOWN = 264,
    Lily_DMG_CH_DOWN = 265,
    Lily_DMG_HL_UPPER = 266,
    Lily_DMG_HM_UPPER = 267,
    Lily_DMG_HH_UPPER = 268,
    Lily_DMG_BL_UPPER = 269,
    Lily_DMG_BM_UPPER = 270,
    Lily_DMG_BH_UPPER = 271,
    Lily_ASHIBARAI = 273,
    Lily_ASHIBARAI_BACK = 274,
    Lily_KUZURE = 276,
    Lily_FLOP_DOWN = 277,
    Lily_DMG_H_SPIN_GROUND = 279,
    Lily_DMG_H_SPIN_AIR = 280,
    Lily_DMG_V_SPIN_GROUND = 281,
    Lily_DMG_V_SPIN_AIR = 282,
    Lily_WALL_HIT_FR = 284,
    Lily_WALL_HIT_BK = 285,
    Lily_WALL_DOWN_FR = 286,
    Lily_WALL_DOWN_BK = 287,
    Lily_DMG_GORO_FR = 289,
    Lily_DMG_GORO_DOWN_FR = 290,
    Lily_WALL_GROUND_FR = 291,
    Lily_WALL_PIYO_STOP = 293,
    Lily_WALL_PIYO_DOWN = 294,
    Lily_THROWBREAK_TO = 320,
    Lily_THROWBREAK_DONE = 321,
    Lily_GUARD_BREAK_STAND = 322,
    Lily_GUARD_BREAK_CROUCH = 323,
    Lily_HARDDOWN_FU = 330,
    Lily_HARDDOWN_FD = 331,
    Lily_SLIDEDOWN_FU = 332,
    Lily_SLIDEDOWN_FU_CMN = 333,
    Lily_SLIDEDOWN_FD = 334,
    Lily_SLIDEDOWN_FD_CMN = 335,
    Lily_LIE_DOWN_FU = 336,
    Lily_LIE_DOWN_FD = 337,
    Lily_DOWN_DMG_FU = 338,
    Lily_DOWN_DMG_FD = 339,
    Lily_WAKEUP_FU = 340,
    Lily_WAKEUP_FD = 341,
    Lily_WAKEUP_F_FU = 342,
    Lily_WAKEUP_F_FD = 343,
    Lily_WAKEUP_B_FU = 344,
    Lily_WAKEUP_B_FD = 345,
    Lily_BUTT_TAOREN = 346,
    Lily_AIR_RECOVERY_BK = 347,
    Lily_BOUND_FU = 350,
    Lily_BOUND_FD = 351,
    Lily_STUN = 353,
    Lily_STUN_END = 354,
    Lily_KUZURE_DIE = 356,
    Lily_APPEAR = 400,
    Lily_APPEAR_END = 401,
    Lily_APPEAR_ARCADE = 402,
    Lily_APPEAR_STORY = 403,
    Lily_LOSE = 405,
    Lily_MID_LOSE_FU = 407,
    Lily_MID_LOSE_FD = 408,
    Lily_DRAW = 410,
    Lily_RESULT = 412,
    Lily_WIN = 414,
    Lily_WIN_STORY = 415,
    Lily_WIN_PERFECT = 416,
    Lily_WIN_HI = 417,
    Lily_WIN_MID = 418,
    Lily_WIN_LOW = 419,
    Lily_MINION_ENTRY = 470,
    Lily_V_TOUCH_ENTRY = 471,
    Lily_V_TOUCH_STOP = 472,
    Lily_V_TOUCH_EXIT = 473,
    Lily_TOUCH_POSE = 474,
    Lily_TOUCH_JUMP = 475,
    Lily_TOUCH_SUKI = 476,
    Lily_TOUCH_NOKI = 477,
    Lily_ASSIST_SUKI = 478,
    Lily_PARRY_BGN = 480,
    Lily_PARRY_LOOP = 481,
    Lily_PARRY_END = 482,
    Lily_PARRY_HIT_H = 483,
    Lily_PARRY_HIT_M = 484,
    Lily_PARRY_HIT_L = 485,
    Lily_PARRY_JUST_H = 486,
    Lily_PARRY_JUST_M = 487,
    Lily_PARRY_JUST_L = 488,
    Lily_PARRY_CRO_BGN = 489,
    Lily_T_FOOTWORK = 510,
    Lily_T_CROUCH = 511,
    Lily_T_SIT_DOWN = 512,
    Lily_T_STAND_UP = 513,
    Lily_T_TURN_STAND = 514,
    Lily_T_TURN_CROUCH = 515,
    Lily_T_WALK_F_BGN = 516,
    Lily_T_WALK_FORWARD = 517,
    Lily_T_WALK_F_END = 518,
    Lily_T_WALK_B_BGN = 519,
    Lily_T_WALK_BACK = 520,
    Lily_T_WALK_B_END = 521,
    Lily_CONTINUE_FU = 530,
    Lily_CONTINUE_FD = 531,
    Lily_CONTINUE_SUCCESS = 532,
    Lily_CONTINUE_FAILURE = 533,
    Lily_ADV_STAND = 570,
    Lily_ADV_SIT = 571,
    Lily_ADV_AIR = 572,
    Lily_IMM_STAGE_INIT = 580,
    Lily_IMM_ROUND_INIT = 581,
    Lily_IMM_DAMAGE_INIT = 582,
    Lily_IMM_DAMAGE_EXIT = 583,
    Lily_IMM_TO_NORMAL = 584,
    Lily_IMM_TOUCH_EXIT = 585,
    Lily_IMM_TOUCH_ENTRY = 586,
    Lily_IMM_LANDING = 587,
    Lily_IMM_HOLD_EXIT = 588,
    Lily_IMM_FRAME_OUT = 589,
    Lily_IMM_APPEAR_END = 590,
    Lily_IMM_RESULT_INIT = 591,
    Lily_COMMON_END = 599,
}

#[allow(non_camel_case_types)]
#[derive(Default, strum_macros::Display, FromPrimitive, PartialEq, Eq, Clone)]
pub enum BlankaActions {
    #[default]
    Blanka_INVALID_ID = -1,
    Blanka_BACKSTAGE = 0,
    Blanka_FOOTWORK = 1,
    Blanka_FOOTWORK_IDLE = 2,
    Blanka_CROUCH = 4,
    Blanka_SIT_DOWN = 5,
    Blanka_STAND_UP = 6,
    Blanka_TURN_STAND = 7,
    Blanka_TURN_CROUCH = 8,
    Blanka_WALK_F_BGN = 9,
    Blanka_WALK_FORWARD = 10,
    Blanka_WALK_F_END = 11,
    Blanka_SLIDE_FEET_F = 12,
    Blanka_WALK_B_BGN = 13,
    Blanka_WALK_BACK = 14,
    Blanka_WALK_B_END = 15,
    Blanka_SLIDE_FEET_B = 16,
    Blanka_DASH_F = 17,
    Blanka_DASH_B = 18,
    Blanka_DASH_F_END = 19,
    Blanka_DASH_B_END = 20,
    Blanka_RUN_F_BGN = 21,
    Blanka_RUN_F = 22,
    Blanka_RUN_F_END = 23,
    Blanka_RUN_B_BGN = 24,
    Blanka_RUN_B = 25,
    Blanka_RUN_B_END = 26,
    Blanka_DUCK_WALK_F_BGN = 27,
    Blanka_DUCK_WALK_F = 28,
    Blanka_DUCK_WALK_F_END = 29,
    Blanka_DUCK_WALK_B_BGN = 30,
    Blanka_DUCK_WALK_B = 31,
    Blanka_DUCK_WALK_B_END = 32,
    Blanka_JUMP_V_BGN = 33,
    Blanka_JUMP_F_BGN = 34,
    Blanka_JUMP_B_BGN = 35,
    Blanka_JUMP_V = 36,
    Blanka_JUMP_F = 37,
    Blanka_JUMP_B = 38,
    Blanka_JUMP_V_END = 39,
    Blanka_JUMP_F_END = 40,
    Blanka_JUMP_B_END = 41,
    Blanka_JUMP_ATK_END = 42,
    Blanka_W_JUMP_V = 44,
    Blanka_W_JUMP_F = 45,
    Blanka_W_JUMP_B = 46,
    Blanka_T_JUMP_WALL = 47,
    Blanka_T_JUMP = 48,
    Blanka_L_JUMP_V_BGN = 54,
    Blanka_L_JUMP_F_BGN = 55,
    Blanka_L_JUMP_B_BGN = 56,
    Blanka_L_JUMP_V = 57,
    Blanka_L_JUMP_F = 58,
    Blanka_L_JUMP_B = 59,
    Blanka_H_JUMP_V_BGN = 60,
    Blanka_H_JUMP_F_BGN = 61,
    Blanka_H_JUMP_B_BGN = 62,
    Blanka_H_JUMP_V = 63,
    Blanka_H_JUMP_F = 64,
    Blanka_H_JUMP_B = 65,
    Blanka_FLY_BGN = 66,
    Blanka_FLY_END = 67,
    Blanka_FLY_BASE = 68,
    Blanka_FLY_UU = 69,
    Blanka_FLY_BU = 70,
    Blanka_FLY_BB = 71,
    Blanka_FLY_BD = 72,
    Blanka_FLY_DD = 73,
    Blanka_FLY_FD = 74,
    Blanka_FLY_FF = 75,
    Blanka_FLY_FU = 76,
    Blanka_FLY_UU_END = 77,
    Blanka_FLY_BU_END = 78,
    Blanka_FLY_BB_END = 79,
    Blanka_FLY_BD_END = 80,
    Blanka_FLY_DD_END = 81,
    Blanka_FLY_FD_END = 82,
    Blanka_FLY_FF_END = 83,
    Blanka_FLY_FU_END = 84,
    Blanka_AIR_DASH_U = 85,
    Blanka_AIR_DASH_BU = 86,
    Blanka_AIR_DASH_B = 87,
    Blanka_AIR_DASH_BD = 88,
    Blanka_AIR_DASH_D = 89,
    Blanka_AIR_DASH_FD = 90,
    Blanka_AIR_DASH_F = 91,
    Blanka_AIR_DASH_FU = 92,
    Blanka_FALL_V = 93,
    Blanka_GRD_STAND_H_BGN = 100,
    Blanka_GRD_STAND_H = 101,
    Blanka_GRD_STAND_H_END = 102,
    Blanka_GRD_STAND_H_DM_L = 103,
    Blanka_GRD_STAND_H_DM_M = 104,
    Blanka_GRD_STAND_H_DM_H = 105,
    Blanka_GRD_STAND_H_DM_S = 106,
    Blanka_GRD_STAND_M_BGN = 107,
    Blanka_GRD_STAND_M = 108,
    Blanka_GRD_STAND_M_END = 109,
    Blanka_GRD_STAND_M_DM_L = 110,
    Blanka_GRD_STAND_M_DM_M = 111,
    Blanka_GRD_STAND_M_DM_H = 112,
    Blanka_GRD_STAND_M_DM_S = 113,
    Blanka_GRD_STAND_L_BGN = 114,
    Blanka_GRD_STAND_L = 115,
    Blanka_GRD_STAND_L_END = 116,
    Blanka_GRD_STAND_L_DM_L = 117,
    Blanka_GRD_STAND_L_DM_M = 118,
    Blanka_GRD_STAND_L_DM_H = 119,
    Blanka_GRD_STAND_L_DM_S = 120,
    Blanka_GRD_CROUCH_H_BGN = 121,
    Blanka_GRD_CROUCH_H = 122,
    Blanka_GRD_CROUCH_H_END = 123,
    Blanka_GRD_CROUCH_H_DM_L = 124,
    Blanka_GRD_CROUCH_H_DM_M = 125,
    Blanka_GRD_CROUCH_H_DM_H = 126,
    Blanka_GRD_CROUCH_H_DM_S = 127,
    Blanka_GRD_CROUCH_L_BGN = 128,
    Blanka_GRD_CROUCH_L = 129,
    Blanka_GRD_CROUCH_L_END = 130,
    Blanka_GRD_CROUCH_L_DM_L = 131,
    Blanka_GRD_CROUCH_L_DM_M = 132,
    Blanka_GRD_CROUCH_L_DM_H = 133,
    Blanka_GRD_CROUCH_L_DM_S = 134,
    Blanka_GRD_AIR_BGN = 135,
    Blanka_GRD_AIR = 136,
    Blanka_GRD_AIR_END = 137,
    Blanka_GRD_AIR_DM_L = 138,
    Blanka_GRD_AIR_DM_M = 139,
    Blanka_GRD_AIR_DM_H = 140,
    Blanka_GRD_AIR_DM_S = 141,
    Blanka_GRD_ZUSA_STAND = 143,
    Blanka_GRD_ZUSA_CROUCH = 144,
    Blanka_GRD_ZUSA_WALL = 145,
    Blanka_DGD_STAND_H_BGN = 150,
    Blanka_DGD_STAND_H = 151,
    Blanka_DGD_STAND_H_END = 152,
    Blanka_DGD_STAND_H_DM_L = 153,
    Blanka_DGD_STAND_H_DM_M = 154,
    Blanka_DGD_STAND_H_DM_H = 155,
    Blanka_DGD_STAND_H_DM_S = 156,
    Blanka_DGD_STAND_M_BGN = 157,
    Blanka_DGD_STAND_M = 158,
    Blanka_DGD_STAND_M_END = 159,
    Blanka_DGD_STAND_M_DM_L = 160,
    Blanka_DGD_STAND_M_DM_M = 161,
    Blanka_DGD_STAND_M_DM_H = 162,
    Blanka_DGD_STAND_M_DM_S = 163,
    Blanka_DGD_STAND_L_BGN = 164,
    Blanka_DGD_STAND_L = 165,
    Blanka_DGD_STAND_L_END = 166,
    Blanka_DGD_STAND_L_DM_L = 167,
    Blanka_DGD_STAND_L_DM_M = 168,
    Blanka_DGD_STAND_L_DM_H = 169,
    Blanka_DGD_STAND_L_DM_S = 170,
    Blanka_DGD_CROUCH_H_BGN = 171,
    Blanka_DGD_CROUCH_H = 172,
    Blanka_DGD_CROUCH_H_END = 173,
    Blanka_DGD_CROUCH_H_DM_L = 174,
    Blanka_DGD_CROUCH_H_DM_M = 175,
    Blanka_DGD_CROUCH_H_DM_H = 176,
    Blanka_DGD_CROUCH_H_DM_S = 177,
    Blanka_DGD_CROUCH_L_BGN = 178,
    Blanka_DGD_CROUCH_L = 179,
    Blanka_DGD_CROUCH_L_END = 180,
    Blanka_DGD_CROUCH_L_DM_L = 181,
    Blanka_DGD_CROUCH_L_DM_M = 182,
    Blanka_DGD_CROUCH_L_DM_H = 183,
    Blanka_DGD_CROUCH_L_DM_S = 184,
    Blanka_DGD_AIR_BGN = 185,
    Blanka_DGD_AIR = 186,
    Blanka_DGD_AIR_END = 187,
    Blanka_DGD_AIR_DM_L = 188,
    Blanka_DGD_AIR_DM_M = 189,
    Blanka_DGD_AIR_DM_H = 190,
    Blanka_DGD_AIR_DM_S = 191,
    Blanka_DMG_STD_H_FR_L = 200,
    Blanka_DMG_STD_H_FR_M = 201,
    Blanka_DMG_STD_H_FR_H = 202,
    Blanka_DMG_CRT_STD_H_FR = 203,
    Blanka_DMG_STD_M_FR_L = 204,
    Blanka_DMG_STD_M_FR_M = 205,
    Blanka_DMG_STD_M_FR_H = 206,
    Blanka_DMG_CRT_STD_M_FR = 207,
    Blanka_DMG_STD_L_FR_L = 208,
    Blanka_DMG_STD_L_FR_M = 209,
    Blanka_DMG_STD_L_FR_H = 210,
    Blanka_DMG_CRT_STD_L_FR = 211,
    Blanka_DMG_CRO_H_FR_L = 212,
    Blanka_DMG_CRO_H_FR_M = 213,
    Blanka_DMG_CRO_H_FR_H = 214,
    Blanka_DMG_CRT_CRO_H_FR = 215,
    Blanka_DMG_CRO_L_FR_L = 216,
    Blanka_DMG_CRO_L_FR_M = 217,
    Blanka_DMG_CRO_L_FR_H = 218,
    Blanka_DMG_CRT_CRO_L_FR = 219,
    Blanka_DMG_AIR_FR_L = 220,
    Blanka_DMG_AIR_FR_M = 221,
    Blanka_DMG_AIR_FR_H = 222,
    Blanka_DMG_STD_BK = 224,
    Blanka_BUTT_RISE_90 = 230,
    Blanka_BUTT_RISE_45 = 231,
    Blanka_BUTT_RISE_00 = 232,
    Blanka_BUTT_RISE_45m = 233,
    Blanka_BUTT_RISE_90m = 234,
    Blanka_BUTT_RISE_BK = 235,
    Blanka_BUTT_RISE_BK_90m = 236,
    Blanka_BUTT_FALL_90 = 237,
    Blanka_BUTT_FALL_45 = 238,
    Blanka_BUTT_FALL_00 = 239,
    Blanka_BUTT_FALL_45m = 240,
    Blanka_BUTT_FALL_90m = 241,
    Blanka_BUTT_FALL_BK = 242,
    Blanka_BUTT_FALL_BK_90m = 243,
    Blanka_BUTT_H_START_90 = 244,
    Blanka_BUTT_H_START_45 = 245,
    Blanka_BUTT_H_START_00 = 246,
    Blanka_BUTT_H_START_45m = 247,
    Blanka_BUTT_H_START_90m = 248,
    Blanka_BUTT_H_START_BK = 249,
    Blanka_BUTT_H_START_BK_90m = 250,
    Blanka_BUTT_B_START_90 = 251,
    Blanka_BUTT_B_START_45 = 252,
    Blanka_BUTT_B_START_00 = 253,
    Blanka_BUTT_B_START_45m = 254,
    Blanka_BUTT_B_START_90m = 255,
    Blanka_BUTT_START_BK = 256,
    Blanka_BUTT_START_BK_90m = 257,
    Blanka_KNOCK_DOWN_BK = 258,
    Blanka_DMG_HL_DOWN = 260,
    Blanka_DMG_HM_DOWN = 261,
    Blanka_DMG_HH_DOWN = 262,
    Blanka_DMG_CL_DOWN = 263,
    Blanka_DMG_CM_DOWN = 264,
    Blanka_DMG_CH_DOWN = 265,
    Blanka_DMG_HL_UPPER = 266,
    Blanka_DMG_HM_UPPER = 267,
    Blanka_DMG_HH_UPPER = 268,
    Blanka_DMG_BL_UPPER = 269,
    Blanka_DMG_BM_UPPER = 270,
    Blanka_DMG_BH_UPPER = 271,
    Blanka_ASHIBARAI = 273,
    Blanka_ASHIBARAI_BACK = 274,
    Blanka_KUZURE = 276,
    Blanka_FLOP_DOWN = 277,
    Blanka_DMG_H_SPIN_GROUND = 279,
    Blanka_DMG_H_SPIN_AIR = 280,
    Blanka_DMG_V_SPIN_GROUND = 281,
    Blanka_DMG_V_SPIN_AIR = 282,
    Blanka_WALL_HIT_FR = 284,
    Blanka_WALL_HIT_BK = 285,
    Blanka_WALL_DOWN_FR = 286,
    Blanka_WALL_DOWN_BK = 287,
    Blanka_DMG_GORO_FR = 289,
    Blanka_DMG_GORO_DOWN_FR = 290,
    Blanka_WALL_GROUND_FR = 291,
    Blanka_WALL_PIYO_STOP = 293,
    Blanka_WALL_PIYO_DOWN = 294,
    Blanka_THROWBREAK_TO = 320,
    Blanka_THROWBREAK_DONE = 321,
    Blanka_GUARD_BREAK_STAND = 322,
    Blanka_GUARD_BREAK_CROUCH = 323,
    Blanka_HARDDOWN_FU = 330,
    Blanka_HARDDOWN_FD = 331,
    Blanka_SLIDEDOWN_FU = 332,
    Blanka_SLIDEDOWN_FU_CMN = 333,
    Blanka_SLIDEDOWN_FD = 334,
    Blanka_SLIDEDOWN_FD_CMN = 335,
    Blanka_LIE_DOWN_FU = 336,
    Blanka_LIE_DOWN_FD = 337,
    Blanka_DOWN_DMG_FU = 338,
    Blanka_DOWN_DMG_FD = 339,
    Blanka_WAKEUP_FU = 340,
    Blanka_WAKEUP_FD = 341,
    Blanka_WAKEUP_F_FU = 342,
    Blanka_WAKEUP_F_FD = 343,
    Blanka_WAKEUP_B_FU = 344,
    Blanka_WAKEUP_B_FD = 345,
    Blanka_BUTT_TAOREN = 346,
    Blanka_AIR_RECOVERY_BK = 347,
    Blanka_BOUND_FU = 350,
    Blanka_BOUND_FD = 351,
    Blanka_STUN = 353,
    Blanka_STUN_END = 354,
    Blanka_KUZURE_DIE = 356,
    Blanka_APPEAR = 400,
    Blanka_APPEAR_END = 401,
    Blanka_APPEAR_ARCADE = 402,
    Blanka_APPEAR_STORY = 403,
    Blanka_LOSE = 405,
    Blanka_MID_LOSE_FU = 407,
    Blanka_MID_LOSE_FD = 408,
    Blanka_DRAW = 410,
    Blanka_RESULT = 412,
    Blanka_WIN = 414,
    Blanka_WIN_STORY = 415,
    Blanka_WIN_PERFECT = 416,
    Blanka_WIN_HI = 417,
    Blanka_WIN_MID = 418,
    Blanka_WIN_LOW = 419,
    Blanka_MINION_ENTRY = 470,
    Blanka_V_TOUCH_ENTRY = 471,
    Blanka_V_TOUCH_STOP = 472,
    Blanka_V_TOUCH_EXIT = 473,
    Blanka_TOUCH_POSE = 474,
    Blanka_TOUCH_JUMP = 475,
    Blanka_TOUCH_SUKI = 476,
    Blanka_TOUCH_NOKI = 477,
    Blanka_ASSIST_SUKI = 478,
    Blanka_PARRY_BGN = 480,
    Blanka_PARRY_LOOP = 481,
    Blanka_PARRY_END = 482,
    Blanka_PARRY_HIT_H = 483,
    Blanka_PARRY_HIT_M = 484,
    Blanka_PARRY_HIT_L = 485,
    Blanka_PARRY_JUST_H = 486,
    Blanka_PARRY_JUST_M = 487,
    Blanka_PARRY_JUST_L = 488,
    Blanka_PARRY_CRO_BGN = 489,
    Blanka_T_FOOTWORK = 510,
    Blanka_T_CROUCH = 511,
    Blanka_T_SIT_DOWN = 512,
    Blanka_T_STAND_UP = 513,
    Blanka_T_TURN_STAND = 514,
    Blanka_T_TURN_CROUCH = 515,
    Blanka_T_WALK_F_BGN = 516,
    Blanka_T_WALK_FORWARD = 517,
    Blanka_T_WALK_F_END = 518,
    Blanka_T_WALK_B_BGN = 519,
    Blanka_T_WALK_BACK = 520,
    Blanka_T_WALK_B_END = 521,
    Blanka_CONTINUE_FU = 530,
    Blanka_CONTINUE_FD = 531,
    Blanka_CONTINUE_SUCCESS = 532,
    Blanka_CONTINUE_FAILURE = 533,
    Blanka_ADV_STAND = 570,
    Blanka_ADV_SIT = 571,
    Blanka_ADV_AIR = 572,
    Blanka_IMM_STAGE_INIT = 580,
    Blanka_IMM_ROUND_INIT = 581,
    Blanka_IMM_DAMAGE_INIT = 582,
    Blanka_IMM_DAMAGE_EXIT = 583,
    Blanka_IMM_TO_NORMAL = 584,
    Blanka_IMM_TOUCH_EXIT = 585,
    Blanka_IMM_TOUCH_ENTRY = 586,
    Blanka_IMM_LANDING = 587,
    Blanka_IMM_HOLD_EXIT = 588,
    Blanka_IMM_FRAME_OUT = 589,
    Blanka_IMM_APPEAR_END = 590,
    Blanka_IMM_RESULT_INIT = 591,
    Blanka_COMMON_END = 599,
}

#[allow(non_camel_case_types)]
#[derive(Default, strum_macros::Display, FromPrimitive, PartialEq, Eq, Clone)]
pub enum JuriActions {
    #[default]
    Juri_INVALID_ID = -1,
    Juri_BACKSTAGE = 0,
    Juri_FOOTWORK = 1,
    Juri_FOOTWORK_IDLE = 2,
    Juri_CROUCH = 4,
    Juri_SIT_DOWN = 5,
    Juri_STAND_UP = 6,
    Juri_TURN_STAND = 7,
    Juri_TURN_CROUCH = 8,
    Juri_WALK_F_BGN = 9,
    Juri_WALK_FORWARD = 10,
    Juri_WALK_F_END = 11,
    Juri_SLIDE_FEET_F = 12,
    Juri_WALK_B_BGN = 13,
    Juri_WALK_BACK = 14,
    Juri_WALK_B_END = 15,
    Juri_SLIDE_FEET_B = 16,
    Juri_DASH_F = 17,
    Juri_DASH_B = 18,
    Juri_DASH_F_END = 19,
    Juri_DASH_B_END = 20,
    Juri_RUN_F_BGN = 21,
    Juri_RUN_F = 22,
    Juri_RUN_F_END = 23,
    Juri_RUN_B_BGN = 24,
    Juri_RUN_B = 25,
    Juri_RUN_B_END = 26,
    Juri_DUCK_WALK_F_BGN = 27,
    Juri_DUCK_WALK_F = 28,
    Juri_DUCK_WALK_F_END = 29,
    Juri_DUCK_WALK_B_BGN = 30,
    Juri_DUCK_WALK_B = 31,
    Juri_DUCK_WALK_B_END = 32,
    Juri_JUMP_V_BGN = 33,
    Juri_JUMP_F_BGN = 34,
    Juri_JUMP_B_BGN = 35,
    Juri_JUMP_V = 36,
    Juri_JUMP_F = 37,
    Juri_JUMP_B = 38,
    Juri_JUMP_V_END = 39,
    Juri_JUMP_F_END = 40,
    Juri_JUMP_B_END = 41,
    Juri_JUMP_ATK_END = 42,
    Juri_W_JUMP_V = 44,
    Juri_W_JUMP_F = 45,
    Juri_W_JUMP_B = 46,
    Juri_T_JUMP_WALL = 47,
    Juri_T_JUMP = 48,
    Juri_L_JUMP_V_BGN = 54,
    Juri_L_JUMP_F_BGN = 55,
    Juri_L_JUMP_B_BGN = 56,
    Juri_L_JUMP_V = 57,
    Juri_L_JUMP_F = 58,
    Juri_L_JUMP_B = 59,
    Juri_H_JUMP_V_BGN = 60,
    Juri_H_JUMP_F_BGN = 61,
    Juri_H_JUMP_B_BGN = 62,
    Juri_H_JUMP_V = 63,
    Juri_H_JUMP_F = 64,
    Juri_H_JUMP_B = 65,
    Juri_FLY_BGN = 66,
    Juri_FLY_END = 67,
    Juri_FLY_BASE = 68,
    Juri_FLY_UU = 69,
    Juri_FLY_BU = 70,
    Juri_FLY_BB = 71,
    Juri_FLY_BD = 72,
    Juri_FLY_DD = 73,
    Juri_FLY_FD = 74,
    Juri_FLY_FF = 75,
    Juri_FLY_FU = 76,
    Juri_FLY_UU_END = 77,
    Juri_FLY_BU_END = 78,
    Juri_FLY_BB_END = 79,
    Juri_FLY_BD_END = 80,
    Juri_FLY_DD_END = 81,
    Juri_FLY_FD_END = 82,
    Juri_FLY_FF_END = 83,
    Juri_FLY_FU_END = 84,
    Juri_AIR_DASH_U = 85,
    Juri_AIR_DASH_BU = 86,
    Juri_AIR_DASH_B = 87,
    Juri_AIR_DASH_BD = 88,
    Juri_AIR_DASH_D = 89,
    Juri_AIR_DASH_FD = 90,
    Juri_AIR_DASH_F = 91,
    Juri_AIR_DASH_FU = 92,
    Juri_FALL_V = 93,
    Juri_GRD_STAND_H_BGN = 100,
    Juri_GRD_STAND_H = 101,
    Juri_GRD_STAND_H_END = 102,
    Juri_GRD_STAND_H_DM_L = 103,
    Juri_GRD_STAND_H_DM_M = 104,
    Juri_GRD_STAND_H_DM_H = 105,
    Juri_GRD_STAND_H_DM_S = 106,
    Juri_GRD_STAND_M_BGN = 107,
    Juri_GRD_STAND_M = 108,
    Juri_GRD_STAND_M_END = 109,
    Juri_GRD_STAND_M_DM_L = 110,
    Juri_GRD_STAND_M_DM_M = 111,
    Juri_GRD_STAND_M_DM_H = 112,
    Juri_GRD_STAND_M_DM_S = 113,
    Juri_GRD_STAND_L_BGN = 114,
    Juri_GRD_STAND_L = 115,
    Juri_GRD_STAND_L_END = 116,
    Juri_GRD_STAND_L_DM_L = 117,
    Juri_GRD_STAND_L_DM_M = 118,
    Juri_GRD_STAND_L_DM_H = 119,
    Juri_GRD_STAND_L_DM_S = 120,
    Juri_GRD_CROUCH_H_BGN = 121,
    Juri_GRD_CROUCH_H = 122,
    Juri_GRD_CROUCH_H_END = 123,
    Juri_GRD_CROUCH_H_DM_L = 124,
    Juri_GRD_CROUCH_H_DM_M = 125,
    Juri_GRD_CROUCH_H_DM_H = 126,
    Juri_GRD_CROUCH_H_DM_S = 127,
    Juri_GRD_CROUCH_L_BGN = 128,
    Juri_GRD_CROUCH_L = 129,
    Juri_GRD_CROUCH_L_END = 130,
    Juri_GRD_CROUCH_L_DM_L = 131,
    Juri_GRD_CROUCH_L_DM_M = 132,
    Juri_GRD_CROUCH_L_DM_H = 133,
    Juri_GRD_CROUCH_L_DM_S = 134,
    Juri_GRD_AIR_BGN = 135,
    Juri_GRD_AIR = 136,
    Juri_GRD_AIR_END = 137,
    Juri_GRD_AIR_DM_L = 138,
    Juri_GRD_AIR_DM_M = 139,
    Juri_GRD_AIR_DM_H = 140,
    Juri_GRD_AIR_DM_S = 141,
    Juri_GRD_ZUSA_STAND = 143,
    Juri_GRD_ZUSA_CROUCH = 144,
    Juri_GRD_ZUSA_WALL = 145,
    Juri_DGD_STAND_H_BGN = 150,
    Juri_DGD_STAND_H = 151,
    Juri_DGD_STAND_H_END = 152,
    Juri_DGD_STAND_H_DM_L = 153,
    Juri_DGD_STAND_H_DM_M = 154,
    Juri_DGD_STAND_H_DM_H = 155,
    Juri_DGD_STAND_H_DM_S = 156,
    Juri_DGD_STAND_M_BGN = 157,
    Juri_DGD_STAND_M = 158,
    Juri_DGD_STAND_M_END = 159,
    Juri_DGD_STAND_M_DM_L = 160,
    Juri_DGD_STAND_M_DM_M = 161,
    Juri_DGD_STAND_M_DM_H = 162,
    Juri_DGD_STAND_M_DM_S = 163,
    Juri_DGD_STAND_L_BGN = 164,
    Juri_DGD_STAND_L = 165,
    Juri_DGD_STAND_L_END = 166,
    Juri_DGD_STAND_L_DM_L = 167,
    Juri_DGD_STAND_L_DM_M = 168,
    Juri_DGD_STAND_L_DM_H = 169,
    Juri_DGD_STAND_L_DM_S = 170,
    Juri_DGD_CROUCH_H_BGN = 171,
    Juri_DGD_CROUCH_H = 172,
    Juri_DGD_CROUCH_H_END = 173,
    Juri_DGD_CROUCH_H_DM_L = 174,
    Juri_DGD_CROUCH_H_DM_M = 175,
    Juri_DGD_CROUCH_H_DM_H = 176,
    Juri_DGD_CROUCH_H_DM_S = 177,
    Juri_DGD_CROUCH_L_BGN = 178,
    Juri_DGD_CROUCH_L = 179,
    Juri_DGD_CROUCH_L_END = 180,
    Juri_DGD_CROUCH_L_DM_L = 181,
    Juri_DGD_CROUCH_L_DM_M = 182,
    Juri_DGD_CROUCH_L_DM_H = 183,
    Juri_DGD_CROUCH_L_DM_S = 184,
    Juri_DGD_AIR_BGN = 185,
    Juri_DGD_AIR = 186,
    Juri_DGD_AIR_END = 187,
    Juri_DGD_AIR_DM_L = 188,
    Juri_DGD_AIR_DM_M = 189,
    Juri_DGD_AIR_DM_H = 190,
    Juri_DGD_AIR_DM_S = 191,
    Juri_DMG_STD_H_FR_L = 200,
    Juri_DMG_STD_H_FR_M = 201,
    Juri_DMG_STD_H_FR_H = 202,
    Juri_DMG_CRT_STD_H_FR = 203,
    Juri_DMG_STD_M_FR_L = 204,
    Juri_DMG_STD_M_FR_M = 205,
    Juri_DMG_STD_M_FR_H = 206,
    Juri_DMG_CRT_STD_M_FR = 207,
    Juri_DMG_STD_L_FR_L = 208,
    Juri_DMG_STD_L_FR_M = 209,
    Juri_DMG_STD_L_FR_H = 210,
    Juri_DMG_CRT_STD_L_FR = 211,
    Juri_DMG_CRO_H_FR_L = 212,
    Juri_DMG_CRO_H_FR_M = 213,
    Juri_DMG_CRO_H_FR_H = 214,
    Juri_DMG_CRT_CRO_H_FR = 215,
    Juri_DMG_CRO_L_FR_L = 216,
    Juri_DMG_CRO_L_FR_M = 217,
    Juri_DMG_CRO_L_FR_H = 218,
    Juri_DMG_CRT_CRO_L_FR = 219,
    Juri_DMG_AIR_FR_L = 220,
    Juri_DMG_AIR_FR_M = 221,
    Juri_DMG_AIR_FR_H = 222,
    Juri_DMG_STD_BK = 224,
    Juri_BUTT_RISE_90 = 230,
    Juri_BUTT_RISE_45 = 231,
    Juri_BUTT_RISE_00 = 232,
    Juri_BUTT_RISE_45m = 233,
    Juri_BUTT_RISE_90m = 234,
    Juri_BUTT_RISE_BK = 235,
    Juri_BUTT_RISE_BK_90m = 236,
    Juri_BUTT_FALL_90 = 237,
    Juri_BUTT_FALL_45 = 238,
    Juri_BUTT_FALL_00 = 239,
    Juri_BUTT_FALL_45m = 240,
    Juri_BUTT_FALL_90m = 241,
    Juri_BUTT_FALL_BK = 242,
    Juri_BUTT_FALL_BK_90m = 243,
    Juri_BUTT_H_START_90 = 244,
    Juri_BUTT_H_START_45 = 245,
    Juri_BUTT_H_START_00 = 246,
    Juri_BUTT_H_START_45m = 247,
    Juri_BUTT_H_START_90m = 248,
    Juri_BUTT_H_START_BK = 249,
    Juri_BUTT_H_START_BK_90m = 250,
    Juri_BUTT_B_START_90 = 251,
    Juri_BUTT_B_START_45 = 252,
    Juri_BUTT_B_START_00 = 253,
    Juri_BUTT_B_START_45m = 254,
    Juri_BUTT_B_START_90m = 255,
    Juri_BUTT_START_BK = 256,
    Juri_BUTT_START_BK_90m = 257,
    Juri_KNOCK_DOWN_BK = 258,
    Juri_DMG_HL_DOWN = 260,
    Juri_DMG_HM_DOWN = 261,
    Juri_DMG_HH_DOWN = 262,
    Juri_DMG_CL_DOWN = 263,
    Juri_DMG_CM_DOWN = 264,
    Juri_DMG_CH_DOWN = 265,
    Juri_DMG_HL_UPPER = 266,
    Juri_DMG_HM_UPPER = 267,
    Juri_DMG_HH_UPPER = 268,
    Juri_DMG_BL_UPPER = 269,
    Juri_DMG_BM_UPPER = 270,
    Juri_DMG_BH_UPPER = 271,
    Juri_ASHIBARAI = 273,
    Juri_ASHIBARAI_BACK = 274,
    Juri_KUZURE = 276,
    Juri_FLOP_DOWN = 277,
    Juri_DMG_H_SPIN_GROUND = 279,
    Juri_DMG_H_SPIN_AIR = 280,
    Juri_DMG_V_SPIN_GROUND = 281,
    Juri_DMG_V_SPIN_AIR = 282,
    Juri_WALL_HIT_FR = 284,
    Juri_WALL_HIT_BK = 285,
    Juri_WALL_DOWN_FR = 286,
    Juri_WALL_DOWN_BK = 287,
    Juri_DMG_GORO_FR = 289,
    Juri_DMG_GORO_DOWN_FR = 290,
    Juri_WALL_GROUND_FR = 291,
    Juri_WALL_PIYO_STOP = 293,
    Juri_WALL_PIYO_DOWN = 294,
    Juri_THROWBREAK_TO = 320,
    Juri_THROWBREAK_DONE = 321,
    Juri_GUARD_BREAK_STAND = 322,
    Juri_GUARD_BREAK_CROUCH = 323,
    Juri_HARDDOWN_FU = 330,
    Juri_HARDDOWN_FD = 331,
    Juri_SLIDEDOWN_FU = 332,
    Juri_SLIDEDOWN_FU_CMN = 333,
    Juri_SLIDEDOWN_FD = 334,
    Juri_SLIDEDOWN_FD_CMN = 335,
    Juri_LIE_DOWN_FU = 336,
    Juri_LIE_DOWN_FD = 337,
    Juri_DOWN_DMG_FU = 338,
    Juri_DOWN_DMG_FD = 339,
    Juri_WAKEUP_FU = 340,
    Juri_WAKEUP_FD = 341,
    Juri_WAKEUP_F_FU = 342,
    Juri_WAKEUP_F_FD = 343,
    Juri_WAKEUP_B_FU = 344,
    Juri_WAKEUP_B_FD = 345,
    Juri_BUTT_TAOREN = 346,
    Juri_AIR_RECOVERY_BK = 347,
    Juri_BOUND_FU = 350,
    Juri_BOUND_FD = 351,
    Juri_STUN = 353,
    Juri_STUN_END = 354,
    Juri_KUZURE_DIE = 356,
    Juri_APPEAR = 400,
    Juri_APPEAR_END = 401,
    Juri_APPEAR_ARCADE = 402,
    Juri_APPEAR_STORY = 403,
    Juri_LOSE = 405,
    Juri_MID_LOSE_FU = 407,
    Juri_MID_LOSE_FD = 408,
    Juri_DRAW = 410,
    Juri_RESULT = 412,
    Juri_WIN = 414,
    Juri_WIN_STORY = 415,
    Juri_WIN_PERFECT = 416,
    Juri_WIN_HI = 417,
    Juri_WIN_MID = 418,
    Juri_WIN_LOW = 419,
    Juri_MINION_ENTRY = 470,
    Juri_V_TOUCH_ENTRY = 471,
    Juri_V_TOUCH_STOP = 472,
    Juri_V_TOUCH_EXIT = 473,
    Juri_TOUCH_POSE = 474,
    Juri_TOUCH_JUMP = 475,
    Juri_TOUCH_SUKI = 476,
    Juri_TOUCH_NOKI = 477,
    Juri_ASSIST_SUKI = 478,
    Juri_PARRY_BGN = 480,
    Juri_PARRY_LOOP = 481,
    Juri_PARRY_END = 482,
    Juri_PARRY_HIT_H = 483,
    Juri_PARRY_HIT_M = 484,
    Juri_PARRY_HIT_L = 485,
    Juri_PARRY_JUST_H = 486,
    Juri_PARRY_JUST_M = 487,
    Juri_PARRY_JUST_L = 488,
    Juri_PARRY_CRO_BGN = 489,
    Juri_T_FOOTWORK = 510,
    Juri_T_CROUCH = 511,
    Juri_T_SIT_DOWN = 512,
    Juri_T_STAND_UP = 513,
    Juri_T_TURN_STAND = 514,
    Juri_T_TURN_CROUCH = 515,
    Juri_T_WALK_F_BGN = 516,
    Juri_T_WALK_FORWARD = 517,
    Juri_T_WALK_F_END = 518,
    Juri_T_WALK_B_BGN = 519,
    Juri_T_WALK_BACK = 520,
    Juri_T_WALK_B_END = 521,
    Juri_CONTINUE_FU = 530,
    Juri_CONTINUE_FD = 531,
    Juri_CONTINUE_SUCCESS = 532,
    Juri_CONTINUE_FAILURE = 533,
    Juri_ADV_STAND = 570,
    Juri_ADV_SIT = 571,
    Juri_ADV_AIR = 572,
    Juri_IMM_STAGE_INIT = 580,
    Juri_IMM_ROUND_INIT = 581,
    Juri_IMM_DAMAGE_INIT = 582,
    Juri_IMM_DAMAGE_EXIT = 583,
    Juri_IMM_TO_NORMAL = 584,
    Juri_IMM_TOUCH_EXIT = 585,
    Juri_IMM_TOUCH_ENTRY = 586,
    Juri_IMM_LANDING = 587,
    Juri_IMM_HOLD_EXIT = 588,
    Juri_IMM_FRAME_OUT = 589,
    Juri_IMM_APPEAR_END = 590,
    Juri_IMM_RESULT_INIT = 591,
    Juri_COMMON_END = 599,
}

#[allow(non_camel_case_types)]
#[derive(Default, strum_macros::Display, FromPrimitive, PartialEq, Eq, Clone)]
pub enum MarisaActions {
    #[default]
    Marisa_INVALID_ID = -1,
    Marisa_BACKSTAGE = 0,
    Marisa_FOOTWORK = 1,
    Marisa_FOOTWORK_IDLE = 2,
    Marisa_CROUCH = 4,
    Marisa_SIT_DOWN = 5,
    Marisa_STAND_UP = 6,
    Marisa_TURN_STAND = 7,
    Marisa_TURN_CROUCH = 8,
    Marisa_WALK_F_BGN = 9,
    Marisa_WALK_FORWARD = 10,
    Marisa_WALK_F_END = 11,
    Marisa_SLIDE_FEET_F = 12,
    Marisa_WALK_B_BGN = 13,
    Marisa_WALK_BACK = 14,
    Marisa_WALK_B_END = 15,
    Marisa_SLIDE_FEET_B = 16,
    Marisa_DASH_F = 17,
    Marisa_DASH_B = 18,
    Marisa_DASH_F_END = 19,
    Marisa_DASH_B_END = 20,
    Marisa_RUN_F_BGN = 21,
    Marisa_RUN_F = 22,
    Marisa_RUN_F_END = 23,
    Marisa_RUN_B_BGN = 24,
    Marisa_RUN_B = 25,
    Marisa_RUN_B_END = 26,
    Marisa_DUCK_WALK_F_BGN = 27,
    Marisa_DUCK_WALK_F = 28,
    Marisa_DUCK_WALK_F_END = 29,
    Marisa_DUCK_WALK_B_BGN = 30,
    Marisa_DUCK_WALK_B = 31,
    Marisa_DUCK_WALK_B_END = 32,
    Marisa_JUMP_V_BGN = 33,
    Marisa_JUMP_F_BGN = 34,
    Marisa_JUMP_B_BGN = 35,
    Marisa_JUMP_V = 36,
    Marisa_JUMP_F = 37,
    Marisa_JUMP_B = 38,
    Marisa_JUMP_V_END = 39,
    Marisa_JUMP_F_END = 40,
    Marisa_JUMP_B_END = 41,
    Marisa_JUMP_ATK_END = 42,
    Marisa_W_JUMP_V = 44,
    Marisa_W_JUMP_F = 45,
    Marisa_W_JUMP_B = 46,
    Marisa_T_JUMP_WALL = 47,
    Marisa_T_JUMP = 48,
    Marisa_L_JUMP_V_BGN = 54,
    Marisa_L_JUMP_F_BGN = 55,
    Marisa_L_JUMP_B_BGN = 56,
    Marisa_L_JUMP_V = 57,
    Marisa_L_JUMP_F = 58,
    Marisa_L_JUMP_B = 59,
    Marisa_H_JUMP_V_BGN = 60,
    Marisa_H_JUMP_F_BGN = 61,
    Marisa_H_JUMP_B_BGN = 62,
    Marisa_H_JUMP_V = 63,
    Marisa_H_JUMP_F = 64,
    Marisa_H_JUMP_B = 65,
    Marisa_FLY_BGN = 66,
    Marisa_FLY_END = 67,
    Marisa_FLY_BASE = 68,
    Marisa_FLY_UU = 69,
    Marisa_FLY_BU = 70,
    Marisa_FLY_BB = 71,
    Marisa_FLY_BD = 72,
    Marisa_FLY_DD = 73,
    Marisa_FLY_FD = 74,
    Marisa_FLY_FF = 75,
    Marisa_FLY_FU = 76,
    Marisa_FLY_UU_END = 77,
    Marisa_FLY_BU_END = 78,
    Marisa_FLY_BB_END = 79,
    Marisa_FLY_BD_END = 80,
    Marisa_FLY_DD_END = 81,
    Marisa_FLY_FD_END = 82,
    Marisa_FLY_FF_END = 83,
    Marisa_FLY_FU_END = 84,
    Marisa_AIR_DASH_U = 85,
    Marisa_AIR_DASH_BU = 86,
    Marisa_AIR_DASH_B = 87,
    Marisa_AIR_DASH_BD = 88,
    Marisa_AIR_DASH_D = 89,
    Marisa_AIR_DASH_FD = 90,
    Marisa_AIR_DASH_F = 91,
    Marisa_AIR_DASH_FU = 92,
    Marisa_FALL_V = 93,
    Marisa_GRD_STAND_H_BGN = 100,
    Marisa_GRD_STAND_H = 101,
    Marisa_GRD_STAND_H_END = 102,
    Marisa_GRD_STAND_H_DM_L = 103,
    Marisa_GRD_STAND_H_DM_M = 104,
    Marisa_GRD_STAND_H_DM_H = 105,
    Marisa_GRD_STAND_H_DM_S = 106,
    Marisa_GRD_STAND_M_BGN = 107,
    Marisa_GRD_STAND_M = 108,
    Marisa_GRD_STAND_M_END = 109,
    Marisa_GRD_STAND_M_DM_L = 110,
    Marisa_GRD_STAND_M_DM_M = 111,
    Marisa_GRD_STAND_M_DM_H = 112,
    Marisa_GRD_STAND_M_DM_S = 113,
    Marisa_GRD_STAND_L_BGN = 114,
    Marisa_GRD_STAND_L = 115,
    Marisa_GRD_STAND_L_END = 116,
    Marisa_GRD_STAND_L_DM_L = 117,
    Marisa_GRD_STAND_L_DM_M = 118,
    Marisa_GRD_STAND_L_DM_H = 119,
    Marisa_GRD_STAND_L_DM_S = 120,
    Marisa_GRD_CROUCH_H_BGN = 121,
    Marisa_GRD_CROUCH_H = 122,
    Marisa_GRD_CROUCH_H_END = 123,
    Marisa_GRD_CROUCH_H_DM_L = 124,
    Marisa_GRD_CROUCH_H_DM_M = 125,
    Marisa_GRD_CROUCH_H_DM_H = 126,
    Marisa_GRD_CROUCH_H_DM_S = 127,
    Marisa_GRD_CROUCH_L_BGN = 128,
    Marisa_GRD_CROUCH_L = 129,
    Marisa_GRD_CROUCH_L_END = 130,
    Marisa_GRD_CROUCH_L_DM_L = 131,
    Marisa_GRD_CROUCH_L_DM_M = 132,
    Marisa_GRD_CROUCH_L_DM_H = 133,
    Marisa_GRD_CROUCH_L_DM_S = 134,
    Marisa_GRD_AIR_BGN = 135,
    Marisa_GRD_AIR = 136,
    Marisa_GRD_AIR_END = 137,
    Marisa_GRD_AIR_DM_L = 138,
    Marisa_GRD_AIR_DM_M = 139,
    Marisa_GRD_AIR_DM_H = 140,
    Marisa_GRD_AIR_DM_S = 141,
    Marisa_GRD_ZUSA_STAND = 143,
    Marisa_GRD_ZUSA_CROUCH = 144,
    Marisa_GRD_ZUSA_WALL = 145,
    Marisa_DGD_STAND_H_BGN = 150,
    Marisa_DGD_STAND_H = 151,
    Marisa_DGD_STAND_H_END = 152,
    Marisa_DGD_STAND_H_DM_L = 153,
    Marisa_DGD_STAND_H_DM_M = 154,
    Marisa_DGD_STAND_H_DM_H = 155,
    Marisa_DGD_STAND_H_DM_S = 156,
    Marisa_DGD_STAND_M_BGN = 157,
    Marisa_DGD_STAND_M = 158,
    Marisa_DGD_STAND_M_END = 159,
    Marisa_DGD_STAND_M_DM_L = 160,
    Marisa_DGD_STAND_M_DM_M = 161,
    Marisa_DGD_STAND_M_DM_H = 162,
    Marisa_DGD_STAND_M_DM_S = 163,
    Marisa_DGD_STAND_L_BGN = 164,
    Marisa_DGD_STAND_L = 165,
    Marisa_DGD_STAND_L_END = 166,
    Marisa_DGD_STAND_L_DM_L = 167,
    Marisa_DGD_STAND_L_DM_M = 168,
    Marisa_DGD_STAND_L_DM_H = 169,
    Marisa_DGD_STAND_L_DM_S = 170,
    Marisa_DGD_CROUCH_H_BGN = 171,
    Marisa_DGD_CROUCH_H = 172,
    Marisa_DGD_CROUCH_H_END = 173,
    Marisa_DGD_CROUCH_H_DM_L = 174,
    Marisa_DGD_CROUCH_H_DM_M = 175,
    Marisa_DGD_CROUCH_H_DM_H = 176,
    Marisa_DGD_CROUCH_H_DM_S = 177,
    Marisa_DGD_CROUCH_L_BGN = 178,
    Marisa_DGD_CROUCH_L = 179,
    Marisa_DGD_CROUCH_L_END = 180,
    Marisa_DGD_CROUCH_L_DM_L = 181,
    Marisa_DGD_CROUCH_L_DM_M = 182,
    Marisa_DGD_CROUCH_L_DM_H = 183,
    Marisa_DGD_CROUCH_L_DM_S = 184,
    Marisa_DGD_AIR_BGN = 185,
    Marisa_DGD_AIR = 186,
    Marisa_DGD_AIR_END = 187,
    Marisa_DGD_AIR_DM_L = 188,
    Marisa_DGD_AIR_DM_M = 189,
    Marisa_DGD_AIR_DM_H = 190,
    Marisa_DGD_AIR_DM_S = 191,
    Marisa_DMG_STD_H_FR_L = 200,
    Marisa_DMG_STD_H_FR_M = 201,
    Marisa_DMG_STD_H_FR_H = 202,
    Marisa_DMG_CRT_STD_H_FR = 203,
    Marisa_DMG_STD_M_FR_L = 204,
    Marisa_DMG_STD_M_FR_M = 205,
    Marisa_DMG_STD_M_FR_H = 206,
    Marisa_DMG_CRT_STD_M_FR = 207,
    Marisa_DMG_STD_L_FR_L = 208,
    Marisa_DMG_STD_L_FR_M = 209,
    Marisa_DMG_STD_L_FR_H = 210,
    Marisa_DMG_CRT_STD_L_FR = 211,
    Marisa_DMG_CRO_H_FR_L = 212,
    Marisa_DMG_CRO_H_FR_M = 213,
    Marisa_DMG_CRO_H_FR_H = 214,
    Marisa_DMG_CRT_CRO_H_FR = 215,
    Marisa_DMG_CRO_L_FR_L = 216,
    Marisa_DMG_CRO_L_FR_M = 217,
    Marisa_DMG_CRO_L_FR_H = 218,
    Marisa_DMG_CRT_CRO_L_FR = 219,
    Marisa_DMG_AIR_FR_L = 220,
    Marisa_DMG_AIR_FR_M = 221,
    Marisa_DMG_AIR_FR_H = 222,
    Marisa_DMG_STD_BK = 224,
    Marisa_BUTT_RISE_90 = 230,
    Marisa_BUTT_RISE_45 = 231,
    Marisa_BUTT_RISE_00 = 232,
    Marisa_BUTT_RISE_45m = 233,
    Marisa_BUTT_RISE_90m = 234,
    Marisa_BUTT_RISE_BK = 235,
    Marisa_BUTT_RISE_BK_90m = 236,
    Marisa_BUTT_FALL_90 = 237,
    Marisa_BUTT_FALL_45 = 238,
    Marisa_BUTT_FALL_00 = 239,
    Marisa_BUTT_FALL_45m = 240,
    Marisa_BUTT_FALL_90m = 241,
    Marisa_BUTT_FALL_BK = 242,
    Marisa_BUTT_FALL_BK_90m = 243,
    Marisa_BUTT_H_START_90 = 244,
    Marisa_BUTT_H_START_45 = 245,
    Marisa_BUTT_H_START_00 = 246,
    Marisa_BUTT_H_START_45m = 247,
    Marisa_BUTT_H_START_90m = 248,
    Marisa_BUTT_H_START_BK = 249,
    Marisa_BUTT_H_START_BK_90m = 250,
    Marisa_BUTT_B_START_90 = 251,
    Marisa_BUTT_B_START_45 = 252,
    Marisa_BUTT_B_START_00 = 253,
    Marisa_BUTT_B_START_45m = 254,
    Marisa_BUTT_B_START_90m = 255,
    Marisa_BUTT_START_BK = 256,
    Marisa_BUTT_START_BK_90m = 257,
    Marisa_KNOCK_DOWN_BK = 258,
    Marisa_DMG_HL_DOWN = 260,
    Marisa_DMG_HM_DOWN = 261,
    Marisa_DMG_HH_DOWN = 262,
    Marisa_DMG_CL_DOWN = 263,
    Marisa_DMG_CM_DOWN = 264,
    Marisa_DMG_CH_DOWN = 265,
    Marisa_DMG_HL_UPPER = 266,
    Marisa_DMG_HM_UPPER = 267,
    Marisa_DMG_HH_UPPER = 268,
    Marisa_DMG_BL_UPPER = 269,
    Marisa_DMG_BM_UPPER = 270,
    Marisa_DMG_BH_UPPER = 271,
    Marisa_ASHIBARAI = 273,
    Marisa_ASHIBARAI_BACK = 274,
    Marisa_KUZURE = 276,
    Marisa_FLOP_DOWN = 277,
    Marisa_DMG_H_SPIN_GROUND = 279,
    Marisa_DMG_H_SPIN_AIR = 280,
    Marisa_DMG_V_SPIN_GROUND = 281,
    Marisa_DMG_V_SPIN_AIR = 282,
    Marisa_WALL_HIT_FR = 284,
    Marisa_WALL_HIT_BK = 285,
    Marisa_WALL_DOWN_FR = 286,
    Marisa_WALL_DOWN_BK = 287,
    Marisa_DMG_GORO_FR = 289,
    Marisa_DMG_GORO_DOWN_FR = 290,
    Marisa_WALL_GROUND_FR = 291,
    Marisa_WALL_PIYO_STOP = 293,
    Marisa_WALL_PIYO_DOWN = 294,
    Marisa_THROWBREAK_TO = 320,
    Marisa_THROWBREAK_DONE = 321,
    Marisa_GUARD_BREAK_STAND = 322,
    Marisa_GUARD_BREAK_CROUCH = 323,
    Marisa_HARDDOWN_FU = 330,
    Marisa_HARDDOWN_FD = 331,
    Marisa_SLIDEDOWN_FU = 332,
    Marisa_SLIDEDOWN_FU_CMN = 333,
    Marisa_SLIDEDOWN_FD = 334,
    Marisa_SLIDEDOWN_FD_CMN = 335,
    Marisa_LIE_DOWN_FU = 336,
    Marisa_LIE_DOWN_FD = 337,
    Marisa_DOWN_DMG_FU = 338,
    Marisa_DOWN_DMG_FD = 339,
    Marisa_WAKEUP_FU = 340,
    Marisa_WAKEUP_FD = 341,
    Marisa_WAKEUP_F_FU = 342,
    Marisa_WAKEUP_F_FD = 343,
    Marisa_WAKEUP_B_FU = 344,
    Marisa_WAKEUP_B_FD = 345,
    Marisa_BUTT_TAOREN = 346,
    Marisa_AIR_RECOVERY_BK = 347,
    Marisa_BOUND_FU = 350,
    Marisa_BOUND_FD = 351,
    Marisa_STUN = 353,
    Marisa_STUN_END = 354,
    Marisa_KUZURE_DIE = 356,
    Marisa_APPEAR = 400,
    Marisa_APPEAR_END = 401,
    Marisa_APPEAR_ARCADE = 402,
    Marisa_APPEAR_STORY = 403,
    Marisa_LOSE = 405,
    Marisa_MID_LOSE_FU = 407,
    Marisa_MID_LOSE_FD = 408,
    Marisa_DRAW = 410,
    Marisa_RESULT = 412,
    Marisa_WIN = 414,
    Marisa_WIN_STORY = 415,
    Marisa_WIN_PERFECT = 416,
    Marisa_WIN_HI = 417,
    Marisa_WIN_MID = 418,
    Marisa_WIN_LOW = 419,
    Marisa_MINION_ENTRY = 470,
    Marisa_V_TOUCH_ENTRY = 471,
    Marisa_V_TOUCH_STOP = 472,
    Marisa_V_TOUCH_EXIT = 473,
    Marisa_TOUCH_POSE = 474,
    Marisa_TOUCH_JUMP = 475,
    Marisa_TOUCH_SUKI = 476,
    Marisa_TOUCH_NOKI = 477,
    Marisa_ASSIST_SUKI = 478,
    Marisa_PARRY_BGN = 480,
    Marisa_PARRY_LOOP = 481,
    Marisa_PARRY_END = 482,
    Marisa_PARRY_HIT_H = 483,
    Marisa_PARRY_HIT_M = 484,
    Marisa_PARRY_HIT_L = 485,
    Marisa_PARRY_JUST_H = 486,
    Marisa_PARRY_JUST_M = 487,
    Marisa_PARRY_JUST_L = 488,
    Marisa_PARRY_CRO_BGN = 489,
    Marisa_T_FOOTWORK = 510,
    Marisa_T_CROUCH = 511,
    Marisa_T_SIT_DOWN = 512,
    Marisa_T_STAND_UP = 513,
    Marisa_T_TURN_STAND = 514,
    Marisa_T_TURN_CROUCH = 515,
    Marisa_T_WALK_F_BGN = 516,
    Marisa_T_WALK_FORWARD = 517,
    Marisa_T_WALK_F_END = 518,
    Marisa_T_WALK_B_BGN = 519,
    Marisa_T_WALK_BACK = 520,
    Marisa_T_WALK_B_END = 521,
    Marisa_CONTINUE_FU = 530,
    Marisa_CONTINUE_FD = 531,
    Marisa_CONTINUE_SUCCESS = 532,
    Marisa_CONTINUE_FAILURE = 533,
    Marisa_ADV_STAND = 570,
    Marisa_ADV_SIT = 571,
    Marisa_ADV_AIR = 572,
    Marisa_IMM_STAGE_INIT = 580,
    Marisa_IMM_ROUND_INIT = 581,
    Marisa_IMM_DAMAGE_INIT = 582,
    Marisa_IMM_DAMAGE_EXIT = 583,
    Marisa_IMM_TO_NORMAL = 584,
    Marisa_IMM_TOUCH_EXIT = 585,
    Marisa_IMM_TOUCH_ENTRY = 586,
    Marisa_IMM_LANDING = 587,
    Marisa_IMM_HOLD_EXIT = 588,
    Marisa_IMM_FRAME_OUT = 589,
    Marisa_IMM_APPEAR_END = 590,
    Marisa_IMM_RESULT_INIT = 591,
    Marisa_COMMON_END = 599,
}

#[allow(non_camel_case_types)]
#[derive(Default, strum_macros::Display, FromPrimitive, PartialEq, Eq, Clone)]
pub enum GuileActions {
    #[default]
    Guile_INVALID_ID = -1,
    Guile_BACKSTAGE = 0,
    Guile_FOOTWORK = 1,
    Guile_FOOTWORK_IDLE = 2,
    Guile_CROUCH = 4,
    Guile_SIT_DOWN = 5,
    Guile_STAND_UP = 6,
    Guile_TURN_STAND = 7,
    Guile_TURN_CROUCH = 8,
    Guile_WALK_F_BGN = 9,
    Guile_WALK_FORWARD = 10,
    Guile_WALK_F_END = 11,
    Guile_SLIDE_FEET_F = 12,
    Guile_WALK_B_BGN = 13,
    Guile_WALK_BACK = 14,
    Guile_WALK_B_END = 15,
    Guile_SLIDE_FEET_B = 16,
    Guile_DASH_F = 17,
    Guile_DASH_B = 18,
    Guile_DASH_F_END = 19,
    Guile_DASH_B_END = 20,
    Guile_RUN_F_BGN = 21,
    Guile_RUN_F = 22,
    Guile_RUN_F_END = 23,
    Guile_RUN_B_BGN = 24,
    Guile_RUN_B = 25,
    Guile_RUN_B_END = 26,
    Guile_DUCK_WALK_F_BGN = 27,
    Guile_DUCK_WALK_F = 28,
    Guile_DUCK_WALK_F_END = 29,
    Guile_DUCK_WALK_B_BGN = 30,
    Guile_DUCK_WALK_B = 31,
    Guile_DUCK_WALK_B_END = 32,
    Guile_JUMP_V_BGN = 33,
    Guile_JUMP_F_BGN = 34,
    Guile_JUMP_B_BGN = 35,
    Guile_JUMP_V = 36,
    Guile_JUMP_F = 37,
    Guile_JUMP_B = 38,
    Guile_JUMP_V_END = 39,
    Guile_JUMP_F_END = 40,
    Guile_JUMP_B_END = 41,
    Guile_JUMP_ATK_END = 42,
    Guile_W_JUMP_V = 44,
    Guile_W_JUMP_F = 45,
    Guile_W_JUMP_B = 46,
    Guile_T_JUMP_WALL = 47,
    Guile_T_JUMP = 48,
    Guile_L_JUMP_V_BGN = 54,
    Guile_L_JUMP_F_BGN = 55,
    Guile_L_JUMP_B_BGN = 56,
    Guile_L_JUMP_V = 57,
    Guile_L_JUMP_F = 58,
    Guile_L_JUMP_B = 59,
    Guile_H_JUMP_V_BGN = 60,
    Guile_H_JUMP_F_BGN = 61,
    Guile_H_JUMP_B_BGN = 62,
    Guile_H_JUMP_V = 63,
    Guile_H_JUMP_F = 64,
    Guile_H_JUMP_B = 65,
    Guile_FLY_BGN = 66,
    Guile_FLY_END = 67,
    Guile_FLY_BASE = 68,
    Guile_FLY_UU = 69,
    Guile_FLY_BU = 70,
    Guile_FLY_BB = 71,
    Guile_FLY_BD = 72,
    Guile_FLY_DD = 73,
    Guile_FLY_FD = 74,
    Guile_FLY_FF = 75,
    Guile_FLY_FU = 76,
    Guile_FLY_UU_END = 77,
    Guile_FLY_BU_END = 78,
    Guile_FLY_BB_END = 79,
    Guile_FLY_BD_END = 80,
    Guile_FLY_DD_END = 81,
    Guile_FLY_FD_END = 82,
    Guile_FLY_FF_END = 83,
    Guile_FLY_FU_END = 84,
    Guile_AIR_DASH_U = 85,
    Guile_AIR_DASH_BU = 86,
    Guile_AIR_DASH_B = 87,
    Guile_AIR_DASH_BD = 88,
    Guile_AIR_DASH_D = 89,
    Guile_AIR_DASH_FD = 90,
    Guile_AIR_DASH_F = 91,
    Guile_AIR_DASH_FU = 92,
    Guile_FALL_V = 93,
    Guile_GRD_STAND_H_BGN = 100,
    Guile_GRD_STAND_H = 101,
    Guile_GRD_STAND_H_END = 102,
    Guile_GRD_STAND_H_DM_L = 103,
    Guile_GRD_STAND_H_DM_M = 104,
    Guile_GRD_STAND_H_DM_H = 105,
    Guile_GRD_STAND_H_DM_S = 106,
    Guile_GRD_STAND_M_BGN = 107,
    Guile_GRD_STAND_M = 108,
    Guile_GRD_STAND_M_END = 109,
    Guile_GRD_STAND_M_DM_L = 110,
    Guile_GRD_STAND_M_DM_M = 111,
    Guile_GRD_STAND_M_DM_H = 112,
    Guile_GRD_STAND_M_DM_S = 113,
    Guile_GRD_STAND_L_BGN = 114,
    Guile_GRD_STAND_L = 115,
    Guile_GRD_STAND_L_END = 116,
    Guile_GRD_STAND_L_DM_L = 117,
    Guile_GRD_STAND_L_DM_M = 118,
    Guile_GRD_STAND_L_DM_H = 119,
    Guile_GRD_STAND_L_DM_S = 120,
    Guile_GRD_CROUCH_H_BGN = 121,
    Guile_GRD_CROUCH_H = 122,
    Guile_GRD_CROUCH_H_END = 123,
    Guile_GRD_CROUCH_H_DM_L = 124,
    Guile_GRD_CROUCH_H_DM_M = 125,
    Guile_GRD_CROUCH_H_DM_H = 126,
    Guile_GRD_CROUCH_H_DM_S = 127,
    Guile_GRD_CROUCH_L_BGN = 128,
    Guile_GRD_CROUCH_L = 129,
    Guile_GRD_CROUCH_L_END = 130,
    Guile_GRD_CROUCH_L_DM_L = 131,
    Guile_GRD_CROUCH_L_DM_M = 132,
    Guile_GRD_CROUCH_L_DM_H = 133,
    Guile_GRD_CROUCH_L_DM_S = 134,
    Guile_GRD_AIR_BGN = 135,
    Guile_GRD_AIR = 136,
    Guile_GRD_AIR_END = 137,
    Guile_GRD_AIR_DM_L = 138,
    Guile_GRD_AIR_DM_M = 139,
    Guile_GRD_AIR_DM_H = 140,
    Guile_GRD_AIR_DM_S = 141,
    Guile_GRD_ZUSA_STAND = 143,
    Guile_GRD_ZUSA_CROUCH = 144,
    Guile_GRD_ZUSA_WALL = 145,
    Guile_DGD_STAND_H_BGN = 150,
    Guile_DGD_STAND_H = 151,
    Guile_DGD_STAND_H_END = 152,
    Guile_DGD_STAND_H_DM_L = 153,
    Guile_DGD_STAND_H_DM_M = 154,
    Guile_DGD_STAND_H_DM_H = 155,
    Guile_DGD_STAND_H_DM_S = 156,
    Guile_DGD_STAND_M_BGN = 157,
    Guile_DGD_STAND_M = 158,
    Guile_DGD_STAND_M_END = 159,
    Guile_DGD_STAND_M_DM_L = 160,
    Guile_DGD_STAND_M_DM_M = 161,
    Guile_DGD_STAND_M_DM_H = 162,
    Guile_DGD_STAND_M_DM_S = 163,
    Guile_DGD_STAND_L_BGN = 164,
    Guile_DGD_STAND_L = 165,
    Guile_DGD_STAND_L_END = 166,
    Guile_DGD_STAND_L_DM_L = 167,
    Guile_DGD_STAND_L_DM_M = 168,
    Guile_DGD_STAND_L_DM_H = 169,
    Guile_DGD_STAND_L_DM_S = 170,
    Guile_DGD_CROUCH_H_BGN = 171,
    Guile_DGD_CROUCH_H = 172,
    Guile_DGD_CROUCH_H_END = 173,
    Guile_DGD_CROUCH_H_DM_L = 174,
    Guile_DGD_CROUCH_H_DM_M = 175,
    Guile_DGD_CROUCH_H_DM_H = 176,
    Guile_DGD_CROUCH_H_DM_S = 177,
    Guile_DGD_CROUCH_L_BGN = 178,
    Guile_DGD_CROUCH_L = 179,
    Guile_DGD_CROUCH_L_END = 180,
    Guile_DGD_CROUCH_L_DM_L = 181,
    Guile_DGD_CROUCH_L_DM_M = 182,
    Guile_DGD_CROUCH_L_DM_H = 183,
    Guile_DGD_CROUCH_L_DM_S = 184,
    Guile_DGD_AIR_BGN = 185,
    Guile_DGD_AIR = 186,
    Guile_DGD_AIR_END = 187,
    Guile_DGD_AIR_DM_L = 188,
    Guile_DGD_AIR_DM_M = 189,
    Guile_DGD_AIR_DM_H = 190,
    Guile_DGD_AIR_DM_S = 191,
    Guile_DMG_STD_H_FR_L = 200,
    Guile_DMG_STD_H_FR_M = 201,
    Guile_DMG_STD_H_FR_H = 202,
    Guile_DMG_CRT_STD_H_FR = 203,
    Guile_DMG_STD_M_FR_L = 204,
    Guile_DMG_STD_M_FR_M = 205,
    Guile_DMG_STD_M_FR_H = 206,
    Guile_DMG_CRT_STD_M_FR = 207,
    Guile_DMG_STD_L_FR_L = 208,
    Guile_DMG_STD_L_FR_M = 209,
    Guile_DMG_STD_L_FR_H = 210,
    Guile_DMG_CRT_STD_L_FR = 211,
    Guile_DMG_CRO_H_FR_L = 212,
    Guile_DMG_CRO_H_FR_M = 213,
    Guile_DMG_CRO_H_FR_H = 214,
    Guile_DMG_CRT_CRO_H_FR = 215,
    Guile_DMG_CRO_L_FR_L = 216,
    Guile_DMG_CRO_L_FR_M = 217,
    Guile_DMG_CRO_L_FR_H = 218,
    Guile_DMG_CRT_CRO_L_FR = 219,
    Guile_DMG_AIR_FR_L = 220,
    Guile_DMG_AIR_FR_M = 221,
    Guile_DMG_AIR_FR_H = 222,
    Guile_DMG_STD_BK = 224,
    Guile_BUTT_RISE_90 = 230,
    Guile_BUTT_RISE_45 = 231,
    Guile_BUTT_RISE_00 = 232,
    Guile_BUTT_RISE_45m = 233,
    Guile_BUTT_RISE_90m = 234,
    Guile_BUTT_RISE_BK = 235,
    Guile_BUTT_RISE_BK_90m = 236,
    Guile_BUTT_FALL_90 = 237,
    Guile_BUTT_FALL_45 = 238,
    Guile_BUTT_FALL_00 = 239,
    Guile_BUTT_FALL_45m = 240,
    Guile_BUTT_FALL_90m = 241,
    Guile_BUTT_FALL_BK = 242,
    Guile_BUTT_FALL_BK_90m = 243,
    Guile_BUTT_H_START_90 = 244,
    Guile_BUTT_H_START_45 = 245,
    Guile_BUTT_H_START_00 = 246,
    Guile_BUTT_H_START_45m = 247,
    Guile_BUTT_H_START_90m = 248,
    Guile_BUTT_H_START_BK = 249,
    Guile_BUTT_H_START_BK_90m = 250,
    Guile_BUTT_B_START_90 = 251,
    Guile_BUTT_B_START_45 = 252,
    Guile_BUTT_B_START_00 = 253,
    Guile_BUTT_B_START_45m = 254,
    Guile_BUTT_B_START_90m = 255,
    Guile_BUTT_START_BK = 256,
    Guile_BUTT_START_BK_90m = 257,
    Guile_KNOCK_DOWN_BK = 258,
    Guile_DMG_HL_DOWN = 260,
    Guile_DMG_HM_DOWN = 261,
    Guile_DMG_HH_DOWN = 262,
    Guile_DMG_CL_DOWN = 263,
    Guile_DMG_CM_DOWN = 264,
    Guile_DMG_CH_DOWN = 265,
    Guile_DMG_HL_UPPER = 266,
    Guile_DMG_HM_UPPER = 267,
    Guile_DMG_HH_UPPER = 268,
    Guile_DMG_BL_UPPER = 269,
    Guile_DMG_BM_UPPER = 270,
    Guile_DMG_BH_UPPER = 271,
    Guile_ASHIBARAI = 273,
    Guile_ASHIBARAI_BACK = 274,
    Guile_KUZURE = 276,
    Guile_FLOP_DOWN = 277,
    Guile_DMG_H_SPIN_GROUND = 279,
    Guile_DMG_H_SPIN_AIR = 280,
    Guile_DMG_V_SPIN_GROUND = 281,
    Guile_DMG_V_SPIN_AIR = 282,
    Guile_WALL_HIT_FR = 284,
    Guile_WALL_HIT_BK = 285,
    Guile_WALL_DOWN_FR = 286,
    Guile_WALL_DOWN_BK = 287,
    Guile_DMG_GORO_FR = 289,
    Guile_DMG_GORO_DOWN_FR = 290,
    Guile_WALL_GROUND_FR = 291,
    Guile_WALL_PIYO_STOP = 293,
    Guile_WALL_PIYO_DOWN = 294,
    Guile_THROWBREAK_TO = 320,
    Guile_THROWBREAK_DONE = 321,
    Guile_GUARD_BREAK_STAND = 322,
    Guile_GUARD_BREAK_CROUCH = 323,
    Guile_HARDDOWN_FU = 330,
    Guile_HARDDOWN_FD = 331,
    Guile_SLIDEDOWN_FU = 332,
    Guile_SLIDEDOWN_FU_CMN = 333,
    Guile_SLIDEDOWN_FD = 334,
    Guile_SLIDEDOWN_FD_CMN = 335,
    Guile_LIE_DOWN_FU = 336,
    Guile_LIE_DOWN_FD = 337,
    Guile_DOWN_DMG_FU = 338,
    Guile_DOWN_DMG_FD = 339,
    Guile_WAKEUP_FU = 340,
    Guile_WAKEUP_FD = 341,
    Guile_WAKEUP_F_FU = 342,
    Guile_WAKEUP_F_FD = 343,
    Guile_WAKEUP_B_FU = 344,
    Guile_WAKEUP_B_FD = 345,
    Guile_BUTT_TAOREN = 346,
    Guile_AIR_RECOVERY_BK = 347,
    Guile_BOUND_FU = 350,
    Guile_BOUND_FD = 351,
    Guile_STUN = 353,
    Guile_STUN_END = 354,
    Guile_KUZURE_DIE = 356,
    Guile_APPEAR = 400,
    Guile_APPEAR_END = 401,
    Guile_APPEAR_ARCADE = 402,
    Guile_APPEAR_STORY = 403,
    Guile_LOSE = 405,
    Guile_MID_LOSE_FU = 407,
    Guile_MID_LOSE_FD = 408,
    Guile_DRAW = 410,
    Guile_RESULT = 412,
    Guile_WIN = 414,
    Guile_WIN_STORY = 415,
    Guile_WIN_PERFECT = 416,
    Guile_WIN_HI = 417,
    Guile_WIN_MID = 418,
    Guile_WIN_LOW = 419,
    Guile_MINION_ENTRY = 470,
    Guile_V_TOUCH_ENTRY = 471,
    Guile_V_TOUCH_STOP = 472,
    Guile_V_TOUCH_EXIT = 473,
    Guile_TOUCH_POSE = 474,
    Guile_TOUCH_JUMP = 475,
    Guile_TOUCH_SUKI = 476,
    Guile_TOUCH_NOKI = 477,
    Guile_ASSIST_SUKI = 478,
    Guile_PARRY_BGN = 480,
    Guile_PARRY_LOOP = 481,
    Guile_PARRY_END = 482,
    Guile_PARRY_HIT_H = 483,
    Guile_PARRY_HIT_M = 484,
    Guile_PARRY_HIT_L = 485,
    Guile_PARRY_JUST_H = 486,
    Guile_PARRY_JUST_M = 487,
    Guile_PARRY_JUST_L = 488,
    Guile_PARRY_CRO_BGN = 489,
    Guile_T_FOOTWORK = 510,
    Guile_T_CROUCH = 511,
    Guile_T_SIT_DOWN = 512,
    Guile_T_STAND_UP = 513,
    Guile_T_TURN_STAND = 514,
    Guile_T_TURN_CROUCH = 515,
    Guile_T_WALK_F_BGN = 516,
    Guile_T_WALK_FORWARD = 517,
    Guile_T_WALK_F_END = 518,
    Guile_T_WALK_B_BGN = 519,
    Guile_T_WALK_BACK = 520,
    Guile_T_WALK_B_END = 521,
    Guile_CONTINUE_FU = 530,
    Guile_CONTINUE_FD = 531,
    Guile_CONTINUE_SUCCESS = 532,
    Guile_CONTINUE_FAILURE = 533,
    Guile_ADV_STAND = 570,
    Guile_ADV_SIT = 571,
    Guile_ADV_AIR = 572,
    Guile_IMM_STAGE_INIT = 580,
    Guile_IMM_ROUND_INIT = 581,
    Guile_IMM_DAMAGE_INIT = 582,
    Guile_IMM_DAMAGE_EXIT = 583,
    Guile_IMM_TO_NORMAL = 584,
    Guile_IMM_TOUCH_EXIT = 585,
    Guile_IMM_TOUCH_ENTRY = 586,
    Guile_IMM_LANDING = 587,
    Guile_IMM_HOLD_EXIT = 588,
    Guile_IMM_FRAME_OUT = 589,
    Guile_IMM_APPEAR_END = 590,
    Guile_IMM_RESULT_INIT = 591,
    Guile_COMMON_END = 599,
    Guile_5LP = 600,
    Guile_RC_5LP = 601,
    Guile_RC_5LP_2 = 602,
    Guile_5MP = 605,
    Guile_TC_4HP = 607,
    Guile_5HP = 609,
    Guile_5LK = 612,
    Guile_5MK = 615,
    Guile_5HK = 618,
    Guile_2LP = 621,
    Guile_RC_2LP = 623,
    Guile_2MP = 626,
    Guile_TC_2MP = 627,
    Guile_2HP = 629,
    Guile_2LK = 632,
    Guile_RC_2LK = 634,
    Guile_2MK = 637,
    Guile_TC_6MP = 639,
    Guile_2HK = 641,
    Guile_8LP = 645,
    Guile_8MP = 646,
    Guile_8HP = 647,
    Guile_8LK = 648,
    Guile_8MK = 649,
    Guile_8HK = 650,
    Guile_3HK = 653,
    Guile_TC_3HK = 654,
    Guile_4HP = 656,
    Guile_4LK = 659,
    Guile_4MK = 662,
    Guile_6MP = 665,
    Guile_6HP = 668,
    Guile_6MK = 671,
    Guile_6HK = 674,
    Guile_THROW_F = 700,
    Guile_THROW_B = 701,
    Guile_THROW_F_AIR = 702,
    Guile_THROW_B_AIR = 703,
    Guile_DRIVE_RUSH_FROM_NORMALS = 730,
    Guile_RAW_DRIVE_RUSH = 731,
    Guile_DRIVE_IMPACT = 754,
    Guile_SONIC_L = 900,
    Guile_SONIC_L_PERFECT = 901,
    Guile_SONIC_M = 902,
    Guile_SONIC_M_PERFECT = 903,
    Guile_SONIC_H = 904,
    Guile_SONIC_H_PERFECT = 905,
    Guile_SONIC_EX = 906,
    Guile_SONIC_BLADE_L = 918,
    Guile_SONIC_BLADE_M = 919,
    Guile_SONIC_BLADE_H = 920,
    Guile_SONIC_BLADE_EX = 921,
    Guile_SONIC_BLADE_BOOM_L = 930,
    Guile_SONIC_BLADE_BOOM_L_PERFECT = 931,
    Guile_SONIC_BLADE_BOOM_M = 932,
    Guile_SONIC_BLADE_BOOM_M_PERFECT = 933,
    Guile_SONIC_BLADE_BOOM_H = 934,
    Guile_SONIC_BLADE_BOOM_H_PERFECT = 935,
    Guile_SONIC_BLADE_BOOM_EX = 936,
    Guile_FLASHKICK_L = 980,
    Guile_FLASHKICK_L_PERFECT = 981,
    Guile_FLASHKICK_M = 982,
    Guile_FLASHKICK_M_PERFECT = 983,
    Guile_FLASHKICK_H = 984,
    Guile_FLASHKICK_H_PERFECT = 985,
    Guile_FLASHKICK_EX = 986,
    Guile_SONIC_HURRICANE = 1200,
    Guile_SONIC_HURRICANE_ANTI_AIR = 1201,
    Guile_VTRIGGER1_LV2 = 1210,
    Guile_BACK_SONIC_BREAK_2PUNCHES_1 = 1212,
    Guile_SONIC_BREAK_2PUNCHES_1 = 1213,
    Guile_FORWARD_SONIC_BREAK_2PUNCHES_1 = 1214,
    Guile_VT_SONIC_L_1 = 1215,
    Guile_VT_SONIC_1_M = 1216,
    Guile_FORWARD_SONIC_BREAK_2PUNCHES_2 = 1217,
    Guile_VT_SONIC_L_2 = 1218,
    Guile_VT_SONIC_2_M = 1219,
    Guile_SONIC_BREAK_2PUNCHES_2 = 1220,
    Guile_VT_SONIC_EX_1 = 1221,
    Guile_VT_SONIC_EX_2 = 1222,
    Guile_CA_START_LV3 = 1240,
    Guile_CA_START_LV4_LOW_HP = 1241,
}

#[allow(non_camel_case_types)]
#[derive(Default, strum_macros::Display, FromPrimitive, PartialEq, Eq, Clone)]
pub enum EHondaActions {
    #[default]
    EHonda_INVALID_ID = -1,
    EHonda_BACKSTAGE = 0,
    EHonda_FOOTWORK = 1,
    EHonda_FOOTWORK_IDLE = 2,
    EHonda_CROUCH = 4,
    EHonda_SIT_DOWN = 5,
    EHonda_STAND_UP = 6,
    EHonda_TURN_STAND = 7,
    EHonda_TURN_CROUCH = 8,
    EHonda_WALK_F_BGN = 9,
    EHonda_WALK_FORWARD = 10,
    EHonda_WALK_F_END = 11,
    EHonda_SLIDE_FEET_F = 12,
    EHonda_WALK_B_BGN = 13,
    EHonda_WALK_BACK = 14,
    EHonda_WALK_B_END = 15,
    EHonda_SLIDE_FEET_B = 16,
    EHonda_DASH_F = 17,
    EHonda_DASH_B = 18,
    EHonda_DASH_F_END = 19,
    EHonda_DASH_B_END = 20,
    EHonda_RUN_F_BGN = 21,
    EHonda_RUN_F = 22,
    EHonda_RUN_F_END = 23,
    EHonda_RUN_B_BGN = 24,
    EHonda_RUN_B = 25,
    EHonda_RUN_B_END = 26,
    EHonda_DUCK_WALK_F_BGN = 27,
    EHonda_DUCK_WALK_F = 28,
    EHonda_DUCK_WALK_F_END = 29,
    EHonda_DUCK_WALK_B_BGN = 30,
    EHonda_DUCK_WALK_B = 31,
    EHonda_DUCK_WALK_B_END = 32,
    EHonda_JUMP_V_BGN = 33,
    EHonda_JUMP_F_BGN = 34,
    EHonda_JUMP_B_BGN = 35,
    EHonda_JUMP_V = 36,
    EHonda_JUMP_F = 37,
    EHonda_JUMP_B = 38,
    EHonda_JUMP_V_END = 39,
    EHonda_JUMP_F_END = 40,
    EHonda_JUMP_B_END = 41,
    EHonda_JUMP_ATK_END = 42,
    EHonda_W_JUMP_V = 44,
    EHonda_W_JUMP_F = 45,
    EHonda_W_JUMP_B = 46,
    EHonda_T_JUMP_WALL = 47,
    EHonda_T_JUMP = 48,
    EHonda_L_JUMP_V_BGN = 54,
    EHonda_L_JUMP_F_BGN = 55,
    EHonda_L_JUMP_B_BGN = 56,
    EHonda_L_JUMP_V = 57,
    EHonda_L_JUMP_F = 58,
    EHonda_L_JUMP_B = 59,
    EHonda_H_JUMP_V_BGN = 60,
    EHonda_H_JUMP_F_BGN = 61,
    EHonda_H_JUMP_B_BGN = 62,
    EHonda_H_JUMP_V = 63,
    EHonda_H_JUMP_F = 64,
    EHonda_H_JUMP_B = 65,
    EHonda_FLY_BGN = 66,
    EHonda_FLY_END = 67,
    EHonda_FLY_BASE = 68,
    EHonda_FLY_UU = 69,
    EHonda_FLY_BU = 70,
    EHonda_FLY_BB = 71,
    EHonda_FLY_BD = 72,
    EHonda_FLY_DD = 73,
    EHonda_FLY_FD = 74,
    EHonda_FLY_FF = 75,
    EHonda_FLY_FU = 76,
    EHonda_FLY_UU_END = 77,
    EHonda_FLY_BU_END = 78,
    EHonda_FLY_BB_END = 79,
    EHonda_FLY_BD_END = 80,
    EHonda_FLY_DD_END = 81,
    EHonda_FLY_FD_END = 82,
    EHonda_FLY_FF_END = 83,
    EHonda_FLY_FU_END = 84,
    EHonda_AIR_DASH_U = 85,
    EHonda_AIR_DASH_BU = 86,
    EHonda_AIR_DASH_B = 87,
    EHonda_AIR_DASH_BD = 88,
    EHonda_AIR_DASH_D = 89,
    EHonda_AIR_DASH_FD = 90,
    EHonda_AIR_DASH_F = 91,
    EHonda_AIR_DASH_FU = 92,
    EHonda_FALL_V = 93,
    EHonda_GRD_STAND_H_BGN = 100,
    EHonda_GRD_STAND_H = 101,
    EHonda_GRD_STAND_H_END = 102,
    EHonda_GRD_STAND_H_DM_L = 103,
    EHonda_GRD_STAND_H_DM_M = 104,
    EHonda_GRD_STAND_H_DM_H = 105,
    EHonda_GRD_STAND_H_DM_S = 106,
    EHonda_GRD_STAND_M_BGN = 107,
    EHonda_GRD_STAND_M = 108,
    EHonda_GRD_STAND_M_END = 109,
    EHonda_GRD_STAND_M_DM_L = 110,
    EHonda_GRD_STAND_M_DM_M = 111,
    EHonda_GRD_STAND_M_DM_H = 112,
    EHonda_GRD_STAND_M_DM_S = 113,
    EHonda_GRD_STAND_L_BGN = 114,
    EHonda_GRD_STAND_L = 115,
    EHonda_GRD_STAND_L_END = 116,
    EHonda_GRD_STAND_L_DM_L = 117,
    EHonda_GRD_STAND_L_DM_M = 118,
    EHonda_GRD_STAND_L_DM_H = 119,
    EHonda_GRD_STAND_L_DM_S = 120,
    EHonda_GRD_CROUCH_H_BGN = 121,
    EHonda_GRD_CROUCH_H = 122,
    EHonda_GRD_CROUCH_H_END = 123,
    EHonda_GRD_CROUCH_H_DM_L = 124,
    EHonda_GRD_CROUCH_H_DM_M = 125,
    EHonda_GRD_CROUCH_H_DM_H = 126,
    EHonda_GRD_CROUCH_H_DM_S = 127,
    EHonda_GRD_CROUCH_L_BGN = 128,
    EHonda_GRD_CROUCH_L = 129,
    EHonda_GRD_CROUCH_L_END = 130,
    EHonda_GRD_CROUCH_L_DM_L = 131,
    EHonda_GRD_CROUCH_L_DM_M = 132,
    EHonda_GRD_CROUCH_L_DM_H = 133,
    EHonda_GRD_CROUCH_L_DM_S = 134,
    EHonda_GRD_AIR_BGN = 135,
    EHonda_GRD_AIR = 136,
    EHonda_GRD_AIR_END = 137,
    EHonda_GRD_AIR_DM_L = 138,
    EHonda_GRD_AIR_DM_M = 139,
    EHonda_GRD_AIR_DM_H = 140,
    EHonda_GRD_AIR_DM_S = 141,
    EHonda_GRD_ZUSA_STAND = 143,
    EHonda_GRD_ZUSA_CROUCH = 144,
    EHonda_GRD_ZUSA_WALL = 145,
    EHonda_DGD_STAND_H_BGN = 150,
    EHonda_DGD_STAND_H = 151,
    EHonda_DGD_STAND_H_END = 152,
    EHonda_DGD_STAND_H_DM_L = 153,
    EHonda_DGD_STAND_H_DM_M = 154,
    EHonda_DGD_STAND_H_DM_H = 155,
    EHonda_DGD_STAND_H_DM_S = 156,
    EHonda_DGD_STAND_M_BGN = 157,
    EHonda_DGD_STAND_M = 158,
    EHonda_DGD_STAND_M_END = 159,
    EHonda_DGD_STAND_M_DM_L = 160,
    EHonda_DGD_STAND_M_DM_M = 161,
    EHonda_DGD_STAND_M_DM_H = 162,
    EHonda_DGD_STAND_M_DM_S = 163,
    EHonda_DGD_STAND_L_BGN = 164,
    EHonda_DGD_STAND_L = 165,
    EHonda_DGD_STAND_L_END = 166,
    EHonda_DGD_STAND_L_DM_L = 167,
    EHonda_DGD_STAND_L_DM_M = 168,
    EHonda_DGD_STAND_L_DM_H = 169,
    EHonda_DGD_STAND_L_DM_S = 170,
    EHonda_DGD_CROUCH_H_BGN = 171,
    EHonda_DGD_CROUCH_H = 172,
    EHonda_DGD_CROUCH_H_END = 173,
    EHonda_DGD_CROUCH_H_DM_L = 174,
    EHonda_DGD_CROUCH_H_DM_M = 175,
    EHonda_DGD_CROUCH_H_DM_H = 176,
    EHonda_DGD_CROUCH_H_DM_S = 177,
    EHonda_DGD_CROUCH_L_BGN = 178,
    EHonda_DGD_CROUCH_L = 179,
    EHonda_DGD_CROUCH_L_END = 180,
    EHonda_DGD_CROUCH_L_DM_L = 181,
    EHonda_DGD_CROUCH_L_DM_M = 182,
    EHonda_DGD_CROUCH_L_DM_H = 183,
    EHonda_DGD_CROUCH_L_DM_S = 184,
    EHonda_DGD_AIR_BGN = 185,
    EHonda_DGD_AIR = 186,
    EHonda_DGD_AIR_END = 187,
    EHonda_DGD_AIR_DM_L = 188,
    EHonda_DGD_AIR_DM_M = 189,
    EHonda_DGD_AIR_DM_H = 190,
    EHonda_DGD_AIR_DM_S = 191,
    EHonda_DMG_STD_H_FR_L = 200,
    EHonda_DMG_STD_H_FR_M = 201,
    EHonda_DMG_STD_H_FR_H = 202,
    EHonda_DMG_CRT_STD_H_FR = 203,
    EHonda_DMG_STD_M_FR_L = 204,
    EHonda_DMG_STD_M_FR_M = 205,
    EHonda_DMG_STD_M_FR_H = 206,
    EHonda_DMG_CRT_STD_M_FR = 207,
    EHonda_DMG_STD_L_FR_L = 208,
    EHonda_DMG_STD_L_FR_M = 209,
    EHonda_DMG_STD_L_FR_H = 210,
    EHonda_DMG_CRT_STD_L_FR = 211,
    EHonda_DMG_CRO_H_FR_L = 212,
    EHonda_DMG_CRO_H_FR_M = 213,
    EHonda_DMG_CRO_H_FR_H = 214,
    EHonda_DMG_CRT_CRO_H_FR = 215,
    EHonda_DMG_CRO_L_FR_L = 216,
    EHonda_DMG_CRO_L_FR_M = 217,
    EHonda_DMG_CRO_L_FR_H = 218,
    EHonda_DMG_CRT_CRO_L_FR = 219,
    EHonda_DMG_AIR_FR_L = 220,
    EHonda_DMG_AIR_FR_M = 221,
    EHonda_DMG_AIR_FR_H = 222,
    EHonda_DMG_STD_BK = 224,
    EHonda_BUTT_RISE_90 = 230,
    EHonda_BUTT_RISE_45 = 231,
    EHonda_BUTT_RISE_00 = 232,
    EHonda_BUTT_RISE_45m = 233,
    EHonda_BUTT_RISE_90m = 234,
    EHonda_BUTT_RISE_BK = 235,
    EHonda_BUTT_RISE_BK_90m = 236,
    EHonda_BUTT_FALL_90 = 237,
    EHonda_BUTT_FALL_45 = 238,
    EHonda_BUTT_FALL_00 = 239,
    EHonda_BUTT_FALL_45m = 240,
    EHonda_BUTT_FALL_90m = 241,
    EHonda_BUTT_FALL_BK = 242,
    EHonda_BUTT_FALL_BK_90m = 243,
    EHonda_BUTT_H_START_90 = 244,
    EHonda_BUTT_H_START_45 = 245,
    EHonda_BUTT_H_START_00 = 246,
    EHonda_BUTT_H_START_45m = 247,
    EHonda_BUTT_H_START_90m = 248,
    EHonda_BUTT_H_START_BK = 249,
    EHonda_BUTT_H_START_BK_90m = 250,
    EHonda_BUTT_B_START_90 = 251,
    EHonda_BUTT_B_START_45 = 252,
    EHonda_BUTT_B_START_00 = 253,
    EHonda_BUTT_B_START_45m = 254,
    EHonda_BUTT_B_START_90m = 255,
    EHonda_BUTT_START_BK = 256,
    EHonda_BUTT_START_BK_90m = 257,
    EHonda_KNOCK_DOWN_BK = 258,
    EHonda_DMG_HL_DOWN = 260,
    EHonda_DMG_HM_DOWN = 261,
    EHonda_DMG_HH_DOWN = 262,
    EHonda_DMG_CL_DOWN = 263,
    EHonda_DMG_CM_DOWN = 264,
    EHonda_DMG_CH_DOWN = 265,
    EHonda_DMG_HL_UPPER = 266,
    EHonda_DMG_HM_UPPER = 267,
    EHonda_DMG_HH_UPPER = 268,
    EHonda_DMG_BL_UPPER = 269,
    EHonda_DMG_BM_UPPER = 270,
    EHonda_DMG_BH_UPPER = 271,
    EHonda_ASHIBARAI = 273,
    EHonda_ASHIBARAI_BACK = 274,
    EHonda_KUZURE = 276,
    EHonda_FLOP_DOWN = 277,
    EHonda_DMG_H_SPIN_GROUND = 279,
    EHonda_DMG_H_SPIN_AIR = 280,
    EHonda_DMG_V_SPIN_GROUND = 281,
    EHonda_DMG_V_SPIN_AIR = 282,
    EHonda_WALL_HIT_FR = 284,
    EHonda_WALL_HIT_BK = 285,
    EHonda_WALL_DOWN_FR = 286,
    EHonda_WALL_DOWN_BK = 287,
    EHonda_DMG_GORO_FR = 289,
    EHonda_DMG_GORO_DOWN_FR = 290,
    EHonda_WALL_GROUND_FR = 291,
    EHonda_WALL_PIYO_STOP = 293,
    EHonda_WALL_PIYO_DOWN = 294,
    EHonda_THROWBREAK_TO = 320,
    EHonda_THROWBREAK_DONE = 321,
    EHonda_GUARD_BREAK_STAND = 322,
    EHonda_GUARD_BREAK_CROUCH = 323,
    EHonda_HARDDOWN_FU = 330,
    EHonda_HARDDOWN_FD = 331,
    EHonda_SLIDEDOWN_FU = 332,
    EHonda_SLIDEDOWN_FU_CMN = 333,
    EHonda_SLIDEDOWN_FD = 334,
    EHonda_SLIDEDOWN_FD_CMN = 335,
    EHonda_LIE_DOWN_FU = 336,
    EHonda_LIE_DOWN_FD = 337,
    EHonda_DOWN_DMG_FU = 338,
    EHonda_DOWN_DMG_FD = 339,
    EHonda_WAKEUP_FU = 340,
    EHonda_WAKEUP_FD = 341,
    EHonda_WAKEUP_F_FU = 342,
    EHonda_WAKEUP_F_FD = 343,
    EHonda_WAKEUP_B_FU = 344,
    EHonda_WAKEUP_B_FD = 345,
    EHonda_BUTT_TAOREN = 346,
    EHonda_AIR_RECOVERY_BK = 347,
    EHonda_BOUND_FU = 350,
    EHonda_BOUND_FD = 351,
    EHonda_STUN = 353,
    EHonda_STUN_END = 354,
    EHonda_KUZURE_DIE = 356,
    EHonda_APPEAR = 400,
    EHonda_APPEAR_END = 401,
    EHonda_APPEAR_ARCADE = 402,
    EHonda_APPEAR_STORY = 403,
    EHonda_LOSE = 405,
    EHonda_MID_LOSE_FU = 407,
    EHonda_MID_LOSE_FD = 408,
    EHonda_DRAW = 410,
    EHonda_RESULT = 412,
    EHonda_WIN = 414,
    EHonda_WIN_STORY = 415,
    EHonda_WIN_PERFECT = 416,
    EHonda_WIN_HI = 417,
    EHonda_WIN_MID = 418,
    EHonda_WIN_LOW = 419,
    EHonda_MINION_ENTRY = 470,
    EHonda_V_TOUCH_ENTRY = 471,
    EHonda_V_TOUCH_STOP = 472,
    EHonda_V_TOUCH_EXIT = 473,
    EHonda_TOUCH_POSE = 474,
    EHonda_TOUCH_JUMP = 475,
    EHonda_TOUCH_SUKI = 476,
    EHonda_TOUCH_NOKI = 477,
    EHonda_ASSIST_SUKI = 478,
    EHonda_PARRY_BGN = 480,
    EHonda_PARRY_LOOP = 481,
    EHonda_PARRY_END = 482,
    EHonda_PARRY_HIT_H = 483,
    EHonda_PARRY_HIT_M = 484,
    EHonda_PARRY_HIT_L = 485,
    EHonda_PARRY_JUST_H = 486,
    EHonda_PARRY_JUST_M = 487,
    EHonda_PARRY_JUST_L = 488,
    EHonda_PARRY_CRO_BGN = 489,
    EHonda_T_FOOTWORK = 510,
    EHonda_T_CROUCH = 511,
    EHonda_T_SIT_DOWN = 512,
    EHonda_T_STAND_UP = 513,
    EHonda_T_TURN_STAND = 514,
    EHonda_T_TURN_CROUCH = 515,
    EHonda_T_WALK_F_BGN = 516,
    EHonda_T_WALK_FORWARD = 517,
    EHonda_T_WALK_F_END = 518,
    EHonda_T_WALK_B_BGN = 519,
    EHonda_T_WALK_BACK = 520,
    EHonda_T_WALK_B_END = 521,
    EHonda_CONTINUE_FU = 530,
    EHonda_CONTINUE_FD = 531,
    EHonda_CONTINUE_SUCCESS = 532,
    EHonda_CONTINUE_FAILURE = 533,
    EHonda_ADV_STAND = 570,
    EHonda_ADV_SIT = 571,
    EHonda_ADV_AIR = 572,
    EHonda_IMM_STAGE_INIT = 580,
    EHonda_IMM_ROUND_INIT = 581,
    EHonda_IMM_DAMAGE_INIT = 582,
    EHonda_IMM_DAMAGE_EXIT = 583,
    EHonda_IMM_TO_NORMAL = 584,
    EHonda_IMM_TOUCH_EXIT = 585,
    EHonda_IMM_TOUCH_ENTRY = 586,
    EHonda_IMM_LANDING = 587,
    EHonda_IMM_HOLD_EXIT = 588,
    EHonda_IMM_FRAME_OUT = 589,
    EHonda_IMM_APPEAR_END = 590,
    EHonda_IMM_RESULT_INIT = 591,
    EHonda_COMMON_END = 599,
}

#[allow(non_camel_case_types)]
#[derive(Default, strum_macros::Display, FromPrimitive, PartialEq, Eq, Clone)]
pub enum JamieActions {
    #[default]
    Jamie_INVALID_ID = -1,
    Jamie_BACKSTAGE = 0,
    Jamie_FOOTWORK = 1,
    Jamie_FOOTWORK_IDLE = 2,
    Jamie_CROUCH = 4,
    Jamie_SIT_DOWN = 5,
    Jamie_STAND_UP = 6,
    Jamie_TURN_STAND = 7,
    Jamie_TURN_CROUCH = 8,
    Jamie_WALK_F_BGN = 9,
    Jamie_WALK_FORWARD = 10,
    Jamie_WALK_F_END = 11,
    Jamie_SLIDE_FEET_F = 12,
    Jamie_WALK_B_BGN = 13,
    Jamie_WALK_BACK = 14,
    Jamie_WALK_B_END = 15,
    Jamie_SLIDE_FEET_B = 16,
    Jamie_DASH_F = 17,
    Jamie_DASH_B = 18,
    Jamie_DASH_F_END = 19,
    Jamie_DASH_B_END = 20,
    Jamie_RUN_F_BGN = 21,
    Jamie_RUN_F = 22,
    Jamie_RUN_F_END = 23,
    Jamie_RUN_B_BGN = 24,
    Jamie_RUN_B = 25,
    Jamie_RUN_B_END = 26,
    Jamie_DUCK_WALK_F_BGN = 27,
    Jamie_DUCK_WALK_F = 28,
    Jamie_DUCK_WALK_F_END = 29,
    Jamie_DUCK_WALK_B_BGN = 30,
    Jamie_DUCK_WALK_B = 31,
    Jamie_DUCK_WALK_B_END = 32,
    Jamie_JUMP_V_BGN = 33,
    Jamie_JUMP_F_BGN = 34,
    Jamie_JUMP_B_BGN = 35,
    Jamie_JUMP_V = 36,
    Jamie_JUMP_F = 37,
    Jamie_JUMP_B = 38,
    Jamie_JUMP_V_END = 39,
    Jamie_JUMP_F_END = 40,
    Jamie_JUMP_B_END = 41,
    Jamie_JUMP_ATK_END = 42,
    Jamie_W_JUMP_V = 44,
    Jamie_W_JUMP_F = 45,
    Jamie_W_JUMP_B = 46,
    Jamie_T_JUMP_WALL = 47,
    Jamie_T_JUMP = 48,
    Jamie_L_JUMP_V_BGN = 54,
    Jamie_L_JUMP_F_BGN = 55,
    Jamie_L_JUMP_B_BGN = 56,
    Jamie_L_JUMP_V = 57,
    Jamie_L_JUMP_F = 58,
    Jamie_L_JUMP_B = 59,
    Jamie_H_JUMP_V_BGN = 60,
    Jamie_H_JUMP_F_BGN = 61,
    Jamie_H_JUMP_B_BGN = 62,
    Jamie_H_JUMP_V = 63,
    Jamie_H_JUMP_F = 64,
    Jamie_H_JUMP_B = 65,
    Jamie_FLY_BGN = 66,
    Jamie_FLY_END = 67,
    Jamie_FLY_BASE = 68,
    Jamie_FLY_UU = 69,
    Jamie_FLY_BU = 70,
    Jamie_FLY_BB = 71,
    Jamie_FLY_BD = 72,
    Jamie_FLY_DD = 73,
    Jamie_FLY_FD = 74,
    Jamie_FLY_FF = 75,
    Jamie_FLY_FU = 76,
    Jamie_FLY_UU_END = 77,
    Jamie_FLY_BU_END = 78,
    Jamie_FLY_BB_END = 79,
    Jamie_FLY_BD_END = 80,
    Jamie_FLY_DD_END = 81,
    Jamie_FLY_FD_END = 82,
    Jamie_FLY_FF_END = 83,
    Jamie_FLY_FU_END = 84,
    Jamie_AIR_DASH_U = 85,
    Jamie_AIR_DASH_BU = 86,
    Jamie_AIR_DASH_B = 87,
    Jamie_AIR_DASH_BD = 88,
    Jamie_AIR_DASH_D = 89,
    Jamie_AIR_DASH_FD = 90,
    Jamie_AIR_DASH_F = 91,
    Jamie_AIR_DASH_FU = 92,
    Jamie_FALL_V = 93,
    Jamie_GRD_STAND_H_BGN = 100,
    Jamie_GRD_STAND_H = 101,
    Jamie_GRD_STAND_H_END = 102,
    Jamie_GRD_STAND_H_DM_L = 103,
    Jamie_GRD_STAND_H_DM_M = 104,
    Jamie_GRD_STAND_H_DM_H = 105,
    Jamie_GRD_STAND_H_DM_S = 106,
    Jamie_GRD_STAND_M_BGN = 107,
    Jamie_GRD_STAND_M = 108,
    Jamie_GRD_STAND_M_END = 109,
    Jamie_GRD_STAND_M_DM_L = 110,
    Jamie_GRD_STAND_M_DM_M = 111,
    Jamie_GRD_STAND_M_DM_H = 112,
    Jamie_GRD_STAND_M_DM_S = 113,
    Jamie_GRD_STAND_L_BGN = 114,
    Jamie_GRD_STAND_L = 115,
    Jamie_GRD_STAND_L_END = 116,
    Jamie_GRD_STAND_L_DM_L = 117,
    Jamie_GRD_STAND_L_DM_M = 118,
    Jamie_GRD_STAND_L_DM_H = 119,
    Jamie_GRD_STAND_L_DM_S = 120,
    Jamie_GRD_CROUCH_H_BGN = 121,
    Jamie_GRD_CROUCH_H = 122,
    Jamie_GRD_CROUCH_H_END = 123,
    Jamie_GRD_CROUCH_H_DM_L = 124,
    Jamie_GRD_CROUCH_H_DM_M = 125,
    Jamie_GRD_CROUCH_H_DM_H = 126,
    Jamie_GRD_CROUCH_H_DM_S = 127,
    Jamie_GRD_CROUCH_L_BGN = 128,
    Jamie_GRD_CROUCH_L = 129,
    Jamie_GRD_CROUCH_L_END = 130,
    Jamie_GRD_CROUCH_L_DM_L = 131,
    Jamie_GRD_CROUCH_L_DM_M = 132,
    Jamie_GRD_CROUCH_L_DM_H = 133,
    Jamie_GRD_CROUCH_L_DM_S = 134,
    Jamie_GRD_AIR_BGN = 135,
    Jamie_GRD_AIR = 136,
    Jamie_GRD_AIR_END = 137,
    Jamie_GRD_AIR_DM_L = 138,
    Jamie_GRD_AIR_DM_M = 139,
    Jamie_GRD_AIR_DM_H = 140,
    Jamie_GRD_AIR_DM_S = 141,
    Jamie_GRD_ZUSA_STAND = 143,
    Jamie_GRD_ZUSA_CROUCH = 144,
    Jamie_GRD_ZUSA_WALL = 145,
    Jamie_DGD_STAND_H_BGN = 150,
    Jamie_DGD_STAND_H = 151,
    Jamie_DGD_STAND_H_END = 152,
    Jamie_DGD_STAND_H_DM_L = 153,
    Jamie_DGD_STAND_H_DM_M = 154,
    Jamie_DGD_STAND_H_DM_H = 155,
    Jamie_DGD_STAND_H_DM_S = 156,
    Jamie_DGD_STAND_M_BGN = 157,
    Jamie_DGD_STAND_M = 158,
    Jamie_DGD_STAND_M_END = 159,
    Jamie_DGD_STAND_M_DM_L = 160,
    Jamie_DGD_STAND_M_DM_M = 161,
    Jamie_DGD_STAND_M_DM_H = 162,
    Jamie_DGD_STAND_M_DM_S = 163,
    Jamie_DGD_STAND_L_BGN = 164,
    Jamie_DGD_STAND_L = 165,
    Jamie_DGD_STAND_L_END = 166,
    Jamie_DGD_STAND_L_DM_L = 167,
    Jamie_DGD_STAND_L_DM_M = 168,
    Jamie_DGD_STAND_L_DM_H = 169,
    Jamie_DGD_STAND_L_DM_S = 170,
    Jamie_DGD_CROUCH_H_BGN = 171,
    Jamie_DGD_CROUCH_H = 172,
    Jamie_DGD_CROUCH_H_END = 173,
    Jamie_DGD_CROUCH_H_DM_L = 174,
    Jamie_DGD_CROUCH_H_DM_M = 175,
    Jamie_DGD_CROUCH_H_DM_H = 176,
    Jamie_DGD_CROUCH_H_DM_S = 177,
    Jamie_DGD_CROUCH_L_BGN = 178,
    Jamie_DGD_CROUCH_L = 179,
    Jamie_DGD_CROUCH_L_END = 180,
    Jamie_DGD_CROUCH_L_DM_L = 181,
    Jamie_DGD_CROUCH_L_DM_M = 182,
    Jamie_DGD_CROUCH_L_DM_H = 183,
    Jamie_DGD_CROUCH_L_DM_S = 184,
    Jamie_DGD_AIR_BGN = 185,
    Jamie_DGD_AIR = 186,
    Jamie_DGD_AIR_END = 187,
    Jamie_DGD_AIR_DM_L = 188,
    Jamie_DGD_AIR_DM_M = 189,
    Jamie_DGD_AIR_DM_H = 190,
    Jamie_DGD_AIR_DM_S = 191,
    Jamie_DMG_STD_H_FR_L = 200,
    Jamie_DMG_STD_H_FR_M = 201,
    Jamie_DMG_STD_H_FR_H = 202,
    Jamie_DMG_CRT_STD_H_FR = 203,
    Jamie_DMG_STD_M_FR_L = 204,
    Jamie_DMG_STD_M_FR_M = 205,
    Jamie_DMG_STD_M_FR_H = 206,
    Jamie_DMG_CRT_STD_M_FR = 207,
    Jamie_DMG_STD_L_FR_L = 208,
    Jamie_DMG_STD_L_FR_M = 209,
    Jamie_DMG_STD_L_FR_H = 210,
    Jamie_DMG_CRT_STD_L_FR = 211,
    Jamie_DMG_CRO_H_FR_L = 212,
    Jamie_DMG_CRO_H_FR_M = 213,
    Jamie_DMG_CRO_H_FR_H = 214,
    Jamie_DMG_CRT_CRO_H_FR = 215,
    Jamie_DMG_CRO_L_FR_L = 216,
    Jamie_DMG_CRO_L_FR_M = 217,
    Jamie_DMG_CRO_L_FR_H = 218,
    Jamie_DMG_CRT_CRO_L_FR = 219,
    Jamie_DMG_AIR_FR_L = 220,
    Jamie_DMG_AIR_FR_M = 221,
    Jamie_DMG_AIR_FR_H = 222,
    Jamie_DMG_STD_BK = 224,
    Jamie_BUTT_RISE_90 = 230,
    Jamie_BUTT_RISE_45 = 231,
    Jamie_BUTT_RISE_00 = 232,
    Jamie_BUTT_RISE_45m = 233,
    Jamie_BUTT_RISE_90m = 234,
    Jamie_BUTT_RISE_BK = 235,
    Jamie_BUTT_RISE_BK_90m = 236,
    Jamie_BUTT_FALL_90 = 237,
    Jamie_BUTT_FALL_45 = 238,
    Jamie_BUTT_FALL_00 = 239,
    Jamie_BUTT_FALL_45m = 240,
    Jamie_BUTT_FALL_90m = 241,
    Jamie_BUTT_FALL_BK = 242,
    Jamie_BUTT_FALL_BK_90m = 243,
    Jamie_BUTT_H_START_90 = 244,
    Jamie_BUTT_H_START_45 = 245,
    Jamie_BUTT_H_START_00 = 246,
    Jamie_BUTT_H_START_45m = 247,
    Jamie_BUTT_H_START_90m = 248,
    Jamie_BUTT_H_START_BK = 249,
    Jamie_BUTT_H_START_BK_90m = 250,
    Jamie_BUTT_B_START_90 = 251,
    Jamie_BUTT_B_START_45 = 252,
    Jamie_BUTT_B_START_00 = 253,
    Jamie_BUTT_B_START_45m = 254,
    Jamie_BUTT_B_START_90m = 255,
    Jamie_BUTT_START_BK = 256,
    Jamie_BUTT_START_BK_90m = 257,
    Jamie_KNOCK_DOWN_BK = 258,
    Jamie_DMG_HL_DOWN = 260,
    Jamie_DMG_HM_DOWN = 261,
    Jamie_DMG_HH_DOWN = 262,
    Jamie_DMG_CL_DOWN = 263,
    Jamie_DMG_CM_DOWN = 264,
    Jamie_DMG_CH_DOWN = 265,
    Jamie_DMG_HL_UPPER = 266,
    Jamie_DMG_HM_UPPER = 267,
    Jamie_DMG_HH_UPPER = 268,
    Jamie_DMG_BL_UPPER = 269,
    Jamie_DMG_BM_UPPER = 270,
    Jamie_DMG_BH_UPPER = 271,
    Jamie_ASHIBARAI = 273,
    Jamie_ASHIBARAI_BACK = 274,
    Jamie_KUZURE = 276,
    Jamie_FLOP_DOWN = 277,
    Jamie_DMG_H_SPIN_GROUND = 279,
    Jamie_DMG_H_SPIN_AIR = 280,
    Jamie_DMG_V_SPIN_GROUND = 281,
    Jamie_DMG_V_SPIN_AIR = 282,
    Jamie_WALL_HIT_FR = 284,
    Jamie_WALL_HIT_BK = 285,
    Jamie_WALL_DOWN_FR = 286,
    Jamie_WALL_DOWN_BK = 287,
    Jamie_DMG_GORO_FR = 289,
    Jamie_DMG_GORO_DOWN_FR = 290,
    Jamie_WALL_GROUND_FR = 291,
    Jamie_WALL_PIYO_STOP = 293,
    Jamie_WALL_PIYO_DOWN = 294,
    Jamie_THROWBREAK_TO = 320,
    Jamie_THROWBREAK_DONE = 321,
    Jamie_GUARD_BREAK_STAND = 322,
    Jamie_GUARD_BREAK_CROUCH = 323,
    Jamie_HARDDOWN_FU = 330,
    Jamie_HARDDOWN_FD = 331,
    Jamie_SLIDEDOWN_FU = 332,
    Jamie_SLIDEDOWN_FU_CMN = 333,
    Jamie_SLIDEDOWN_FD = 334,
    Jamie_SLIDEDOWN_FD_CMN = 335,
    Jamie_LIE_DOWN_FU = 336,
    Jamie_LIE_DOWN_FD = 337,
    Jamie_DOWN_DMG_FU = 338,
    Jamie_DOWN_DMG_FD = 339,
    Jamie_WAKEUP_FU = 340,
    Jamie_WAKEUP_FD = 341,
    Jamie_WAKEUP_F_FU = 342,
    Jamie_WAKEUP_F_FD = 343,
    Jamie_WAKEUP_B_FU = 344,
    Jamie_WAKEUP_B_FD = 345,
    Jamie_BUTT_TAOREN = 346,
    Jamie_AIR_RECOVERY_BK = 347,
    Jamie_BOUND_FU = 350,
    Jamie_BOUND_FD = 351,
    Jamie_STUN = 353,
    Jamie_STUN_END = 354,
    Jamie_KUZURE_DIE = 356,
    Jamie_APPEAR = 400,
    Jamie_APPEAR_END = 401,
    Jamie_APPEAR_ARCADE = 402,
    Jamie_APPEAR_STORY = 403,
    Jamie_LOSE = 405,
    Jamie_MID_LOSE_FU = 407,
    Jamie_MID_LOSE_FD = 408,
    Jamie_DRAW = 410,
    Jamie_RESULT = 412,
    Jamie_WIN = 414,
    Jamie_WIN_STORY = 415,
    Jamie_WIN_PERFECT = 416,
    Jamie_WIN_HI = 417,
    Jamie_WIN_MID = 418,
    Jamie_WIN_LOW = 419,
    Jamie_MINION_ENTRY = 470,
    Jamie_V_TOUCH_ENTRY = 471,
    Jamie_V_TOUCH_STOP = 472,
    Jamie_V_TOUCH_EXIT = 473,
    Jamie_TOUCH_POSE = 474,
    Jamie_TOUCH_JUMP = 475,
    Jamie_TOUCH_SUKI = 476,
    Jamie_TOUCH_NOKI = 477,
    Jamie_ASSIST_SUKI = 478,
    Jamie_PARRY_BGN = 480,
    Jamie_PARRY_LOOP = 481,
    Jamie_PARRY_END = 482,
    Jamie_PARRY_HIT_H = 483,
    Jamie_PARRY_HIT_M = 484,
    Jamie_PARRY_HIT_L = 485,
    Jamie_PARRY_JUST_H = 486,
    Jamie_PARRY_JUST_M = 487,
    Jamie_PARRY_JUST_L = 488,
    Jamie_PARRY_CRO_BGN = 489,
    Jamie_T_FOOTWORK = 510,
    Jamie_T_CROUCH = 511,
    Jamie_T_SIT_DOWN = 512,
    Jamie_T_STAND_UP = 513,
    Jamie_T_TURN_STAND = 514,
    Jamie_T_TURN_CROUCH = 515,
    Jamie_T_WALK_F_BGN = 516,
    Jamie_T_WALK_FORWARD = 517,
    Jamie_T_WALK_F_END = 518,
    Jamie_T_WALK_B_BGN = 519,
    Jamie_T_WALK_BACK = 520,
    Jamie_T_WALK_B_END = 521,
    Jamie_CONTINUE_FU = 530,
    Jamie_CONTINUE_FD = 531,
    Jamie_CONTINUE_SUCCESS = 532,
    Jamie_CONTINUE_FAILURE = 533,
    Jamie_ADV_STAND = 570,
    Jamie_ADV_SIT = 571,
    Jamie_ADV_AIR = 572,
    Jamie_IMM_STAGE_INIT = 580,
    Jamie_IMM_ROUND_INIT = 581,
    Jamie_IMM_DAMAGE_INIT = 582,
    Jamie_IMM_DAMAGE_EXIT = 583,
    Jamie_IMM_TO_NORMAL = 584,
    Jamie_IMM_TOUCH_EXIT = 585,
    Jamie_IMM_TOUCH_ENTRY = 586,
    Jamie_IMM_LANDING = 587,
    Jamie_IMM_HOLD_EXIT = 588,
    Jamie_IMM_FRAME_OUT = 589,
    Jamie_IMM_APPEAR_END = 590,
    Jamie_IMM_RESULT_INIT = 591,
    Jamie_COMMON_END = 599,
}
